Mon Jan 22 23:14:56 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO version 1.5.5 released.

Fri Jan 19 14:17:18 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/Union_TypeCode.cpp(tao_marshal):
        * tao/AnyTypeCode/Union_TypeCode_Static.cpp(tao_marshal):

          Changed the marshaling of union members in the typecode to
          use the existing CDR stream, rather than creating a separate
          one and merging it with write_octet_array_mb(), which was
          causing as alignment problem. This fixes [BUGID:2773].

Fri Jan 19 13:53:37 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * rules.tao.GNU:

          Turn on the 'transport_current' feature by default.  Previously,
          the TransporCurrent related libraries were not being compiled with
          the GNUmakefiles.

Thu Jan 18 12:05:47 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_Impl.cpp:
          Fixig a "fuzz" error.

Wed Jan 17 22:53:22 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * NEWS:
        * docs/transport_current/index.html:

          Updated the documentation on how to disable the
          Transport::Current functionality.

        * MPC/config/taodefaults.mpb:

          Added a "feature(!transport_current)..." to help enable and
          disable the Transport::Current features (and footprint impact).

        * MPC/config/tc.mpb:

          Projects inheriting from this will get "requires += transport_current"

        * tao/TC.mpc:
        * tao/TC_IIOP.mpc:

          Added "requires += transport_current"

        * tao/orbconf.h:

          Fixing a macro re-definition when "transport_current=0" is
          present in default.features.


Wed Jan 17 18:16:18 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/Transport.h:
        * tao/Transport.inl:
        * tao/Transport.cpp:
        * tao/TransportCurrent/Current_Impl.h:
        * tao/TransportCurrent/Current_Impl.cpp:
        * tao/TransportCurrent/Current_Loader.h:
        * tao/TransportCurrent/Current_Loader.cpp:
        * tao/TransportCurrent/IIOP_Current_Impl.h:
        * tao/TransportCurrent/IIOP_Current_Impl.cpp:
        * tao/TransportCurrent/IIOP_Current_Loader.h:
        * tao/TransportCurrent/IIOP_Current_Loader.cpp:
        * tests/TransportCurrent/IIOP/client.cpp:
        * tests/TransportCurrent/IIOP/server.cpp:

          Updated to prevent any footprint impact when
          Transport::Current functionality is disabled
          (TAO_HAS_TRANSPORT_CURRENT is 0 or undefined)

Wed Jan 17 16:05:42 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Properties.h:
        * orbsvcs/orbsvcs/Notify/Properties.cpp:

          Provide a method to set the properties instance.  If the
          properties instance is not set by the user, a singleton instance
          will be used.

        * orbsvcs/Notify_Service/Notify_Server.cpp:

          Set the properties instance before initializing the notify
          service.  Using the static singleton can cause static destruction
          issues between the properties instance and statically allocated
          type code structures.  This change fixes Bug 1675.

Wed Jan 17 12:36:48 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/examples/Notify/Filter/run_test.pl:
        * orbsvcs/examples/Notify/Lanes/run_test.pl:
        * orbsvcs/examples/Notify/Subscribe/run_test.pl:
        * orbsvcs/examples/Notify/ThreadPool/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test_ipv6.pl:
        * orbsvcs/tests/Notify/Blocking/run_test.pl:
        * orbsvcs/tests/Notify/Discarding/run_test.pl:
        * orbsvcs/tests/Notify/Lanes/run_test.pl:
        * orbsvcs/tests/Notify/Lanes/run_test_notify.pl:
        * orbsvcs/tests/Notify/MT_Dispatching/run_test.pl:
        * orbsvcs/tests/Notify/Ordering/run_test.pl:
        * orbsvcs/tests/Notify/Reconnecting/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/ThreadPool/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/Filter/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/1_Path_Period_0_Lanes/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/3_Path_Period_10ms_Lanes/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify_RTCORBA/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/run_notify.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/run_test.pl:

          The Notify_Service will fail to start up on HP-UX if the user does
          not have the RTSCHED group privilege.  Each test that runs the
          Notify_Service now calls a method in PerlACE::Run_Test that checks
          for this group privilege.  If the user does not have the correct
          access, a warning is printed and the test will exit.

Tue Jan 16 18:39:17 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/IIOP/IIOP_Server_Main.cpp:

          Ensured request interceptors are heap allocated to avoid
          problems trying to delete automatic instances when the ORB is
          destroyed.

Tue Jan 16 17:13:13 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/Transport.h:
        * tao/Transport.cpp:

          Added initialization for the stats_ member in case the TC
          feature has been disabled, and providing a delete for it in the
          destructor.

        * tao/TransportCurrent/Current_Loader.h:
        * tao/TransportCurrent/Current_Loader.cpp:

          Removed unnecessary orbinitializer_registry method and
          eliminated unnecesary whitespace.

        * tao/TransportCurrent/Current_ORBInitializer_Base.h:
        * tao/TransportCurrent/Current_ORBInitializer_Base.cpp:

           Added TAO_Local_RefCounted_Object as an additional base class
           to ensure proper cleanup of the ORB initializer instances. The
           local CORBA objects are not reference counted (yet)!

        * tests/TransportCurrent/Framework/Server_Main.cpp:
        * tests/TransportCurrent/Framework/client.cpp:
        * tests/TransportCurrent/Framework/server.cpp:
        * tests/TransportCurrent/IIOP/client.cpp:
        * tests/TransportCurrent/IIOP/server.cpp:

          Ensured request interceptors are heap allocated to avoid
          problems trying to delete automatic instances when the ORB is
          destroyed.

        * tests/TransportCurrent/lib/Client_ORBInitializer.h:
        * tests/TransportCurrent/lib/Server_ORBInitializer.h:

           Added TAO_Local_RefCounted_Object as an additional base class
           to ensure proper cleanup of the ORB initializer instances. The
           local CORBA objects are not reference counted (yet)!

Tue Jan 16 11:15:10 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Load_Average_Monitor.cpp:
          Initialise pointer with 0

        * orbsvcs/orbsvcs/Notify/Event_Map_T.h:
        * orbsvcs/orbsvcs/Sched/Reconfig_Sched_Utils_T.h:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.h:
        * orbsvcs/performance-tests/RTEvent/lib/RIR_Narrow.h:
        * orbsvcs/tests/Notify/lib/Consumer_T.h:
        * orbsvcs/tests/Notify/lib/Peer_T.h:
        * orbsvcs/tests/Notify/lib/Supplier_T.h:
          Use typename instead of ACE_TYPENAME

Tue Jan 16 08:18:10 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CollocationLockup/CollocationLockup.cpp:
          Removed not used global variable to fix gcc warning

Mon Jan 15 09:44:10 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Made debug statement dependent on debug level, it was now
          printed always

Sat Jan 13 14:31:10 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/AlternateIIOP/run_test.pl:
        * tests/Parallel_Connect_Strategy/run_test.pl:

          Renumbered the port values passed to the server. I noticed the
          PCS test on one nightly machine failed because the acceptor
          couldn't open a new socket. Also corrected a cut & paste error
          in the scripts.

Fri Jan 12 21:40:13 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Oneway_Timeouts/client.cpp:

          Replaced the final invocation used to signal a shutdown to the
          server as this is a two-way call that was using the same
          timeout-enabled reference as the test. This sometimes caused
          spurious timeout errors that are then reported as failures even
          though they are not.

        * tests/run_test.pl:

          Increased the process start-up timeout as the old values were
          short enough that the script assumed an error even though the
          processes were actually running. On busy systems, a 2 or 5
          second delay is really possible, particularly if shared
          libraries have to be reloaded or the system is just busy.

Fri Jan 12 20:50:38 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny.mpc:

          Reordered the source files, which will likewise reorder the
          linking of object files on builds using makefiles. Thanks
          to Ossama Othman <Ossama.Othman@symantec.com> for this
          suggestion to try and eliminate the Debian linking errors
          in DynamicAny.

Fri Jan 12 17:23:07 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:

          Modified call to make_dyn_any_t() to be consistent with
          changes in

          Thu Jan 11 18:42:33 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

Fri Jan 12 09:06:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicAny/DynAnyUtils_T.cpp:
          Fixed compile problem

Thu Jan 11 18:42:33 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynCommon.cpp:
        * tao/DynamicAny/DynAnyUtils_T.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:
        * tao/DynamicAny/DynAnyUtils_T.h:
        * tao/DynamicAny/DynAnyFactory.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:

          Changed make_dyn_any_t() from a static method inside
          a templatized struct to a template method inside a
          namespace, and changed all usages accordingly. Thanks
          to Ossama Othman <Ossama.Othman@symantec.com> for
          the suggestion, which is an attempt to eliminate
          Debian link errors in DynamicAny.

Thu Jan 11 17:13:56 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Oneway_Timeouts/client.cpp:

          Changed test failure criteria so that a missed deadline is no
          longer considered a failure. The errors due to missed deadlines
          are spurious on systems using preemptive multitasking because
          there is no way to control the additional delay imposed by the
          operating system. The test for exception delivery time is beside
          the point for this test anyway; we want to test that an
          exception occurs or does not occur, not when it happens to
          occur.

Wed Jan 10 21:47:39 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * docs/INS.html:
          Updated documentation relative to corbaloc strings to include
          IPv6 details. Also generally freshened the document by removing
          references to obsoleted iioploc strings and added more
          information on using the IOR Table. Localized the references
          graphic images to avoid the need for an internet connection to
          see the full document.

        * docs/TAO-tutorials.html:
        * docs/index.html:
          Localized the references graphic images to avoid the need for an
          internet connection to see the full document.

        * docs/space.gif:
        * docs/redball.gif:
        * docs/interop-naming.png:
        * docs/interop-naming.eps:

          The image files, these used to be hosted only  at wustl,
          requiring a network connection in order to see the graphics in
          the documentation.

Wed Jan 10 21:28:19 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Updated with my changes since 1.5.4.

Wed Jan 10 20:24:57 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/DynamicAny/DynAnyUtils_T.cpp:

          Add missing include file.

        * tao/DynamicAny/DynAnyUtils_T.h:

          Fix a couple of Win-typos.

Wed Jan 10 19:24:11 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Bug_1551_Regression/Client_Task.cpp:
        * tests/Bug_1551_Regression/client.cpp:

          Moved the setting of the policy override on the PolicyCurrent into
          the thread specific code.  Since overrides set on the
          PolicyCurrent only apply to the thread in which they are set, it
          should have been done in each client thread.

          Also, we ignore CORBA::TIMEOUT exceptions.  Since the server is
          aborting itself, they are expected.

        * tests/Bug_1551_Regression/run_test.pl:

          Only sleep 30 seconds if starting the three clients succeeded.
          And trap the return value of the WaitKill() called on the clients
          in order to determine if the test needs to continue or not.

Wed Jan 10 18:53:20 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynAnyUtils_T.cpp:

          New file, containing the implementation formerly in the
          header file.

        * tao/DynamicAny/DynAnyUtils_T.h:

          Factored out the method bodies and put them in the new file
          above.

        * tao/DynamicAny.mpc:

          Added the new file above explicitly in the Template_Files
          block, also listed explicitly the rest of the .cpp files.

Wed Jan 10 18:51:20 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * NEWS:

          Updated with my changes since 1.5.4.

Wed Jan 10 14:29:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Memory/Single_Threaded/Memory_Growth.mpc:
          Removed not needed idlflags, these are inherited from the base

Wed Jan 10 13:13:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl:
        * orbsvcs/tests/AVStreams/Component_Switching/run_test.pl:
        * orbsvcs/tests/AVStreams/Latency/run_test.pl:
          Check the result of th spawn of the first executable in
          the test itself. With this change if we have a naming
          service but no test executable we don't wait a long time
          on a non existent process

Wed Jan 10 12:30:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * examples/mfc/server.cpp:
        * utils/NamingViewer/NamingViewer.cpp:

          From MFC 5.0, Enable3dControls and Enable3dControlsStatic are
          obsolete because their functionality is incorporated into
          Microsoft's 32-bit operating systems directly. Basically there
          is no need to call with VC5.0 and above so I've commented
          them out to stop the build issuing deprecated warnings.

Wed Jan 10 09:57:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Compression/server.cpp:
          Extended this test further

Wed Jan 10 09:13:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Bug_2350_Regression.idl:
          Added missing id tag

Wed Jan 10 02:02:00 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/tests/Notify/Basic/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test_ipv6.pl:

          Modified these test files to only run the tests with the
          "-UseSeparateDispatchingOrb 1" option with the notify.mt.conf
          configuration.  Currently, only the MultiTypes test fails, but
          the opportunity exists for others to fail.  The MultiTypes test
          fails because in the reactive and the rt case, a separate ORB is
          used to dispatch, but only one thread is running.  Therefore,
          when the dispatch is made and the consumer invokes "disconnect*"
          back on there, the non-dispatching (or "main") ORB isn't running
          in order to handle the request.  When the same ORB is used for
          administration and dispatching, the ORB can handle the
          disconnect call b/c of nested upcalls.  Therefore, we simply
          disallow using a separate dispatching ORB when not using using
          separate dispatching threads.

        * orbsvcs/tests/Notify/Basic:
        * orbsvcs/tests/Notify/Blocking:
        * orbsvcs/tests/Notify/Destroy:
        * orbsvcs/tests/Notify/Discarding:
        * orbsvcs/tests/Notify/Driver:
        * orbsvcs/tests/Notify/MT_Dispatching:
        * orbsvcs/tests/Notify/Ordering:
        * orbsvcs/tests/Notify/Reconnecting:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter:
        * orbsvcs/tests/Notify/Structured_Filter:
        * orbsvcs/tests/Notify/Structured_Multi_Filter:
        * orbsvcs/tests/Notify/performance-tests/Filter:
        * orbsvcs/tests/Notify/performance-tests/RedGreen:
        * orbsvcs/tests/Notify/performance-tests/Throughput:

          Update the svn:ignore property on these directories.

Tue Jan  9 19:56:41 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_ami_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_operation/upcall_command_ss.cpp:
        * tao/Messaging/ExceptionHolder_i.h:
        * tao/Messaging/ExceptionHolder_i.cpp:

          Modified the tao_idl code to emit code to set the exception data
          in the Messaging::ExceptionHolder in the AMI _excep operation.
          This has the effect of allowing supporting code to raise the
          correct user defined exception.  Previously, the user defined
          exception would not be recognized and a CORBA::UNKNOWN would be
          raised in it's place.  This fixes bug 2350.

        * tests/IDL_Test/Bug_2350_Regression.idl:
        * tests/IDL_Test/IDL_Test.mpc:

          Added an idl file to ensure that the code to fix bug 2350 does
          not incorrectly recognize user methods that end in _excep, that
          take a single parameter ending in ExceptionHolder and raises a
          user defined exception.

Tue Jan  9 15:14:09 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/Unbounded_Octet_Sequence_T.h:

          Refactored #include "ace/OS_NS_string.h" for memcmp() out of the
          two TAO_NO_COPY_OCTET_SEQUENCES branches and move it into the
          common #include area.  This reverts changes yesterday by me and
          this morning by Chad Elliott.

Tue Jan  9 14:06:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicAny/diffs/DynamicAny.pidl.diff:
          Removed from the repo, ancient and not needed anymore

Tue Jan  9 12:34:12 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tao/Unbounded_Octet_Sequence_T.h:

          Added a missing #include "ace/OS_NS_string.h" to get
          ACE_OS::memcmp().

Tue Jan  9 07:25:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicInterface/DII_Invocation.cpp:
          Reordered includes to fix compile problems with gcc4

Tue Jan  9 06:15:00 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/TransportCurrent/Framework/Makefile.am:
        * tests/TransportCurrent/IIOP/Makefile.am:

          Regenerated.

        * tests/TransportCurrent/IIOP/IIOP.mpc
        * tests/TransportCurrent/Framework/Framework.mpc

          For the automake builds includes are relative to both $(srcdir)
          and the build dir.

Tue Jan  9 03:50:30 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/IDL_Test/Makefile.am:

          Regenerated.

Tue Jan  9 03:48:33 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Compression/Makefile.am:

          Regenerated.

Tue Jan  9 03:43:45 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated for AnyTypeCode.mpc changes.

Tue Jan  9 03:37:26 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/TransportCurrent/Framework/Makefile.am:
        * tests/TransportCurrent/IIOP/Makefile.am:
        * tests/TransportCurrent/lib/Makefile.am:

          Regenerated.

        * tests/TransportCurrent/IIOP/IIOP.mpc
        * tests/TransportCurrent/Framework/Framework.mpc

          For the automake builds includes are relative to $(srcdir),
          libpaths are relative to the build dir.

Mon Jan  8 19:56:54 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/Unbounded_Octet_Sequence_T.h:

          Moved #include for OS_NS_string.h into the
          (TAO_NO_COPY_OCTET_SEQUENCES == 0) clause...which is where it
          should have been in the first place since that's where memcmp is
          actually used.  This should fix the BCB build, and any other
          TAO_NO_COPY_OCTET_SEQUENCES builds.

Mon Jan  8 19:40:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Locate_Header.h:
          No need to export TAO_GIOP_Locate_Request_Header from the TAO library

        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTCORBA/diffs/RTCORBA.diff
          Use true/false

Mon Jan  8 18:56:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode.mpc:
          Cleanup and added regeneration of Dynamic.pidl

        * tao/AnyTypeCode/Dynamic.pidl:
          Removed TypeCode interface and include other pidl
          file that has TypeCode. Fixes bugzilla bug 2766

        * tao/AnyTypeCode/DynamicA.cpp:
        * tao/AnyTypeCode/DynamicA.h:
        * tao/AnyTypeCode/DynamicC.cpp:
        * tao/AnyTypeCode/DynamicC.h:
        * tao/AnyTypeCode/DynamicS.h:
          Removed from the repo, they are now generated on the fly

        * tao/PortableServer/ServantRetentionStrategyRetain.cpp (servant_to_system_id_i):
          Added special check for CORBA/e so that the correct exception is thrown

        * tests/IDL_Test/typecode.idl:
          New idl file used to test how to regenerate Dynamic.pidl

        * IDL_Test/IDL_Test.mpc:
          Added typecode.idl

Mon Jan  8 16:02:13 UTC 2007  Ciju John  <johnc@ociweb.com>

        * docs/ORBEndpoint.html:
          Update documentation for ORBEndpoint reuse_addr option.

Mon Jan  8 13:55:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * orbsvcs/tests/Bug_1630_Regression/testclient.cpp:

          Add some debug output to trace code flow for remote systems.

Mon Jan  8 13:50:31 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/OBV/Truncatable/client.cpp:

          Undefine VERIFY if it's defined to avoid warnings from vc71.

Mon Jan  8 13:36:37 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/TransportCurrent/IIOP/IIOP.mpc:
        * tests/TransportCurrent/IIOP/Makefile.am:

          Modified the MPC file to work with automake and updated the
          Makefile.am accordingly.

Mon Jan  8 10:52:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Invocation_Base.cpp (exception):
          Set the forwarded_to_ member to nil again, it can be that
          we had a forward request which was converted to a regular
          exception in a PI call and then we have to make sure we don't
          keep the old data

        * tao/PI/ClientRequestInterceptor_Adapter_Impl.cpp (receive_other):
          When an exception occurs make sure we implement the following
          behaviour from the OMG spec section 21.3.6.5:
          This interception point may raise a system exception. If it does, no other
          Interceptors’ receive_other operations are called. The remaining
          Interceptors in the Flow Stack are popped and have their receive_exception
          interception point called.

          This fixes the failing of bug 2287 regression on svn head. Thanks to
          Simon McQueen for explaining the meaning of this test and reviewing
          the changes above

Mon Jan  8 00:18:21 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/run_test.pl:
        * tests/TransportCurrent/IIOP/run_test.pl:

Sun Jan  7 18:48:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Oneway_Timeouts/client.cpp:
          Removed create_poa method, it is not used at all

Sun Jan  7 12:06:55 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Acceptor_Filter_Factory.h:
          Fixed problem with CORBA/e

        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/Root_POA.cpp:
          Fixed compile problems when building CORBA/e compact with Borland C++

Sat Jan  6 19:16:55 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * TAO_IDL:
        * examples/AMI/FL_Callback:
        * orbsvcs/Concurrency_Service:
        * orbsvcs/CosEvent_Service:
        * orbsvcs/Dump_Schedule:
        * orbsvcs/Event_Service:
        * orbsvcs/FTRT_Event_Service/Event_Service:
        * orbsvcs/FTRT_Event_Service/Factory_Service:
        * orbsvcs/FTRT_Event_Service/Gateway_Service:
        * orbsvcs/FT_ReplicationManager:
        * orbsvcs/Fault_Detector:
        * orbsvcs/Fault_Notifier:
        * orbsvcs/IFR_Service:
        * orbsvcs/ImplRepo_Service:
        * orbsvcs/LifeCycle_Service:
        * orbsvcs/LoadBalancer:
        * orbsvcs/Logging_Service/Basic_Logging_Service:
        * orbsvcs/Logging_Service/Event_Logging_Service:
        * orbsvcs/Logging_Service/Notify_Logging_Service:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service:
        * orbsvcs/Naming_Service:
        * orbsvcs/Notify_Service:
        * orbsvcs/Scheduling_Service:
        * orbsvcs/TAO_Service:
        * orbsvcs/Time_Service:
        * orbsvcs/Trading_Service:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows:
        * orbsvcs/tests/AVStreams/Component_Switching:
        * orbsvcs/tests/AVStreams/Full_Profile:
        * orbsvcs/tests/AVStreams/Latency:
        * orbsvcs/tests/AVStreams/Modify_QoS:
        * orbsvcs/tests/AVStreams/Multicast:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile:
        * orbsvcs/tests/AVStreams/Multiple_Flows:
        * orbsvcs/tests/AVStreams/Pluggable:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS:
        * orbsvcs/tests/BiDir_CORBALOC:
        * orbsvcs/tests/Bug_1334_Regression:
        * orbsvcs/tests/Bug_1393_Regression:
        * orbsvcs/tests/Bug_1395_Regression:
        * orbsvcs/tests/Bug_1630_Regression:
        * orbsvcs/tests/Bug_2074_Regression:
        * orbsvcs/tests/Bug_2137_Regression:
        * orbsvcs/tests/Bug_2247_Regression:
        * orbsvcs/tests/Bug_2248_Regression:
        * orbsvcs/tests/Bug_2285_Regression:
        * orbsvcs/tests/Bug_2287_Regression:
        * orbsvcs/tests/Bug_2316_Regression:
        * orbsvcs/tests/Bug_2377_Regression:
        * orbsvcs/tests/Bug_2615_Regression:
        * orbsvcs/tests/Bug_2709_Regression:
        * orbsvcs/tests/Concurrency:
        * orbsvcs/tests/CosEvent/Timeout:
        * orbsvcs/tests/EC_Custom_Marshal:
        * orbsvcs/tests/EC_MT_Mcast:
        * orbsvcs/tests/EC_Mcast:
        * orbsvcs/tests/EC_Multiple:
        * orbsvcs/tests/EC_Throughput:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated:
        * orbsvcs/tests/Event/ThreadFlags:
        * orbsvcs/tests/Event/UDP:
        * orbsvcs/tests/FT_App:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation:
        * orbsvcs/tests/FaultTolerance/IOGR:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation:
        * orbsvcs/tests/FtRtEvent:
        * orbsvcs/tests/HTIOP/AMI:
        * orbsvcs/tests/HTIOP/BiDirectional:
        * orbsvcs/tests/HTIOP/Hello:
        * orbsvcs/tests/IOR_MCast:
        * orbsvcs/tests/ImplRepo:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression:
        * orbsvcs/tests/ImplRepo/NameService:
        * orbsvcs/tests/ImplRepo/scale:
        * orbsvcs/tests/InterfaceRepo/Application_Test:
        * orbsvcs/tests/InterfaceRepo/IDL3_Test:
        * orbsvcs/tests/InterfaceRepo/IFR_Inheritance_Test:
        * orbsvcs/tests/InterfaceRepo/IFR_Test:
        * orbsvcs/tests/InterfaceRepo/Latency_Test:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test:
        * orbsvcs/tests/Interoperable_Naming:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group:
        * orbsvcs/tests/LoadBalancing/LoadMonitor/CPU:
        * orbsvcs/tests/Log/Basic_Log_Test:
        * orbsvcs/tests/Miop/McastHello:
        * orbsvcs/tests/Notify/PluggableTopology:
        * orbsvcs/tests/Notify/XML_Persistence:
        * orbsvcs/tests/Property:
        * orbsvcs/tests/Redundant_Naming:
        * orbsvcs/tests/Sched:
        * orbsvcs/tests/Sched_Conf:
        * orbsvcs/tests/Security/BiDirectional:
        * orbsvcs/tests/Security/MT_IIOP_SSL:
        * orbsvcs/tests/Security/Secure_Invocation:
        * orbsvcs/tests/Security/ssliop_corbaloc:
        * orbsvcs/tests/Simple_Naming:
        * orbsvcs/tests/Time:
        * orbsvcs/tests/ior_corbaname:
        * orbsvcs/tests/tests_svc_loader:
        * orbsvcs/tests/unit/Trading/Interpreter:
        * tests/AMH_Exceptions:
        * tests/AMH_Oneway:
        * tests/AMI:
        * tests/AMI_Buffering:
        * tests/AMI_Timeouts:
        * tests/Abstract_Interface:
        * tests/Any/Recursive:
        * tests/BiDirectional:
        * tests/BiDirectional_DelayedUpcall:
        * tests/BiDirectional_MultipleORB:
        * tests/BiDirectional_NestedUpcall:
        * tests/Big_AMI:
        * tests/Big_Oneways:
        * tests/Big_Reply:
        * tests/Big_Request_Muxing:
        * tests/Big_Twoways:
        * tests/Blocking_Sync_None:
        * tests/Bug_1020_Basic_Regression:
        * tests/Bug_1020_Regression:
        * tests/Bug_1254_Regression:
        * tests/Bug_1269_Regression:
        * tests/Bug_1270_Regression:
        * tests/Bug_1330_Regression:
        * tests/Bug_1361_Regression:
        * tests/Bug_1476_Regression:
        * tests/Bug_1476_Test:
        * tests/Bug_1482_Regression:
        * tests/Bug_1495_Regression:
        * tests/Bug_1535_Regression:
        * tests/Bug_1551_Regression:
        * tests/Bug_1568_Regression:
        * tests/Bug_1627_Regression:
        * tests/Bug_1635_Regression:
        * tests/Bug_1636_Regression:
        * tests/Bug_1639_Regression:
        * tests/Bug_1670_Regression:
        * tests/Bug_1676_Regression:
        * tests/Bug_1693_Test:
        * tests/Bug_1812_Regression:
        * tests/Bug_1813_Regression:
        * tests/Bug_1869_Regression:
        * tests/Bug_1904_Regression:
        * tests/Bug_2084_Regression:
        * tests/Bug_2122_Regression:
        * tests/Bug_2124_Regression:
        * tests/Bug_2126_Regression:
        * tests/Bug_2134_Regression:
        * tests/Bug_2144_Regression:
        * tests/Bug_2174_Regression:
        * tests/Bug_2183_Regression:
        * tests/Bug_2186_Regression:
        * tests/Bug_2188_Regression:
        * tests/Bug_2201_Regression:
        * tests/Bug_2222_Regression:
        * tests/Bug_2234_Regression:
        * tests/Bug_2289_Regression:
        * tests/Bug_2319_Regression:
        * tests/Bug_2328_Regression:
        * tests/Bug_2345_Regression:
        * tests/Bug_2349_Regression:
        * tests/Bug_2375_Regression:
        * tests/Bug_2399_Regression:
        * tests/Bug_2417_Regression:
        * tests/Bug_2419_Regression:
        * tests/Bug_2424_Regression:
        * tests/Bug_2429_Regression:
        * tests/Bug_2494_Regression:
        * tests/Bug_2503_Regression:
        * tests/Bug_2542_Regression:
        * tests/Bug_2543_Regression:
        * tests/Bug_2549_Regression:
        * tests/Bug_2560_Regression:
        * tests/Bug_2593_Regression:
        * tests/Bug_2595_Regression:
        * tests/Bug_2654_Regression:
        * tests/Bug_2669_Regression:
        * tests/Bug_2683_Regression:
        * tests/Bug_2702_Regression:
        * tests/CDR:
        * tests/COIOP:
        * tests/CSD_Strategy_Tests/Broken:
        * tests/CSD_Strategy_Tests/TP_Test_1:
        * tests/CSD_Strategy_Tests/TP_Test_2:
        * tests/CSD_Strategy_Tests/TP_Test_3:
        * tests/CSD_Strategy_Tests/TP_Test_4:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic:
        * tests/CSD_Strategy_Tests/TP_Test_Static:
        * tests/Cache_Growth_Test:
        * tests/CallbackTest:
        * tests/Client_Leaks:
        * tests/CodeSets/simple:
        * tests/Codec:
        * tests/Collocation:
        * tests/CollocationLockup:
        * tests/Collocation_Exception_Test:
        * tests/Collocation_Oneway_Tests:
        * tests/Collocation_Opportunities:
        * tests/Collocation_Tests:
        * tests/Connect_Strategy_Test:
        * tests/Connection_Failure:
        * tests/Connection_Purging:
        * tests/Connection_Timeout:
        * tests/Crash_On_Write:
        * tests/Crashed_Callback:
        * tests/DII_Collocation_Tests/oneway:
        * tests/DII_Collocation_Tests/twoway:
        * tests/DLL_ORB:
        * tests/DSI_Gateway:
        * tests/DynAny_Test:
        * tests/Explicit_Event_Loop:
        * tests/Exposed_Policies:
        * tests/FL_Cube:
        * tests/Faults:
        * tests/File_IO:
        * tests/Forwarding:
        * tests/GIOP_Fragments/PMB_With_Fragments:
        * tests/Hang_Shutdown:
        * tests/Hello:
        * tests/ICMG_Any_Bug:
        * tests/IDL_Test:
        * tests/IORManipulation:
        * tests/IOR_Endpoint_Hostnames:
        * tests/IPV6:
        * tests/InterOp-Naming:
        * tests/Leader_Followers:
        * tests/LongUpcalls:
        * tests/MProfile:
        * tests/MProfile_Connection_Timeout:
        * tests/MProfile_Forwarding:
        * tests/MT_BiDir:
        * tests/MT_Client:
        * tests/MT_Server:
        * tests/MT_Timeout:
        * tests/Multiple:
        * tests/Multiple_Inheritance:
        * tests/Muxed_GIOP_Versions:
        * tests/Muxing:
        * tests/Native_Exceptions:
        * tests/NestedUpcall/MT_Client_Test:
        * tests/NestedUpcall/Simple:
        * tests/NestedUpcall/Triangle_Test:
        * tests/Nested_Event_Loop:
        * tests/Nested_Upcall_Crash:
        * tests/No_Server_MT_Connect_Test:
        * tests/OBV/Any:
        * tests/OBV/Collocated/Forward:
        * tests/OBV/Factory:
        * tests/OBV/Forward:
        * tests/OBV/Simple:
        * tests/OBV/TC_Alignment:
        * tests/OBV/Truncatable:
        * tests/OBV/ValueBox:
        * tests/ORB_Local_Config/Bug_1459:
        * tests/ORB_Local_Config/Bug_2612:
        * tests/ORB_Local_Config/Bunch:
        * tests/ORB_Local_Config/Separation:
        * tests/ORB_Local_Config/Service_Dependency:
        * tests/ORB_Local_Config/Shared:
        * tests/ORB_Local_Config/Simple:
        * tests/ORB_Local_Config/Two_DLL_ORB:
        * tests/ORB_destroy:
        * tests/ORB_init:
        * tests/ORB_init/Portspan:
        * tests/ORB_shutdown:
        * tests/ORT:
        * tests/Object_Loader:
        * tests/Objref_Sequence_Test:
        * tests/OctetSeq:
        * tests/Ondemand_Write:
        * tests/Oneway_Buffering:
        * tests/Oneway_Timeouts:
        * tests/Oneways_Invoking_Twoways:
        * tests/Optimized_Connection:
        * tests/POA/Bug_2511_Regression:
        * tests/POA/Current:
        * tests/POA/Deactivate_Object:
        * tests/POA/Default_Servant:
        * tests/POA/EndpointPolicy:
        * tests/POA/Etherealization:
        * tests/POA/Excessive_Object_Deactivations:
        * tests/POA/Identity:
        * tests/POA/MT_Servant_Locator:
        * tests/POA/Nested_Non_Servant_Upcalls:
        * tests/POA/Non_Servant_Upcalls:
        * tests/POA/Object_Reactivation:
        * tests/POA/POAManagerFactory:
        * tests/POA/POA_Destruction:
        * tests/POA/Persistent_ID:
        * tests/POA/Policies:
        * tests/POA/Reference_Counting:
        * tests/POA/Single_Threaded_POA:
        * tests/POA/wait_for_completion:
        * tests/Parallel_Connect_Strategy:
        * tests/Param_Test:
        * tests/Permanent_Forward:
        * tests/Policies:
        * tests/Portable_Interceptors/AMI:
        * tests/Portable_Interceptors/AdvSlot:
        * tests/Portable_Interceptors/AdvSlotDblCpy:
        * tests/Portable_Interceptors/AdvSlotExt:
        * tests/Portable_Interceptors/Benchmark:
        * tests/Portable_Interceptors/Bug_1559:
        * tests/Portable_Interceptors/Bug_2088:
        * tests/Portable_Interceptors/Bug_2510_Regression:
        * tests/Portable_Interceptors/Collocated/Dynamic:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation:
        * tests/Portable_Interceptors/Dynamic:
        * tests/Portable_Interceptors/ForwardRequest:
        * tests/Portable_Interceptors/IORInterceptor:
        * tests/Portable_Interceptors/ORB_Shutdown:
        * tests/Portable_Interceptors/PICurrent:
        * tests/Portable_Interceptors/PolicyFactory:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote:
        * tests/Portable_Interceptors/Recursive_ORBInitializer:
        * tests/Portable_Interceptors/Register_Initial_References:
        * tests/Portable_Interceptors/Request_Interceptor_Flow:
        * tests/Portable_Interceptors/Service_Context_Manipulation:
        * tests/Portable_Interceptors/Slot:
        * tests/QtTests:
        * tests/Queued_Message_Test:
        * tests/RTCORBA/Activate_Object_Multiple_ORBs:
        * tests/RTCORBA/Banded_Connections:
        * tests/RTCORBA/Client_Propagated:
        * tests/RTCORBA/Client_Protocol:
        * tests/RTCORBA/Collocation:
        * tests/RTCORBA/Destroy_Thread_Pool:
        * tests/RTCORBA/Diffserv:
        * tests/RTCORBA/Dynamic_Thread_Pool:
        * tests/RTCORBA/Explicit_Binding:
        * tests/RTCORBA/Linear_Priority:
        * tests/RTCORBA/MT_Client_Protocol_Priority:
        * tests/RTCORBA/ORB_init:
        * tests/RTCORBA/Persistent_IOR:
        * tests/RTCORBA/Policies:
        * tests/RTCORBA/Policy_Combinations:
        * tests/RTCORBA/Priority_Inversion_With_Bands:
        * tests/RTCORBA/Private_Connection:
        * tests/RTCORBA/Profile_And_Endpoint_Selection:
        * tests/RTCORBA/RTMutex:
        * tests/RTCORBA/Server_Declared:
        * tests/RTCORBA/Server_Protocol:
        * tests/RTCORBA/Thread_Pool:
        * tests/RTScheduling/Current:
        * tests/RTScheduling/DT_Spawn:
        * tests/RTScheduling/Scheduling_Interceptor:
        * tests/RTScheduling/Thread_Cancel:
        * tests/RTScheduling/VoidData:
        * tests/Reliable_Oneways:
        * tests/Sequence_Unit_Tests:
        * tests/Servant_To_Reference_Test:
        * tests/Server_Connection_Purging:
        * tests/Server_Leaks:
        * tests/Server_Port_Zero:
        * tests/Single_Read:
        * tests/Smart_Proxies:
        * tests/Smart_Proxies/Benchmark:
        * tests/Smart_Proxies/Collocation:
        * tests/Smart_Proxies/On_Demand:
        * tests/Smart_Proxies/Policy:
        * tests/Smart_Proxies/dtor:
        * tests/Stack_Recursion:
        * tests/Strategies:
        * tests/Timed_Buffered_Oneways:
        * tests/Timeout:
        * tests/TransportCurrent/Framework:
        * tests/TransportCurrent/IIOP:
        * tests/Two_Objects:
        * tests/Typedef_String_Array:
        * tests/UNKNOWN_Exception:
        * tests/Xt_Stopwatch:
        * utils/catior:
        * utils/nslist:

          Added subversion svn:ignore properties on all these directories
          comparable to the values previously in the vestigial .cvsignore
          files, as well as updated them commensurate with the new svnignore
          gnuace make target.

        * TAO_IDL/.cvsignore:
        * examples/AMI/FL_Callback/.cvsignore:
        * orbsvcs/Concurrency_Service/.cvsignore:
        * orbsvcs/CosEvent_Service/.cvsignore:
        * orbsvcs/Dump_Schedule/.cvsignore:
        * orbsvcs/Event_Service/.cvsignore:
        * orbsvcs/FTRT_Event_Service/Event_Service/.cvsignore:
        * orbsvcs/FTRT_Event_Service/Factory_Service/.cvsignore:
        * orbsvcs/FTRT_Event_Service/Gateway_Service/.cvsignore:
        * orbsvcs/FT_ReplicationManager/.cvsignore:
        * orbsvcs/Fault_Detector/.cvsignore:
        * orbsvcs/Fault_Notifier/.cvsignore:
        * orbsvcs/IFR_Service/.cvsignore:
        * orbsvcs/ImplRepo_Service/.cvsignore:
        * orbsvcs/LifeCycle_Service/.cvsignore:
        * orbsvcs/LoadBalancer/.cvsignore:
        * orbsvcs/Logging_Service/Basic_Logging_Service/.cvsignore:
        * orbsvcs/Logging_Service/Event_Logging_Service/.cvsignore:
        * orbsvcs/Logging_Service/Notify_Logging_Service/.cvsignore:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/.cvsignore:
        * orbsvcs/Naming_Service/.cvsignore:
        * orbsvcs/Notify_Service/.cvsignore:
        * orbsvcs/Scheduling_Service/.cvsignore:
        * orbsvcs/TAO_Service/.cvsignore:
        * orbsvcs/Time_Service/.cvsignore:
        * orbsvcs/Trading_Service/.cvsignore:
        * tests/AMH_Exceptions/.cvsignore:
        * tests/AMH_Oneway/.cvsignore:
        * tests/AMI/.cvsignore:
        * tests/AMI_Buffering/.cvsignore:
        * tests/AMI_Timeouts/.cvsignore:
        * tests/Abstract_Interface/.cvsignore:
        * tests/BiDirectional/.cvsignore:
        * tests/BiDirectional_MultipleORB/.cvsignore:
        * tests/BiDirectional_NestedUpcall/.cvsignore:
        * tests/Big_Oneways/.cvsignore:
        * tests/Big_Reply/.cvsignore:
        * tests/Big_Request_Muxing/.cvsignore:
        * tests/Big_Twoways/.cvsignore:
        * tests/Blocking_Sync_None/.cvsignore:
        * tests/Bug_1020_Basic_Regression/.cvsignore:
        * tests/Bug_1020_Regression/.cvsignore:
        * tests/Bug_1269_Regression/.cvsignore:
        * tests/Bug_1270_Regression/.cvsignore:
        * tests/Bug_1330_Regression/.cvsignore:
        * tests/Bug_1361_Regression/.cvsignore:
        * tests/Bug_1476_Regression/.cvsignore:
        * tests/Bug_1482_Regression/.cvsignore:
        * tests/Bug_1495_Regression/.cvsignore:
        * tests/Bug_1535_Regression/.cvsignore:
        * tests/Bug_1551_Regression/.cvsignore:
        * tests/Bug_1568_Regression/.cvsignore:
        * tests/Bug_1627_Regression/.cvsignore:
        * tests/Bug_1635_Regression/.cvsignore:
        * tests/Bug_1636_Regression/.cvsignore:
        * tests/Bug_1639_Regression/.cvsignore:
        * tests/Bug_1670_Regression/.cvsignore:
        * tests/Bug_1693_Test/.cvsignore:
        * tests/Bug_1904_Regression/.cvsignore:
        * tests/CDR/.cvsignore:
        * tests/Cache_Growth_Test/.cvsignore:
        * tests/Client_Leaks/.cvsignore:
        * tests/CodeSets/simple/.cvsignore:
        * tests/Codec/.cvsignore:
        * tests/Collocation/.cvsignore:
        * tests/Collocation_Opportunities/.cvsignore:
        * tests/Collocation_Tests/.cvsignore:
        * tests/Connect_Strategy_Test/.cvsignore:
        * tests/Connection_Failure/.cvsignore:
        * tests/Connection_Purging/.cvsignore:
        * tests/Connection_Timeout/.cvsignore:
        * tests/Crash_On_Write/.cvsignore:
        * tests/Crashed_Callback/.cvsignore:
        * tests/DLL_ORB/.cvsignore:
        * tests/DSI_Gateway/.cvsignore:
        * tests/DynAny_Test/.cvsignore:
        * tests/Explicit_Event_Loop/.cvsignore:
        * tests/Exposed_Policies/.cvsignore:
        * tests/FL_Cube/.cvsignore:
        * tests/Faults/.cvsignore:
        * tests/File_IO/.cvsignore:
        * tests/Forwarding/.cvsignore:
        * tests/GIOP_Fragments/PMB_With_Fragments/.cvsignore:
        * tests/Hello/.cvsignore:
        * tests/ICMG_Any_Bug/.cvsignore:
        * tests/IDL_Test/.cvsignore:
        * tests/IORManipulation/.cvsignore:
        * tests/InterOp-Naming/.cvsignore:
        * tests/Leader_Followers/.cvsignore:
        * tests/LongUpcalls/.cvsignore:
        * tests/MProfile/.cvsignore:
        * tests/MProfile_Connection_Timeout/.cvsignore:
        * tests/MProfile_Forwarding/.cvsignore:
        * tests/MT_BiDir/.cvsignore:
        * tests/MT_Client/.cvsignore:
        * tests/MT_Server/.cvsignore:
        * tests/MT_Timeout/.cvsignore:
        * tests/Multiple/.cvsignore:
        * tests/Multiple_Inheritance/.cvsignore:
        * tests/Muxed_GIOP_Versions/.cvsignore:
        * tests/Muxing/.cvsignore:
        * tests/Native_Exceptions/.cvsignore:
        * tests/NestedUpcall/MT_Client_Test/.cvsignore:
        * tests/NestedUpcall/Simple/.cvsignore:
        * tests/NestedUpcall/Triangle_Test/.cvsignore:
        * tests/Nested_Event_Loop/.cvsignore:
        * tests/Nested_Upcall_Crash/.cvsignore:
        * tests/No_Server_MT_Connect_Test/.cvsignore:
        * tests/OBV/Any/.cvsignore:
        * tests/OBV/Collocated/Forward/.cvsignore:
        * tests/OBV/Factory/.cvsignore:
        * tests/OBV/Forward/.cvsignore:
        * tests/OBV/TC_Alignment/.cvsignore:
        * tests/ORB_destroy/.cvsignore:
        * tests/ORB_init/.cvsignore:
        * tests/ORB_init/Portspan/.cvsignore:
        * tests/ORB_shutdown/.cvsignore:
        * tests/ORT/.cvsignore:
        * tests/Object_Loader/.cvsignore:
        * tests/Objref_Sequence_Test/.cvsignore:
        * tests/OctetSeq/.cvsignore:
        * tests/Oneway_Buffering/.cvsignore:
        * tests/Oneways_Invoking_Twoways/.cvsignore:
        * tests/POA/Current/.cvsignore:
        * tests/POA/Default_Servant/.cvsignore:
        * tests/POA/Etherealization/.cvsignore:
        * tests/POA/Excessive_Object_Deactivations/.cvsignore:
        * tests/POA/Identity/.cvsignore:
        * tests/POA/MT_Servant_Locator/.cvsignore:
        * tests/POA/Nested_Non_Servant_Upcalls/.cvsignore:
        * tests/POA/Non_Servant_Upcalls/.cvsignore:
        * tests/POA/Object_Reactivation/.cvsignore:
        * tests/POA/POA_Destruction/.cvsignore:
        * tests/POA/Persistent_ID/.cvsignore:
        * tests/POA/Policies/.cvsignore:
        * tests/POA/Single_Threaded_POA/.cvsignore:
        * tests/POA/wait_for_completion/.cvsignore:
        * tests/Param_Test/.cvsignore:
        * tests/Policies/.cvsignore:
        * tests/Portable_Interceptors/AMI/.cvsignore:
        * tests/Portable_Interceptors/Benchmark/.cvsignore:
        * tests/Portable_Interceptors/Bug_1559/.cvsignore:
        * tests/Portable_Interceptors/Collocated/Dynamic/.cvsignore:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/.cvsignore:
        * tests/Portable_Interceptors/Dynamic/.cvsignore:
        * tests/Portable_Interceptors/ForwardRequest/.cvsignore:
        * tests/Portable_Interceptors/IORInterceptor/.cvsignore:
        * tests/Portable_Interceptors/ORB_Shutdown/.cvsignore:
        * tests/Portable_Interceptors/PICurrent/.cvsignore:
        * tests/Portable_Interceptors/PolicyFactory/.cvsignore:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/.cvsignore:
        * tests/Portable_Interceptors/Service_Context_Manipulation/.cvsignore:
        * tests/QtTests/.cvsignore:
        * tests/Queued_Message_Test/.cvsignore:
        * tests/RTCORBA/Activate_Object_Multiple_ORBs/.cvsignore:
        * tests/RTCORBA/Banded_Connections/.cvsignore:
        * tests/RTCORBA/Client_Propagated/.cvsignore:
        * tests/RTCORBA/Client_Protocol/.cvsignore:
        * tests/RTCORBA/Collocation/.cvsignore:
        * tests/RTCORBA/Destroy_Thread_Pool/.cvsignore:
        * tests/RTCORBA/Diffserv/.cvsignore:
        * tests/RTCORBA/Explicit_Binding/.cvsignore:
        * tests/RTCORBA/Linear_Priority/.cvsignore:
        * tests/RTCORBA/MT_Client_Protocol_Priority/.cvsignore:
        * tests/RTCORBA/ORB_init/.cvsignore:
        * tests/RTCORBA/Persistent_IOR/.cvsignore:
        * tests/RTCORBA/Policies/.cvsignore:
        * tests/RTCORBA/Policy_Combinations/.cvsignore:
        * tests/RTCORBA/Priority_Inversion_With_Bands/.cvsignore:
        * tests/RTCORBA/Private_Connection/.cvsignore:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/.cvsignore:
        * tests/RTCORBA/RTMutex/.cvsignore:
        * tests/RTCORBA/Server_Declared/.cvsignore:
        * tests/RTCORBA/Server_Protocol/.cvsignore:
        * tests/RTCORBA/Thread_Pool/.cvsignore:
        * tests/RTScheduling/Current/.cvsignore:
        * tests/RTScheduling/DT_Spawn/.cvsignore:
        * tests/RTScheduling/Scheduling_Interceptor/.cvsignore:
        * tests/RTScheduling/Thread_Cancel/.cvsignore:
        * tests/RTScheduling/VoidData/.cvsignore:
        * tests/Reliable_Oneways/.cvsignore:
        * tests/Servant_To_Reference_Test/.cvsignore:
        * tests/Server_Connection_Purging/.cvsignore:
        * tests/Server_Leaks/.cvsignore:
        * tests/Server_Port_Zero/.cvsignore:
        * tests/Single_Read/.cvsignore:
        * tests/Smart_Proxies/.cvsignore:
        * tests/Smart_Proxies/Benchmark/.cvsignore:
        * tests/Smart_Proxies/Collocation/.cvsignore:
        * tests/Smart_Proxies/On_Demand/.cvsignore:
        * tests/Smart_Proxies/Policy/.cvsignore:
        * tests/Smart_Proxies/dtor/.cvsignore:
        * tests/Stack_Recursion/.cvsignore:
        * tests/Strategies/.cvsignore:
        * tests/Timed_Buffered_Oneways/.cvsignore:
        * tests/Timeout/.cvsignore:
        * tests/Two_Objects/.cvsignore:
        * tests/Typedef_String_Array/.cvsignore:
        * tests/UNKNOWN_Exception/.cvsignore:
        * tests/Xt_Stopwatch/.cvsignore:
        * utils/catior/.cvsignore:
        * utils/nslist/.cvsignore:

          Removed these files in favor of svn:ignore properties on the
          parent directory.

Sat Jan  6 07:07:18 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/fe/fe_lookup.cpp (lookup):
          Make sure the signature is exactly the same as in the header
          file, this should resolve the ld errors with HPUX IA64

Sat Jan  6 00:06:52 UTC 2007  Steve Huston  <shuston@riverace.com>

        * TAO_IDL/driver/drv_preproc.cpp: Removed the ACE_HAS_WINNT4 block -
          everything runs on NT4 or up now, even when running TAO IDL for
          building on Pharlap or CE.

Fri Jan  5 22:51:37 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_decl.h:

          Small change to comment.

        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/util/utl_global.cpp:

          Changed logic of pushing/popping prefixes to/from
          the IDL compiler's dedicated stack, to fix a
          problem reported by Martin Corino <mcorino@remedy.nl>
          related to #pragma prefix directives from included
          IDL files and how they interact with the IDL
          compiler's preprocessor.

        * TAO_IDL/be/be_visitor_amh_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_ami_pre_proc.cpp:

          Copied lines of code from the CCM preprocessing
          visitor, which ensures that implied IDL nodes
          will have the correct repository ids even if
          the original node has its prefix modified later
          in the IDL file. The same logic is now applied
          to the AMI and AMH preprocessing visitors.

Fri Jan  5 18:26:43 UTC 2007  Ciju John  <johnc@ociweb.com>

        * docs/ORBEndpoint.html:
          Update documentation for ORBEndpoint reuse_addr option.

Fri Jan  5 17:09:35 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/Portable_Interceptors/Redirection/run_test.pl:

          The sudden death of the first server is expected and is part of
          the test. Changing the script to interpret the event
          accordingly.

Fri Jan  5 15:37:18 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/DynamicC.h:
          Added typedef for _out_type to ParameterList, the IDL does
          generate this but this file is handcrafted and not updated
          when the IDL compiler was changed

Fri Jan  5 15:07:46 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/IIOP/client.cpp:

          Testing for minimum corba was wrong, causing invalid reference
          to Object::_request member in minimum corba builds.

Fri Jan  5 13:35:47 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * MPC/config/tc.mpb:

          Added interceptors and pi as bases to ensure the derived
          projects are not built prior, or without their prerequisites.

        * tests/TransportCurrent/Framework/Framework.mpc:
        * tests/TransportCurrent/IIOP/IIOP.mpc:
        * tests/TransportCurrent/lib/Current_Test_Lib.mpc:

          Added tc (which derives from pi and interceptors) as base and
          also simplified the base project lists. This ensures the tests
          are skipped if TC is not built (for instance with
          corba_e_compact).

Fri Jan  5 13:07:32 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp (open_senders):

          Switched from using a macro for the buffer length used in
          gathering the ignore address as a string to using a literal
          constant. This is consistent with common usage of addr_to_string
          throughout the ACE/TAO codebase, and avoids adding potentially
          system-specific includes at the application level.

Fri Jan  5 13:04:18 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/ValueBox/client.cpp:
          Renamed VERIFY to OBV_VERIFY to resolve redefinition warnings
          in the MFC builds

Fri Jan  5 11:00:00 UTC 2007  Simon Massey  <sma@prismtech.com>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/server_interceptor.cpp:

          Error if the typecode info is not available to display.

Fri Jan  5 10:10:18 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/compression.mpb:
          Removed pi as base, not needed. Thanks to JT for noticing this

        * tao/Compression/Base_Compressor.h:
          Make the members protected so that derived classes can access them

        * tao/Compression/zlib/ZlibCompressor.cpp:
          Fixed type of local variable

Fri Jan  5 06:54:42 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefiles for new subdirectory.

        * tests/Portable_Interceptors/Makefile.am:

          Regenerate to descend into Redirection subdirectory.

        * tests/Portable_Interceptors/Redirection/Makefile.am:

          New Makefile.am.

Fri Jan  5 06:51:11 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefiles for new subdirectory.

        * tests/Makefile.am:

          Regenerate to descend into Bug_2702_Regression subdirectory.

        * tests/Bug_2702_Regression/Makefile.am:

          New Makefile.am.

Fri Jan  5 06:42:17 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/TransportCurrent/IIOP/Makefile.am:
        * tests/TransportCurrent/Framework/Makefile.am

          Regenerate.

        * configure.ac:

          Configure Makefiles for new subdirectory.

        * tests/TransportCurrent/Makefile.am:

          Regenerate to descend into lib subdirectory.

        * tests/TransportCurrent/lib/Makefile.am:

          New Makefile.am for library of common code for TransportCurrent
          tests.

        * tests/TransportCurrent/Framework/Framework.mpc:

          Fix tpyo in after += specification.

Fri Jan  5 04:09:08 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/lib/Client_ORBInitializer.h:
        * tests/TransportCurrent/lib/Client_ORBInitializer.cpp:
        * tests/TransportCurrent/lib/Client_Request_Interceptor.h:
        * tests/TransportCurrent/lib/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/lib/Current_Test_Impl.h:
        * tests/TransportCurrent/lib/Server_ORBInitializer.h:
        * tests/TransportCurrent/lib/Server_ORBInitializer.cpp:
        * tests/TransportCurrent/lib/Server_Request_Interceptor.h:
        * tests/TransportCurrent/lib/Server_Request_Interceptor.cpp:

          Thanks to Johnny Willemsen and Chris Cleeland for reminding
          me. This change eliminates the use of the now deprecated ACE
          exceptions macros.

Fri Jan  5 03:35:00 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:

          Refactor the status message output in the open_senders() method
          to make use of updated ACE_INET_Addr::addr_to_string() when
          reporting IPv6 sender addresses.

          Also, changed ECM_Federation::ECM_Federation() to force mapping
          of supplier and consumer names to IPv4 format as the rest of the
          code makes use of the now-obsolete assumption that an IP addr
          fits into a long.

Fri Jan  5 00:53:34 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Transport_Connector.cpp:
        * tao/Strategies/UIOP_Connector.cpp:

          Removed the warning generated if a trailing '/' was not present
          if the default object key were desired. The '/' separator is
          required only when an explicit object key is present. See
          section 13.6.10.1 of CORBA 3.0.3 specification (formal/04-03-01)
          to note that the slash is part of the object key portion of the
          corbaloc string.

Thu Jan  4 20:10:38 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

          This is in addition to the change from "Thu Jan 4 04:11:02 UTC
         2007". The aim is to resolve the linking problems on some
         builds. Basically, I had a templatized ORB initializer (for
         client and server side) which used to be pretty simple
         anyway. This change eliminates the template and replaces it with
         two simple classes.

         The problem was that the Borland compiler was not seeing the
         template instantiations. When I tried to fix that, the Windows VC
         broke complaining about duplicate instantiations. In the end,
         instead of mucking about with such a simple template I just
         zapped it.

        * tests/TransportCurrent/Framework/client.cpp:
        * tests/TransportCurrent/Framework/server.cpp:
        * tests/TransportCurrent/IIOP/client.cpp:
        * tests/TransportCurrent/IIOP/server.cpp:

          Eliminated the trivial template usage for the ORB initializers,
         where a simple class is sufficient.

        * tests/TransportCurrent/lib/Client_ORBInitializer.h:
        * tests/TransportCurrent/lib/Client_ORBInitializer.cpp:
        * tests/TransportCurrent/lib/Server_ORBInitializer.cpp:
        * tests/TransportCurrent/lib/Server_ORBInitializer.h:

         Added as a replacement of the template.

        * tests/TransportCurrent/Framework/run_test.pl:
        * tests/TransportCurrent/IIOP/run_test.pl:

          Modified so they now run on Windows, too. The problem was that
         the ../lib was not part of the DLL search path on Windows and
         there again, the path separator is ';'. The change ensures ../lib
         is added to the PATH and introduces Config to pick the correct
         separator.

        * tests/TransportCurrent/lib/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/lib/Server_Request_Interceptor.cpp:

          Removed the partial template instantiation and replaced with two
         simple classes. See above.

        * tests/TransportCurrent/lib/Current_Test_Lib.mpc:

          Updated to add pi to the list of base projects.

        * tests/TransportCurrent/lib/ORBInitializer_T.h:
        * tests/TransportCurrent/lib/ORBInitializer_T.cpp:

          Removed these files.

Thu Jan  4 19:55:35 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp (init):

          Fixed conversion warnings in RTEMS build...the old .in() for a
          _var problem.

Thu Jan  4 16:32:38 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * tests/Bug_2702_Regression/fakeserver2.pl:

          Added "use" for Socket and IO::Socket packages.  The script
          works just fine on many platforms without this for some reason,
          but gave errors on the BCB build.

Thu Jan  4 14:08:45 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Makefile.am:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Makefile.am:

          Regenerate.

Thu Jan  4 14:00:16 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * tao/Makefile.am:
        * tests/Compression/Makefile.am:

          Tweak to use ACE_{ZLIB,ZZIP}_{CPPFLAGS,LDFLAGS,LIBS}
          instead of -I${ZLIB_ROOT}/include, etc.  The former
          are substituted by the configure script.

        * configure.ac:

          Use ACE_PATH_ZLIB and ACE_PATH_ZZIP autoconf macros.
          zlib and zzip can now be enabled at configure time
          with --with-zlib and --with-zzip.

Thu Jan  4 13:55:18 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/PI_ProcMode_Remote.mpc:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/PI_Request_Interceptor_Flow.mpc:

          Subtracted the -St option from idlflags in the custom_only idl
          projects.  Prior to the split, the -St option was subtracted off
          by the anytypecode base project.

Thu Jan  4 11:33:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Compression/server.cpp:
          Extended this test to test whether the correct exception
          is thrown when we request an invalid compressor factory

Thu Jan  4 04:11:02 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/Framework.mpc:
        * tests/TransportCurrent/Framework/run_test.pl:
        * tests/TransportCurrent/IIOP/Current_Test_Impl.cpp:
        * tests/TransportCurrent/IIOP/IIOP.mpc:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.h:
        * tests/TransportCurrent/IIOP/client.cpp:
        * tests/TransportCurrent/IIOP/run_test.pl:
        * tests/TransportCurrent/IIOP/server.cpp:
        * tests/TransportCurrent/lib:
        * tests/TransportCurrent/lib/Client_Request_Interceptor.h:
        * tests/TransportCurrent/lib/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/lib/Current_Test.idl:
        * tests/TransportCurrent/lib/Current_Test_Export.h:
        * tests/TransportCurrent/lib/Current_Test_Impl.h:
        * tests/TransportCurrent/lib/Current_Test_Lib.mpc:
        * tests/TransportCurrent/lib/ORBInitializer_T.h:
        * tests/TransportCurrent/lib/ORBInitializer_T.cpp:
        * tests/TransportCurrent/lib/Server_Request_Interceptor.h:
        * tests/TransportCurrent/lib/Server_Request_Interceptor.cpp:

          Split off the IDL and the common stuff fro the two tests into a
          lib directory and adjusted the references. This will hopefully
          deal with the build dependency issues we have been seeing
          recently and will eliminate the cases of duplicate compilation
          of the IDL. Thanks to Johnny Willemsen and J.T. Conklin for the
          ideas.

        * tests/TransportCurrent/Framework/Client_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/Framework/Current_Test.idl:
        * tests/TransportCurrent/Framework/Current_Test_Impl.h:
        * tests/TransportCurrent/Framework/ORBInitializer_T.h:
        * tests/TransportCurrent/Framework/ORBInitializer_T.cpp:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.cpp:

          Moved these files to lib directory.

Wed Jan  3 22:23:57 UTC 2007  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Profile_Transport_Resolver.cpp:

          Corrected the return value for find_transport. The comment in
          the method wasn't very clear and so when the new safe transport
          pointer code was added, the return value for success and failure
          were inadvertently altered, which broke the optimized connection
          strategy's endpoint selector

        * tao/Strategies/Optimized_Connection_Endpoint_Selector.cpp:

          Fixed the name used in the ACE_RCSID tag.

Wed Jan  3 19:53:43 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/tests/Bug_2702_Regression/server_on_localhost_1192.ior:

          Added this file, which was somehow missed during the merge.
          This should address test failures across all platforms.

Wed Jan  3 19:50:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Compression/run_test.pl:
          Added perl script to run this test automatically.

Wed Jan  3 19:04:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Invocation_Adapter.cpp:
        * tao/Messaging/Asynch_Invocation.cpp:
        * tao/PI/ClientRequestInterceptor_Adapter_Impl.cpp:
        * tao/Synch_Invocation.cpp:
          Const improvements

        * tao/Invocation_Base.cpp (handle_any_exception):
          Check whether we had a location forward, if so, return
          LOCATION_FORWARD. This fixes bugzilla bug 2763. Thanks to
          Jaiganesh Balasubramanian for reporting this and testing
          the patch.

Wed Jan  3 18:47:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Redirection/test.idl:
          Added missing Id tag.

Wed Jan  3 16:05:58 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * MPC/config/endpointpolicy.mpb:
        * TAO_IDL/tao_idl.mpc:
        * orbsvcs/Concurrency_Service/Concurrency_Service.mpc:
        * orbsvcs/CosEvent_Service/CosEvent_Service.mpc:
        * orbsvcs/Dump_Schedule/Dump_Schedule.mpc:
        * orbsvcs/Event_Service/Event_Service.mpc:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.mpc:
        * orbsvcs/Fault_Detector/Fault_Detector.mpc:
        * orbsvcs/Fault_Notifier/Fault_Notifier.mpc:
        * orbsvcs/IFR_Service/IFR_Service.mpc:
        * orbsvcs/LoadBalancer/LoadBalancer.mpc:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.mpc:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.mpc:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.mpc:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.mpc:
        * orbsvcs/Naming_Service/Naming_Service.mpc:
        * orbsvcs/Notify_Service/Notify_Service.mpc:
        * orbsvcs/Scheduling_Service/Scheduling_Service.mpc:
        * orbsvcs/TAO_Service/TAO_Service.mpc:
        * orbsvcs/Time_Service/Time_Service.mpc:
        * orbsvcs/Trading_Service/Trading_Service.mpc:
        * orbsvcs/orbsvcs/AV.mpc:
        * orbsvcs/orbsvcs/CosConcurrency.mpc:
        * orbsvcs/orbsvcs/CosEvent.mpc:
        * orbsvcs/orbsvcs/CosLifeCycle.mpc:
        * orbsvcs/orbsvcs/CosLoadBalancing.mpc:
        * orbsvcs/orbsvcs/CosNaming.mpc:
        * orbsvcs/orbsvcs/CosNaming_Serv.mpc:
        * orbsvcs/orbsvcs/CosNaming_Skel.mpc:
        * orbsvcs/orbsvcs/CosNotification.mpc:
        * orbsvcs/orbsvcs/CosProperty.mpc:
        * orbsvcs/orbsvcs/CosTime.mpc:
        * orbsvcs/orbsvcs/CosTrading.mpc:
        * orbsvcs/orbsvcs/DsEventLogAdmin.mpc:
        * orbsvcs/orbsvcs/DsLogAdmin.mpc:
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.mpc:
        * orbsvcs/orbsvcs/ETCL.mpc:
        * orbsvcs/orbsvcs/FTORB.mpc:
        * orbsvcs/orbsvcs/FaultTolerance.mpc:
        * orbsvcs/orbsvcs/FtRtEvent.mpc:
        * orbsvcs/orbsvcs/HTIOP.mpc:
        * orbsvcs/orbsvcs/IFRService.mpc:
        * orbsvcs/orbsvcs/PortableGroup.mpc:
        * orbsvcs/orbsvcs/RTCORBAEvent.mpc:
        * orbsvcs/orbsvcs/RTCosScheduling.mpc:
        * orbsvcs/orbsvcs/RTEvent.mpc:
        * orbsvcs/orbsvcs/RTEventLogAdmin.mpc:
        * orbsvcs/orbsvcs/RTEvent_Serv.mpc:
        * orbsvcs/orbsvcs/RTEvent_Skel.mpc:
        * orbsvcs/orbsvcs/RTKokyuEvent.mpc:
        * orbsvcs/orbsvcs/RTSched.mpc:
        * orbsvcs/orbsvcs/RTSchedEvent.mpc:
        * orbsvcs/orbsvcs/RT_Notification.mpc:
        * orbsvcs/orbsvcs/SSLIOP.mpc:
        * orbsvcs/orbsvcs/Security.mpc:
        * orbsvcs/orbsvcs/Svc_Utils.mpc:
        * tao/AnyTypeCode.mpc:
        * tao/BiDir_GIOP.mpc:
        * tao/CSD_Framework.mpc:
        * tao/CSD_ThreadPool.mpc:
        * tao/CodecFactory.mpc:
        * tao/Codeset.mpc:
        * tao/Compression.mpc:
        * tao/Domain.mpc:
        * tao/DynamicAny.mpc:
        * tao/DynamicInterface.mpc:
        * tao/EndpointPolicy.mpc:
        * tao/FlResource.mpc:
        * tao/IFR_Client.mpc:
        * tao/IORInterceptor.mpc:
        * tao/IORManipulation.mpc:
        * tao/IORTable.mpc:
        * tao/ImR_Client.mpc:
        * tao/Messaging.mpc:
        * tao/ObjRefTemplate.mpc:
        * tao/PI.mpc:
        * tao/PI_Server.mpc:
        * tao/PortableServer.mpc:
        * tao/QtResource.mpc:
        * tao/RTCORBA.mpc:
        * tao/RTPortableServer.mpc:
        * tao/RTScheduler.mpc:
        * tao/SmartProxies.mpc:
        * tao/Strategies.mpc:
        * tao/TC.mpc:
        * tao/TC_IIOP.mpc:
        * tao/TkResource.mpc:
        * tao/TypeCodeFactory.mpc:
        * tao/Utils.mpc:
        * tao/Valuetype.mpc:
        * tao/XtResource.mpc:
        * tao/ZlibCompressor.mpc:
        * tao/tao.mpc:
        * utils/catior/catior.mpc:
        * utils/nslist/nslist.mpc:

          Use the install base project instead of the deprecated core base
          project.

Wed Jan  3 15:18:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Redirection/*:
          New regression created by Jaiganesh Balasubramanian
          <jai at dre dot vanderbilt dot edu> that reproduces a bug
          in the handling of the PortableInterceptor::ForwardRequest
          exception. Fix will follow later, see also bugzilla 2763

Wed Jan  3 14:25:26 UTC 2007  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:
        * tao/Makefile.am:
        * tests/Bug_2429_Regression/Makefile.am:

          Fix tabs that were changed to eight spaces in some previous
          checkin.

Wed Jan  3 14:19:15 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/Collocation/Collocation.mpc:

          Fixing build dependencies.

Wed Jan  3 13:19:03 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

        * tests/Bug_2702_Regression/fakeserver2.pl: Added Id string to
          fix fuzz build.

Wed Jan  3 05:58:08 UTC 2007  Chris Cleeland  <cleeland_c@ociweb.com>

          This entry documents the merge of several small bug fixes from
          the OCI distribution.

        * orbsvcs/Notify_Service/README:

          Add documentation for the new "-UseSeparateDispatchingORB"
          option.

        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/Notify_Service.cpp:

          Add new methods for creating the dispatching ORB and a flag for
          indicating whether a separate dispatching ORB should be used.

        * orbsvcs/orbsvcs/Notify/Properties.h:
        * orbsvcs/orbsvcs/Notify/Properties.inl:
        * orbsvcs/orbsvcs/Notify/Properties.cpp:

          Added methods and data member related to managing the separate
          dispatching ORB.

        * orbsvcs/orbsvcs/Notify/Properties.h (instance):
        * orbsvcs/orbsvcs/Notify/Properties.cpp (instance):
        * orbsvcs/orbsvcs/Notify/RT_Properties.h (instance):
        * orbsvcs/orbsvcs/Notify/RT_Properties.cpp (instance):

          Merged in a change similar to "Thu May 19 00:29:35 2005  Ossama
          Othman  <ossama@dre.vanderbilt.edu>" that avoids multiple
          singleton instances of the Properties singleton.

        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp (init):
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp (init):
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp (init):

          Similar change in all three of these places substitutes
          _unchecked_narrow() for _narrow() when using the "re-hosting"
          technique for the a separate dispatching ORB.  For the reference
          to the consumer itself, the _unchecked_narrow() is perfectly
          fine because we had a reference to something of that type
          already.  For the NotifyPublish narrowing, though, the
          _unchecked_narrow() isn't completely sufficient.  However, we
          want to avoid a normal _narrow() because the resulting _is_a()
          invocation could end up deadlocking if the POA that's hosting
          the object reference for the consumer has not yet been
          activated.  Thus, we use pseudo-lazy evaluation for that,
          described in the entry for Consumer.{h,cpp} below.

        * orbsvcs/orbsvcs/Notify/Consumer.h:

          Added a flag, have_not_yet_verified_publish_, that indicates
          whether the type of this->publish_ has been verified to actually
          be a reference to something implementing the NotifyPublish
          interface.

        * orbsvcs/orbsvcs/Notify/Consumer.cpp (CTOR, dispatch_updates_i):

          Modified CTOR to initialize the aforementioned flag.  In
          dispatch_updates_i, we assume that the reference is unverified
          until we've checked it once.  I don't think we need to worry
          about thread safety here...at least I hope not.

        * orbsvcs/orbsvcs/Notify/CosNotify_Service.h (init_service2, init_i2):
        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp (init_service2, init_i2):

          Added code to parse the new option.

        * orbsvcs/orbsvcs/Notify/POA_Helper.cpp (create_i, activate):

          Corrected some minor memory leaks when getting the name of a
          POA.

        * orbsvcs/tests/Notify/Basic/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test_ipv6.pl:

          Added an outer loop that runs the basic tests with and without a
          separate dispatching ORB.

        * tao/ObjectKey_Table.h:
        * tao/ObjectKey_Table.cpp:
        * tao/Unbounded_Octet_Sequence_T.h:

          Added an optimization to servant activation.  This change
          removes the overhead of calling TAO::ObjectKey::operator[] and
          TAO::unbounded_value_sequence<CORBA::Octet>::operator[].  The
          main benefit of not calling these methods is that check_bounds()
          is not called.  check_bounds () is not required since the
          length of the two arrays are taken into account.  This change
          provides about 30% decrease in servant activation time for a
          debug build (tested on Windows VC71 and Linux gcc using OCITAO
          1.4a).  The implementation uses ACE_OS::memcmp which could
          possibly be optimized similar to ACE_HAS_SLOW_MEMSET.  This
          change originated from OCITAO 1.4a as part of RT 8571.

        * tao/GIOP_Message_State.cpp (parse_message_header_i):

          Fixed a problem where TAO mistakenly considered ALL messages
          with zero-length payload to be errors and was thus not
          properly parsing and handling the GIOP CloseConnection
          message.

        * tao/GIOP_Utils.h:

          Corrected comment incorrectly indicating that
          CloseConnection could not be send by both sides of a
          connection.

        * tests/Bug_2702_Regression/CloseConnection.mpc:
        * tests/Bug_2702_Regression/README:
        * tests/Bug_2702_Regression/Test.idl:
        * tests/Bug_2702_Regression/client.cpp:
        * tests/Bug_2702_Regression/closeconnection.dat:
        * tests/Bug_2702_Regression/fakeserver.pm:
        * tests/Bug_2702_Regression/fakeserver2.pl:
        * tests/Bug_2702_Regression/run_test.pl:

          Added a test to simulate the receipt of a CloseConnection in a
          client, similar to what the original reporter experienced.
          See the accompanying README for details.

        * orbsvcs/tests/Bug_1393_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1395_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1436_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1437_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2615_Regression/run_test.pl:
        * orbsvcs/tests/Event/Performance/run_test.pl:
        * orbsvcs/tests/ImplRepo/NameService/run_test.pl:
        * orbsvcs/tests/ImplRepo/locked/run_test.pl:
        * orbsvcs/tests/ImplRepo/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Application_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IFR_Inheritance_Test/run_test.pl:
        * orbsvcs/tests/RTCosScheduling/run_test.pl:
        * orbsvcs/tests/Security/Big_Request/run_test.pl:
        * orbsvcs/tests/Security/Callback/run_test.pl:
        * orbsvcs/tests/Security/Secure_Invocation/run_test.pl:
        * tests/COIOP/run_test.pl:
        * tests/DLL_ORB/run_test.pl:
        * tests/Portable_Interceptors/IORInterceptor/run_test.pl:
        * tests/Portable_Interceptors/PICurrent/run_test.pl:
        * tests/Portable_Interceptors/PolicyFactory/run_test.pl:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/run_test.pl:
        * utils/nslist/run_test.pl:

          Changed relative paths to $ACE_ROOT/bin in these scripts to
          reference directly via the ACE_ROOT environment variable so
          that the scripts would work properly when run in a workspace
          that does not use the traditional everything-under-ACE_wrappers
          directory hierarchy.

Wed Jan  3 00:51:49 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/client.cpp:

          Clarified the conditional compilation for TAO_HAS_MINIMUM_CORBA.

        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.cpp:

          Qualified a constant with the Test:: workspace prefix.

Tue Jan  2 16:32:36 UTC 2006  Simon Massey  <sma@prismtech.com>

        * tao/PI/PICurrent.h:
        * tao/PI/PICurrent.cpp:
          extern "C" linkage CANNOT be added to a class member.

Tue Jan  2 14:07:36 UTC 2006  Simon Massey  <sma@prismtech.com>

        * tao/PI/PICurrent.h:
          Add extern "C" linkage to the cleanup function.

Tue Jan  2 14:07:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CSD_Strategy_Tests/TP_Foo_A/csd_tp_foo_a_lib.mpc:
        * tests/CSD_Strategy_Tests/TP_Foo_B/csd_tp_foo_b_lib.mpc:
        * tests/CSD_Strategy_Tests/TP_Foo_C/csd_tp_foo_c_lib.mpc:
        * MPC/config/csd_tp_foo_a_lib.mpb:
        * MPC/config/csd_tp_foo_b_lib.mpb:
        * MPC/config/csd_tp_foo_c_lib.mpb:
          Disabled with CORBA/e micro

Tue Jan  2 12:45:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_operation/argument.cpp:
          Fixed variable not used warning

Tue Jan  2 11:50:57 UTC 2007  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/ORBInitializer_T.cpp:

          Removing the trivial post_init() template implementation added
          on Sun Dec 31 17:27:27 UTC 2006 because it confuses the Windows
          builds.

Tue Jan  2 09:13:36 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        Removed support from the IDL compiler for -Ge 0 and -Ge 1. We
        now always generate without environment macros. -Ge 2 is still there
        but probably gets removed also soon

        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_component/component_sh.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/base_proxy_broker_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/remote_proxy_broker_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/remote_proxy_broker_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/tie_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/tie_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_rh_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/argument.cpp:
        * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/proxy_impl_xh.cpp:
        * TAO_IDL/be/be_visitor_operation/upcall_command_ss.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/arglist.cpp:
        * TAO_IDL/be/be_visitor_valuetype/marshal_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_init_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_init_cs.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/be_include/be_visitor_operation/operation.h:
          Removed environment macro support

        * docs/compiler.h:tml
        * docs/tutorials/Quoter/AMI/Makefile.am:
        * docs/tutorials/Quoter/Event_Service/Makefile.am:
        * docs/tutorials/Quoter/idl/Makefile.am:
        * docs/tutorials/Quoter/On_Demand_Activation/Makefile.am:
        * docs/tutorials/Quoter/RT_Event_Service/Makefile.am:
        * docs/tutorials/Quoter/RTCORBA/Makefile.am:
        * examples/Advanced/ch_3/Makefile.am:
        * examples/AMH/Sink_Server/Makefile.am:
        * examples/AMI/FL_Callback/Makefile.am:
        * examples/Buffered_AMI/Makefile.am:
        * examples/Buffered_Oneways/Makefile.am:
        * examples/Callback_Quoter/Makefile.am:
        * examples/Content_Server/AMI_Iterator/Makefile.am:
        * examples/Content_Server/AMI_Observer/Makefile.am:
        * examples/Content_Server/SMI_Iterator/Makefile.am:
        * examples/CSD_Strategy/ThreadPool2/Makefile.am:
        * examples/CSD_Strategy/ThreadPool3/Makefile.am:
        * examples/CSD_Strategy/ThreadPool4/Makefile.am:
        * examples/CSD_Strategy/ThreadPool5/Makefile.am:
        * examples/CSD_Strategy/ThreadPool6/Makefile.am:
        * examples/CSD_Strategy/ThreadPool/Makefile.am:
        * examples/Event_Comm/Makefile.am:
        * examples/ior_corbaloc/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/fp_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/mif_example/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/muf_example/Makefile.am:
        * examples/Load_Balancing/Makefile.am:
        * examples/Load_Balancing_persistent/Makefile.am:
        * examples/Logging/Makefile.am:
        * examples/mfc/Makefile.am:
        * examples/OBV/Typed_Events/Makefile.am:
        * examples/Persistent_Grid/Makefile.am:
        * examples/PluggableUDP/tests/Basic/Makefile.am:
        * examples/PluggableUDP/tests/Performance/Makefile.am:
        * examples/PluggableUDP/tests/SimplePerformance/Makefile.am:
        * examples/POA/Default_Servant/Makefile.am:
        * examples/POA/DSI/Makefile.am:
        * examples/POA/Forwarding/Makefile.am:
        * examples/POA/Generic_Servant/Makefile.am:
        * examples/POA/TIE/Makefile.am:
        * examples/Quoter/Makefile.am:
        * examples/RTCORBA/Activity/Makefile.am:
        * examples/RTScheduling/Fixed_Priority_Scheduler/Makefile.am:
        * examples/RTScheduling/Makefile.am:
        * examples/RTScheduling/MIF_Scheduler/Makefile.am:
        * examples/Simple/bank/Makefile.am:
        * examples/Simple/chat/Makefile.am:
        * examples/Simple/echo/Makefile.am:
        * examples/Simple/grid/Makefile.am:
        * examples/Simple/time-date/Makefile.am:
        * examples/Simple/time/Makefile.am:
        * examples/Simulator/Event_Supplier/Makefile.am:
        * examples/TypeCode_Creation/Makefile.am:
        * interop-tests/wchar/Makefile.am:
        * MPC/config/taoidldefaults.mpb:
        * orbsvcs/examples/CosEC/Factory/Makefile.am:
        * orbsvcs/examples/CosEC/TypedSimple/Makefile.am:
        * orbsvcs/examples/FaultTolerance/RolyPoly/Makefile.am:
        * orbsvcs/examples/ImR/Advanced/Makefile.am:
        * orbsvcs/examples/ImR/Combined_Service/Makefile.am:
        * orbsvcs/examples/LoadBalancing/Makefile.am:
        * orbsvcs/examples/ORT/Makefile.am:
        * orbsvcs/examples/Security/Send_File/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/orbsvcs/HTIOP.mpc:
        * orbsvcs/orbsvcs/HTIOP/htiop_endpoints.pid:
        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/orbsvcs/SSLIOP.mpc:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/lib/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/Makefile.am:
        * orbsvcs/tests/BiDir_CORBALOC/Makefile.am:
        * orbsvcs/tests/Bug_1395_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2247_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2248_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2285_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2287_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2316_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2377_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2615_Regression/Makefile.am:
        * orbsvcs/tests/Bug_2709_Regression/Makefile.am:
        * orbsvcs/tests/EC_Custom_Marshal/Makefile.am:
        * orbsvcs/tests/Event/UDP/Makefile.am:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Makefile.am:
        * orbsvcs/tests/FaultTolerance/IOGR/Makefile.am:
        * orbsvcs/tests/FT_App/Makefile.am:
        * orbsvcs/tests/HTIOP/AMI/Makefile.am:
        * orbsvcs/tests/HTIOP/BiDirectional/Makefile.am:
        * orbsvcs/tests/HTIOP/Hello/Makefile.am:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/Makefile.am:
        * orbsvcs/tests/ImplRepo/Makefile.am:
        * orbsvcs/tests/ImplRepo/scale/Makefile.am:
        * orbsvcs/tests/InterfaceRepo/Application_Test/Makefile.am:
        * orbsvcs/tests/Interoperable_Naming/Makefile.am:
        * orbsvcs/tests/ior_corbaname/Makefile.am:
        * orbsvcs/tests/IOR_MCast/Makefile.am:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Makefile.am:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/Makefile.am:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Makefile.am:
        * orbsvcs/tests/Miop/McastHello/Makefile.am:
        * orbsvcs/tests/Notify/Blocking/Makefile.am:
        * orbsvcs/tests/Notify/Discarding/Makefile.am:
        * orbsvcs/tests/Notify/lib/Makefile.am:
        * orbsvcs/tests/Notify/MT_Dispatching/Makefile.am:
        * orbsvcs/tests/Notify/Ordering/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/Filter/Makefile.am:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Structured_Filter/Makefile.am:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Makefile.am:
        * orbsvcs/tests/Redundant_Naming/Makefile.am:
        * orbsvcs/tests/Security/BiDirectional/Makefile.am:
        * orbsvcs/tests/Security/Big_Request/Makefile.am:
        * orbsvcs/tests/Security/Callback/Makefile.am:
        * orbsvcs/tests/Security/Crash_Test/Makefile.am:
        * orbsvcs/tests/Security/MT_IIOP_SSL/Makefile.am:
        * orbsvcs/tests/Security/MT_SSLIOP/Makefile.am:
        * orbsvcs/tests/Security/Secure_Invocation/Makefile.am:
        * orbsvcs/tests/Security/ssliop_corbaloc/Makefile.am:
        * orbsvcs/tests/Simple_Naming/Makefile.am:
        * orbsvcs/tests/Trading/Makefile.am:
        * performance-tests/Anyop/Makefile.am:
        * performance-tests/Callback/Makefile.am:
        * performance-tests/CSD_Strategy/TestInf/Makefile.am:
        * performance-tests/CSD_Strategy/TestServant/Makefile.am:
        * performance-tests/Cubit/TAO/DII_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/IDL_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/MT_Cubit/Makefile.am:
        * performance-tests/Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Latency/AMI/Makefile.am:
        * performance-tests/Latency/Collocation/Makefile.am:
        * performance-tests/Latency/Deferred/Makefile.am:
        * performance-tests/Latency/DII/Makefile.am:
        * performance-tests/Latency/DSI/Makefile.am:
        * performance-tests/Latency/Single_Threaded/Makefile.am:
        * performance-tests/Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/Latency/Thread_Pool/Makefile.am:
        * performance-tests/Memory/IORsize/Makefile.am:
        * performance-tests/Memory/Single_Threaded/Makefile.am:
        * performance-tests/Pluggable/Makefile.am:
        * performance-tests/POA/Demux/Makefile.am:
        * performance-tests/POA/Implicit_Activation/Makefile.am:
        * performance-tests/POA/Object_Creation_And_Registration/Makefile.am:
        * performance-tests/Protocols/Makefile.am:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/Makefile.am:
        * performance-tests/RTCorba/Oneways/Reliable/Makefile.am:
        * performance-tests/RTCorba/Thread_Pool/Makefile.am:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/AMI/Makefile.am:
        * performance-tests/Sequence_Latency/Deferred/Makefile.am:
        * performance-tests/Sequence_Latency/DII/Makefile.am:
        * performance-tests/Sequence_Latency/DSI/Makefile.am:
        * performance-tests/Sequence_Latency/Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Pool/Makefile.am:
        * performance-tests/Throughput/Makefile.am:
        * tao/AnyTypeCode.mpc:
        * tao/AnyTypeCode/AnySeq.pid:
        * tao/AnyTypeCode/Bounds.pid:
        * tao/AnyTypeCode/Dynamic.pid:
        * tao/AnyTypeCode/Dynamic_Parameter.pid:
        * tao/AnyTypeCode/ValueModifier.pid:
        * tao/AnyTypeCode/Visibility.pid:
        * tao/BiDir_GIOP.mpc:
        * tao/BiDir_GIOP/BiDirPolicy.pid:
        * tao/BooleanSeq.pid:
        * tao/CharSeq.pid:
        * tao/CodecFactory.mpc:
        * tao/CodecFactory/IOP_Codec.pid:
        * tao/Compression.mpc:
        * tao/Compression/TAO_Compression.pc.in
        * tao/CONV_FRAME.pid:
        * tao/CSD_Framework.mpc:
        * tao/CSD_Framework/CSD_Framework.pid:
        * tao/Current.pid:
        * tao/Domain.pid:
        * tao/DoubleSeq.pid:
        * tao/DynamicAny.mpc:
        * tao/EndpointPolicy.mpc:
        * tao/EndpointPolicy/EndpointPolicyType.pid:
        * tao/FloatSeq.pid:
        * tao/GIOP.pid:
        * tao/IFR_Client.mpc:
        * tao/IFR_Client/IFR_Base.pid:
        * tao/IFR_Client/IFR_Basic.pid:
        * tao/IFR_Client/IFR_Components.pid:
        * tao/IFR_Client/IFR_Extended.pid:
        * tao/IIOP.pid:
        * tao/IIOP_Endpoints.pid:
        * tao/ImR_Client.mpc:
        * tao/ImR_Client/ImplRepo.pid:
        * tao/ImR_Client/ServerObject.pid:
        * tao/InvalidName.pid:
        * tao/IOP.pid:
        * tao/IOP_IOR.pid:
        * tao/IORInterceptor.mpc:
        * tao/IORInterceptor/IORInfo.pid:
        * tao/IORInterceptor/IORInterceptor.pid:
        * tao/IORManipulation.mpc:
        * tao/IORManipulation/IOR.pid:
        * tao/IORTable.mpc:
        * tao/IORTable/IORTable.pid:
        * tao/LongDoubleSeq.pid:
        * tao/LongLongSeq.pid:
        * tao/LongSeq.pid:
        * tao/Makefile.am:
        * tao/Messaging.mpc:
        * tao/Messaging/ExceptionHolder.pid:
        * tao/Messaging/Messaging.pid:
        * tao/Messaging/Messaging_No_Impl.pid:
        * tao/Messaging/Messaging_RT_Policy.pid:
        * tao/Messaging/Messaging_SyncScope_Policy.pid:
        * tao/Messaging/Messaging_Types.pid:
        * tao/Messaging/Pollable.pid:
        * tao/Messaging/TAO_Ext.pid:
        * tao/Messaging_PolicyValue.pid:
        * tao/Object_Key.pid:
        * tao/ObjectIdList.pid:
        * tao/ObjRefTemplate.mpc:
        * tao/ObjRefTemplate/Default_ORT.pid:
        * tao/OctetSeq.pid:
        * tao/orb_types.pid:
        * tao/ParameterMode.pid:
        * tao/PI.mpc:
        * tao/PI/ClientRequestInfo.pid:
        * tao/PI/ClientRequestInterceptor.pid:
        * tao/PI/Interceptor.pid:
        * tao/PI/InvalidSlot.pid:
        * tao/PI/ORBInitializer.pid:
        * tao/PI/ORBInitInfo.pid:
        * tao/PI/PICurrent.pid:
        * tao/PI/PIForwardRequest.pid:
        * tao/PI/PolicyFactory.pid:
        * tao/PI/ProcessingModePolicy.pid:
        * tao/PI/RequestInfo.pid:
        * tao/PI_Forward.pid:
        * tao/PI_Server.mpc:
        * tao/PI_Server/ServerRequestInfo.pid:
        * tao/PI_Server/ServerRequestInterceptor.pid:
        * tao/Policy.pid:
        * tao/Policy_Forward.pid:
        * tao/PortableInterceptor.pid:
        * tao/PortableServer.mpc:
        * tao/PortableServer/POA.pid:
        * tao/PortableServer/POAManagerFactory.pid:
        * tao/PortableServer/PortableServer.pid:
        * tao/PortableServer/PS_Forward.pid:
        * tao/PortableServer/RequestProcessingPolicy.pid:
        * tao/PortableServer/ServantActivator.pid:
        * tao/PortableServer/ServantLocator.pid:
        * tao/PortableServer/ServantManager.pid:
        * tao/PortableServer/ServantRetentionPolicy.pid:
        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
        * tao/PortableServer/ThreadPolicy.pid:
        * tao/RTCORBA.mpc:
        * tao/RTCORBA/diffs/RTCORBA.diff
        * tao/RTCORBA/RTCORBA.pid:
        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTPortableServer.mpc:
        * tao/RTPortableServer/RTPortableServer.pid:
        * tao/RTScheduler.mpc:
        * tao/RTScheduling/RTScheduler.pid:
        * tao/Services.pid:
        * tao/ShortSeq.pid:
        * tao/Strategies.mpc:
        * tao/Strategies/COIOP_Endpoints.pid:
        * tao/Strategies/sciop_endpoints.pid:
        * tao/Strategies/uiop_endpoints.pid:
        * tao/StringSeq.pid:
        * tao/tao.mpc:
        * tao/TAO.pid:
        * tao/TimeBase.pid:
        * tao/TypeCodeFactory.mpc:
        * tao/TypeCodeFactory_Adapter.cpp:
        * tao/TypeCodeFactory_Adapter.h:
        * tao/ULongLongSeq.pid:
        * tao/ULongSeq.pid:
        * tao/UShortSeq.pid:
        * tao/Valuetype.mpc:
        * tao/Wait_Strategy.cpp:
        * tao/WCharSeq.pid:
        * tao/WrongTransaction.pid:
        * tao/WStringSeq.pid:
        * tests/Abstract_Interface/Makefile.am:
        * tests/AMH_Exceptions/Makefile.am:
        * tests/AMH_Oneway/Makefile.am:
        * tests/AMI/Makefile.am:
        * tests/AMI_Buffering/Makefile.am:
        * tests/AMI_Timeouts/Makefile.am:
        * tests/Any/Recursive/Makefile.am:
        * tests/BiDirectional/Makefile.am:
        * tests/BiDirectional_DelayedUpcall/Makefile.am:
        * tests/BiDirectional_NestedUpcall/Makefile.am:
        * tests/Big_AMI/Makefile.am:
        * tests/Big_Oneways/Makefile.am:
        * tests/Big_Reply/Makefile.am:
        * tests/Big_Request_Muxing/Makefile.am:
        * tests/Big_Twoways/Makefile.am:
        * tests/Blocking_Sync_None/Makefile.am:
        * tests/Bug_1020_Basic_Regression/Makefile.am:
        * tests/Bug_1020_Regression/Makefile.am:
        * tests/Bug_1254_Regression/Makefile.am:
        * tests/Bug_1269_Regression/Makefile.am:
        * tests/Bug_1270_Regression/Makefile.am:
        * tests/Bug_1330_Regression/Makefile.am:
        * tests/Bug_1361_Regression/Makefile.am:
        * tests/Bug_1476_Regression/Makefile.am:
        * tests/Bug_1476_Test/Makefile.am:
        * tests/Bug_1482_Regression/Makefile.am:
        * tests/Bug_1495_Regression/Makefile.am:
        * tests/Bug_1535_Regression/bug_1535_regression.cpp:
        * tests/Bug_1535_Regression/Bug_1535_Regression.mpc:
        * tests/Bug_1535_Regression/Makefile.am:
        * tests/Bug_1535_Regression/Test.cpp:
        * tests/Bug_1535_Regression/Test.h:
        * tests/Bug_1551_Regression/Makefile.am:
        * tests/Bug_1568_Regression/Makefile.am:
        * tests/Bug_1627_Regression/Makefile.am:
        * tests/Bug_1636_Regression/Makefile.am:
        * tests/Bug_1639_Regression/Makefile.am:
        * tests/Bug_1670_Regression/Makefile.am:
        * tests/Bug_1676_Regression/Makefile.am:
        * tests/Bug_1693_Test/Makefile.am:
        * tests/Bug_1812_Regression/Makefile.am:
        * tests/Bug_1813_Regression/Makefile.am:
        * tests/Bug_1869_Regression/Makefile.am:
        * tests/Bug_1904_Regression/Makefile.am:
        * tests/Bug_2084_Regression/Makefile.am:
        * tests/Bug_2119_Regression/Makefile.am:
        * tests/Bug_2122_Regression/Makefile.am:
        * tests/Bug_2124_Regression/Makefile.am:
        * tests/Bug_2126_Regression/Makefile.am:
        * tests/Bug_2134_Regression/Makefile.am:
        * tests/Bug_2144_Regression/Makefile.am:
        * tests/Bug_2174_Regression/Makefile.am:
        * tests/Bug_2183_Regression/Makefile.am:
        * tests/Bug_2186_Regression/Makefile.am:
        * tests/Bug_2188_Regression/Makefile.am:
        * tests/Bug_2201_Regression/Makefile.am:
        * tests/Bug_2222_Regression/Makefile.am:
        * tests/Bug_2234_Regression/Makefile.am:
        * tests/Bug_2289_Regression/Makefile.am:
        * tests/Bug_2319_Regression/Makefile.am:
        * tests/Bug_2328_Regression/Makefile.am:
        * tests/Bug_2349_Regression/Makefile.am:
        * tests/Bug_2375_Regression/Makefile.am:
        * tests/Bug_2399_Regression/Makefile.am:
        * tests/Bug_2417_Regression/Makefile.am:
        * tests/Bug_2419_Regression/Makefile.am:
        * tests/Bug_2424_Regression/Makefile.am:
        * tests/Bug_2429_Regression/Bug_2429_Regression.mpc:
        * tests/Bug_2429_Regression/Makefile.am:
        * tests/Bug_2494_Regression/Makefile.am:
        * tests/Bug_2503_Regression/Makefile.am:
        * tests/Bug_2542_Regression/Makefile.am:
        * tests/Bug_2543_Regression/bug_2543_regression.cpp:
        * tests/Bug_2543_Regression/Makefile.am:
        * tests/Bug_2549_Regression/Makefile.am:
        * tests/Bug_2560_Regression/Makefile.am:
        * tests/Bug_2593_Regression/Makefile.am:
        * tests/Bug_2595_Regression/Makefile.am:
        * tests/Bug_2654_Regression/Makefile.am:
        * tests/Bug_2669_Regression/Makefile.am:
        * tests/Bug_2683_Regression/Makefile.am:
        * tests/Cache_Growth_Test/Makefile.am:
        * tests/CallbackTest/Makefile.am:
        * tests/Client_Leaks/Makefile.am:
        * tests/Codec/Makefile.am:
        * tests/CodeSets/simple/Makefile.am:
        * tests/COIOP/Makefile.am:
        * tests/Collocation/Makefile.am:
        * tests/Collocation_Exception_Test/Makefile.am:
        * tests/Collocation_Oneway_tests/Makefile.am:
        * tests/Collocation_Opportunities/Makefile.am:
        * tests/Collocation_tests/Makefile.am:
        * tests/CollocationLockup/Makefile.am:
        * tests/Connect_Strategy_Test/Makefile.am:
        * tests/Connection_Failure/Makefile.am:
        * tests/Connection_Purging/Makefile.am:
        * tests/Connection_Timeout/Makefile.am:
        * tests/Crash_On_Write/Makefile.am:
        * tests/Crashed_Callback/Makefile.am:
        * tests/CSD_Strategy_tests/TP_Common/Makefile.am:
        * tests/CSD_Strategy_tests/TP_Foo_A/Makefile.am:
        * tests/CSD_Strategy_tests/TP_Foo_B/Makefile.am:
        * tests/CSD_Strategy_tests/TP_Foo_C/Makefile.am:
        * tests/CSD_Strategy_tests/TP_Test_Dynamic/Makefile.am:
        * tests/DII_Collocation_tests/oneway/Makefile.am:
        * tests/DII_Collocation_tests/twoway/Makefile.am:
        * tests/DLL_ORB/Makefile.am:
        * tests/DSI_Gateway/Makefile.am:
        * tests/DynAny_Test/Makefile.am:
        * tests/Explicit_Event_Loop/Makefile.am:
        * tests/Exposed_Policies/Makefile.am:
        * tests/Faults/Makefile.am:
        * tests/File_IO/Makefile.am:
        * tests/FL_Cube/Makefile.am:
        * tests/Forwarding/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Reply/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Request/Makefile.am:
        * tests/GIOP_Fragments/PMB_With_Fragments/Makefile.am:
        * tests/Hang_Shutdown/Makefile.am:
        * tests/Hello/Makefile.am:
        * tests/ICMG_Any_Bug/Makefile.am:
        * tests/IDL_Test/Makefile.am:
        * tests/InterOp-Naming/Makefile.am:
        * tests/IOR_Endpoint_Hostnames/Makefile.am:
        * tests/IPV6/Makefile.am:
        * tests/Leader_Followers/Makefile.am:
        * tests/LongUpcalls/Makefile.am:
        * tests/MProfile/Makefile.am:
        * tests/MProfile_Connection_Timeout/Makefile.am:
        * tests/MProfile_Forwarding/Makefile.am:
        * tests/MT_BiDir/Makefile.am:
        * tests/MT_Client/Makefile.am:
        * tests/MT_Server/Makefile.am:
        * tests/MT_Timeout/Makefile.am:
        * tests/Multiple/Makefile.am:
        * tests/Multiple_Inheritance/Makefile.am:
        * tests/Muxed_GIOP_Versions/Makefile.am:
        * tests/Muxing/Makefile.am:
        * tests/Native_Exceptions/Makefile.am:
        * tests/Nested_Event_Loop/Makefile.am:
        * tests/Nested_Upcall_Crash/Makefile.am:
        * tests/NestedUpcall/MT_Client_Test/Makefile.am:
        * tests/NestedUpcall/Simple/Makefile.am:
        * tests/NestedUpcall/Triangle_Test/Makefile.am:
        * tests/No_Server_MT_Connect_Test/Makefile.am:
        * tests/Object_Loader/Makefile.am:
        * tests/Objref_Sequence_Test/Makefile.am:
        * tests/OBV/Any/Makefile.am:
        * tests/OBV/Collocated/Forward/Makefile.am:
        * tests/OBV/Factory/Makefile.am:
        * tests/OBV/Forward/Makefile.am:
        * tests/OBV/Simple/Makefile.am:
        * tests/OBV/TC_Alignment/Makefile.am:
        * tests/OBV/Truncatable/Makefile.am:
        * tests/OBV/ValueBox/Makefile.am:
        * tests/OctetSeq/Makefile.am:
        * tests/Ondemand_Write/Makefile.am:
        * tests/Oneway_Buffering/Makefile.am:
        * tests/Oneway_Timeouts/Makefile.am:
        * tests/Oneways_Invoking_Twoways/Makefile.am:
        * tests/Optimized_Connection/Makefile.am:
        * tests/ORB_init/Portspan/Makefile.am:
        * tests/ORB_Local_Config/Two_DLL_ORB/Makefile.am:
        * tests/ORB_shutdown/Makefile.am:
        * tests/ORT/Makefile.am:
        * tests/Parallel_Connect_Strategy/Makefile.am:
        * tests/Param_Test/Makefile.am:
        * tests/POA/Bug_2511_Regression/Makefile.am:
        * tests/POA/Deactivate_Object/Makefile.am:
        * tests/POA/Default_Servant/Makefile.am:
        * tests/POA/EndpointPolicy/Makefile.am:
        * tests/POA/Etherealization/Makefile.am:
        * tests/POA/Excessive_Object_Deactivations/Makefile.am:
        * tests/POA/Identity/Makefile.am:
        * tests/POA/MT_Servant_Locator/Makefile.am:
        * tests/POA/Nested_Non_Servant_Upcalls/Makefile.am:
        * tests/POA/Non_Servant_Upcalls/Makefile.am:
        * tests/POA/Object_Reactivation/Makefile.am:
        * tests/POA/Persistent_ID/Makefile.am:
        * tests/POA/POA_Destruction/Makefile.am:
        * tests/POA/Reference_Counting/Makefile.am:
        * tests/POA/Single_Threaded_POA/Makefile.am:
        * tests/POA/wait_for_completion/Makefile.am:
        * tests/Policies/Makefile.am:
        * tests/Portable_Interceptors/AdvSlot/Makefile.am:
        * tests/Portable_Interceptors/AdvSlotDblCpy/Makefile.am:
        * tests/Portable_Interceptors/AdvSlotExt/Makefile.am:
        * tests/Portable_Interceptors/AMI/Makefile.am:
        * tests/Portable_Interceptors/Benchmark/Makefile.am:
        * tests/Portable_Interceptors/Bug_1559/Makefile.am:
        * tests/Portable_Interceptors/Bug_2510_Regression/Makefile.am:
        * tests/Portable_Interceptors/Collocated/Dynamic/Makefile.am:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Makefile.am:
        * tests/Portable_Interceptors/Dynamic/Makefile.am:
        * tests/Portable_Interceptors/ForwardRequest/Makefile.am:
        * tests/Portable_Interceptors/IORInterceptor/Makefile.am:
        * tests/Portable_Interceptors/ORB_Shutdown/Makefile.am:
        * tests/Portable_Interceptors/PICurrent/Makefile.am:
        * tests/Portable_Interceptors/PolicyFactory/Makefile.am:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Makefile.am:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Makefile.am:
        * tests/Portable_Interceptors/Register_Initial_References/Makefile.am:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Makefile.am:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile.am:
        * tests/QtTests/Makefile.am:
        * tests/Reliable_Oneways/Makefile.am:
        * tests/RTCORBA/Activate_Object_Multiple_ORBs/Makefile.am:
        * tests/RTCORBA/Banded_Connections/Makefile.am:
        * tests/RTCORBA/Client_Propagated/Makefile.am:
        * tests/RTCORBA/Client_Protocol/Makefile.am:
        * tests/RTCORBA/Collocation/Makefile.am:
        * tests/RTCORBA/Diffserv/Makefile.am:
        * tests/RTCORBA/Dynamic_Thread_Pool/Makefile.am:
        * tests/RTCORBA/Explicit_Binding/Makefile.am:
        * tests/RTCORBA/Linear_Priority/Makefile.am:
        * tests/RTCORBA/MT_Client_Protocol_Priority/Makefile.am:
        * tests/RTCORBA/Persistent_IOR/Makefile.am:
        * tests/RTCORBA/Policy_Combinations/Makefile.am:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Makefile.am:
        * tests/RTCORBA/Private_Connection/Makefile.am:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/Makefile.am:
        * tests/RTCORBA/Server_Declared/Makefile.am:
        * tests/RTCORBA/Server_Protocol/Makefile.am:
        * tests/RTCORBA/Thread_Pool/Makefile.am:
        * tests/RTScheduling/Scheduling_Interceptor/Makefile.am:
        * tests/RTScheduling/VoidData/Makefile.am:
        * tests/Servant_To_Reference_Test/Makefile.am:
        * tests/Server_Connection_Purging/Makefile.am:
        * tests/Server_Leaks/Makefile.am:
        * tests/Server_Port_Zero/Makefile.am:
        * tests/Single_Read/Makefile.am:
        * tests/Smart_Proxies/Benchmark/Makefile.am:
        * tests/Smart_Proxies/Collocation/Makefile.am:
        * tests/Smart_Proxies/dtor/Makefile.am:
        * tests/Smart_Proxies/Makefile.am:
        * tests/Smart_Proxies/On_Demand/Makefile.am:
        * tests/Smart_Proxies/Policy/Makefile.am:
        * tests/Stack_Recursion/Makefile.am:
        * tests/Strategies/Makefile.am:
        * tests/Timed_Buffered_Oneways/Makefile.am:
        * tests/Timeout/Makefile.am:
        * tests/TransportCurrent/Framework/Makefile.am:
        * tests/TransportCurrent/IIOP/Makefile.am:
        * tests/Two_Objects/Makefile.am:
        * tests/Typedef_String_Array/Makefile.am:
        * tests/UNKNOWN_Exception/Makefile.am:
        * tests/Xt_Stopwatch/Makefile.am:
          Removed any occurrence of -Ge 1

Sun Dec 31 23:12:36 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:

          It seems BUILD_ZZIP depends on BUILD_ZLIB, so add BUILD_ZLIB
          conditionals, etc. everywhere we added BUILD_ZZIP support in:

          Fri Dec 29 08:09:46 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

Sun Dec 31 18:15:00 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/ORBInitializer_T.cpp:

          Updating the @file to fix a fuzz error.

Sun Dec 31 18:08:16 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.cpp:

          Disambiguating Transport::CurrentTest::ContextTag to
          Test::Transport::CurrentTest::ContextTag to aid Borland's compiler.

Sun Dec 31 17:27:27 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/ORBInitializer_T.cpp:

          Adding a trivial default implementation of post_init.

        * tests/TransportCurrent/Framework/Server_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/server.cpp:

          Moved an #include from the header to the cpp file, where it
          belongs.

        * tests/TransportCurrent/IIOP/IIOP.mpc:

              Added a "Template_Files" section to explicitly make
          ORBInitializer.cpp available.

Fri Dec 29 22:31:08 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_Loader.cpp:

          Cleanup.

        * tao/TransportCurrent/IIOP_Current_Impl.cpp:

          Replaced static_cast<>with a dynamic_cast<> in handler().

        * tests/TransportCurrent/Framework/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/Framework/Framework.mpc:

          Whitespace cleanup.

        * tests/TransportCurrent/Framework/ORBInitializer_T.h:
        * tests/TransportCurrent/Framework/ORBInitializer_T.cpp:

          Cleaned up template declarations and moved template code to a
          cpp file.

        * tests/TransportCurrent/Framework/Server_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.cpp:

          Updated includes and removed unnecessary code.

        * tests/TransportCurrent/Framework/client.cpp:

          Added code to handle TAO_HAS_MINIMUM_CORBA by disabling DII.

        * tests/TransportCurrent/IIOP/IIOP.mpc:

          Whitespace cleanup.

        * tests/TransportCurrent/IIOP/IIOP_Tester.cpp:

          Removing extra ';' from ACE_STATIC_SVC_REQUIRE.

Sat Dec 30 03:55:42 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Makefile.am:

          Fix stray trailing whitespace after \ continuation.

Fri Dec 29 17:50:16 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp.diff:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/orbsvcs/Trader/constraint.l:

          Added a rule to catch white space and ignore it.  Previously,
          white space was not recognized and the lexer would print it out to
          stdout.

Fri Dec 29 14:49:24 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * MPC/config/trading_serv.mpb:

          Added the utils base project.  It is used by the CosTrading_Serv
          project and should have been in this base project.

Fri Dec 29 08:09:46 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * performance-tests/Cubit/TAO/IDL_Cubit/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Reply/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Request/Makefile.am:
        * tests/GIOP_Fragments/Makefile.am:
        * tests/Nested_Upcall_Crash/Makefile.am:
        * tests/POA/Persistent_ID/Makefile.am:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile.am:
        * tests/TransportCurrent/Framework/Makefile.am:
        * tests/TransportCurrent/IIOP/Makefile.am:

          Regenerate for misc *.mpc and *.mpb changes.

        * tao/Makefile.am:

          Regenerate for new Compression projects.

        * configure.ac:

          Configure Makefiles for new subdirectory.

        * tests/Makefile.am:

          Regenerate to descend into Compression subdirectory.

        * tests/Compression/Makefile.am:

          New Makefile.am for Compression unit tests.

        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/orbsvcs/Makefile.am:

          Hand-add automake conditionals for BUILD_ZZIP.  Unfortunately
          MPC resolves options, files, etc. set by "features" at project
          generation time, but we want them to be configure time options.

Fri Dec 29 07:45:11 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added AM_CONDITIONALs for BUILD_ZLIB and BUILD_ZZIP, so we can
          handle Makefile.am's with these options.  Default to false,
          until we can write feature tests for these options.

Fri Dec 29 07:37:15 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * docs/libraries.html:

          Fix typos.

Thu Dec 28 23:10:52 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TC.mpc:
        * tao/TC_IIOP.mpc:

          Apparently, interceptors and pi are still needed for the
          build. Reverting my change from Thu Dec 28 19:29:58 UTC 2006.

Thu Dec 28 20:30:14 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * docs/libraries.html:

          Updated documentation for Transport::Current.

        * tao/TransportCurrent/Current_ORBInitializer_Base.h:

          Reversing the removal of *_Export.h include to match the
          convention.

        * tests/TransportCurrent/Framework/run_test.pl:

          Added code to support -static and -dynamic parameters, similar
          to the IIOP test.

Thu Dec 28 20:01:34 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_ORBInitializer_Base.h:
        * tests/TransportCurrent/Framework/run_test.pl:

Thu Dec 28 19:29:58 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TC.mpc:
        * tao/TC_IIOP.mpc:

          Removed interceptors and pi from the list of base projects. The
          Transport::Current feature is not itself dependent on these
          features. The tests however are, and their *.mpc files have been
          modified accordingly to add interceptors explicitely.

        * tao/TransportCurrent/Current_ORBInitializer.h:

          Removed commented code.

        * tao/TransportCurrent/Current_ORBInitializer.cpp:

          Added "#pragma once".

        * tao/TransportCurrent/Current_ORBInitializer_Base.h:

          Removed unnecessary *_Export.h include since TCC.h already
          includes it.

        * tao/TransportCurrent/IIOP_Current_Loader.cpp:

          Removed an extra ';' after ACE_STATIC_SVC_REQUIRE.

        * tao/TransportCurrent/Transport_Current_Export.h:

          Regenerated this file to fix DLL export problems in static
          builds.

        * tests/TransportCurrent/Framework/Framework.mpc:

          Added interceptors to the base projects list to ensure this test
          builds only when interceptors are supported.

        * tests/TransportCurrent/Framework/Tester.cpp:
        * tests/TransportCurrent/Framework/client.cpp:
        * tests/TransportCurrent/Framework/server.cpp:

          Added code to handle single-threaded builds correctly.

        * tests/TransportCurrent/IIOP/Current_Test_Impl.cpp:

          Changed the modulename from "TAO" to "Test" in order to fixing
          an ambiguous reference to "TAO" namespace in builds with
          versioned namespaces enabled.

        * tests/TransportCurrent/IIOP/IIOP.mpc:

          Added interceptors to the base projects list to ensure this test
          builds only when interceptors are supported.

Thu Dec 28 19:14:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Compression/Compression.cpp:
          Fixed argument not used warning

Thu Dec 28 12:52:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simple/time-date/svc.conf.xml:
          Updated this file to match the regular svc.conf file

Thu Dec 28 12:50:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/CSD_Strategy/TestApps/csd_pt_testapps.mpc:
        * performance-tests/Cubit/TAO/IDL_Cubit/IDL_Cubit.mpc:
        * performance-tests/Cubit/TAO/MT_Cubit/MT_Cubit.mpc:
          Disable part of the projects when CORBA/e micro is enabled

Thu Dec 28 12:49:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CSD_Strategy_Tests/TP_Common/CSD_TP_Test_Lib.mpc:
        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.mpc:
        * tests/NestedUpcall/Triangle_Test/TT.mpc:
          Disable part of the projects when CORBA/e micro is enabled

Thu Dec 28 12:22:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/libraries.html:
          Documented the new compression libraries

Thu Dec 28 11:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

          This is the first commit for a new part for TAO which hopefully
          gets standardized next year. The final goal is to implement
          Zipped GIOP (ZIOP). At the moment an ORB supports ZIOP the application
          programmer can specify using policies that compression can be
          applied on the application data send over the wire. This first
          commit is the Compression module that delivers the infrastructure
          classes with which data can be compressed. This can be used
          by regular applications but then also by the ORB in the future.

          This effort is supported by multiple parties, IONA did the
          initial effort for Orbix and triggered this step, Remedy IT
          will do the implementation for TAO, Andre Spiegel will do
          the implementation for JacORB, IONA then for Orbix and PrismTech
          will assist when needed and will keep an eye on the OMG process.

          This commit adds first initial support, it is not 100% ready
          but it is usable. This way we can share the code with the other
          parties more easily and attract more people to this effort. Be
          aware that the IDL can change, this is work in progress, not
          a final spec.

        * MPC/config/compression.mpb:
          New base project for the compression library

        * MPC/config/zlibcompressor.mpb:
          New base project for the zlib compressor

        * docs/Libraries.html:
          Corrected link to MPC readme

        * docs/ORBEndpoint.html:
          Small layout change

        * tao/Compression/Base_Compressor.cpp:
        * tao/Compression/Base_Compressor.h:
        * tao/Compression/Compression.cpp:
        * tao/Compression/Compression.h:
        * tao/Compression/Compression.pidl:
        * tao/Compression/compression_export.h:
        * tao/Compression/Compression_Manager.cpp:
        * tao/Compression/Compression_Manager.h:
        * tao/Compression/Compressor_Factory.cpp:
        * tao/Compression/Compressor_Factory.h:
        * tao/Compression/TAO_Compression.pc.in:
        * tao/Compression/TAO_Compression.rc:
          New Compression library

        * Compression/zlib/TAO_ZlibCompressor.pc.in:
        * Compression/zlib/TAO_ZlibCompressor.rc:
        * Compression/zlib/ZlibCompressor.cpp:
        * Compression/zlib/ZlibCompressor.h:
        * Compression/zlib/ZlibCompressor_export.h:
        * Compression/zlib/ZlibCompressor_Factory.cpp:
        * Compression/zlib/ZlibCompressor_Factory.h:
          New Compressor that uses zlib to compress/uncompress data

        * tao/File_Parser.cpp:
          Use true for bool

        * tao/objectid.h:
          Added CompressionManager defines

        * tao/ORB.cpp:
          Added resolve_initial_references support for the CompressionManager

        * tao/ORB_Core.{h,cpp,inl}:
          Added support for CompressionManager

        * tao/PI/Interceptor_List_T.cpp:
          Const change

        * tao/ZlibCompressor.mpc:
        * tao/Compression.mpc:
          New base projects

        * tests/Compression/Compression_Test.mpc:
        * tests/Compression/server.cpp:
          First initial test of the Compression library

Wed Dec 27 22:48:30 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/Framework/Current_Test.idl:
        * tests/TransportCurrent/Framework/Current_Test_Impl.h:
        * tests/TransportCurrent/Framework/Current_Test_Impl.cpp:
        * tests/TransportCurrent/Framework/client.cpp:
        * tests/TransportCurrent/Framework/server.cpp:

          Changed the modulename from "TAO" to "Test" in order to fixing
          an ambiguous reference to "TAO" namespace in builds with
          versioned namespaces enabled.

Wed Dec 27 20:42:48 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.cpp:

          Fixing test failures because of incorrect counting.

Wed Dec 27 11:12:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO-INSTALL.html:
          Small improvements for cross compilation

Wed Dec 27 10:51:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO-INSTALL.html:
          Use more html keyword for layout and document how to use CORBA/e

Wed Dec 27 05:35:06 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/Server_Request_Interceptor.cpp:

          Fixing an ambiguous reference to TAO namespace in builds with
          versioned namespaces enabled.

        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.cpp:

          Clarifying some debugging statements.

Mon Dec 25 16:19:42 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Merry Christmas everyone!!!

Sun Dec 24 23:22:41 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/Nested_Upcall_Crash/Nested_Upcall_Crash.mpc:
        * tests/Portable_Interceptors/Service_Context_Manipulation/PI_Svc_Context_Manip.mpc:

          Adding "after" keyword to make sure IDL is built first in
          parallel builds.

Sun Dec 24 15:44:40 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/Server_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.cpp:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.h:

          Getting the const-ness right.

Sun Dec 24 15:39:43 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Parallel_Connect_Strategy/Makefile.am:
        * tests/Reliable_Oneways/Makefile.am:

          Regenerated.

        * tests/Parallel_Connect_Strategy/Parallel_Connect_Strategy.mpc:
        * tests/Reliable_Oneways/Reliable_Oneways.mpc:

          Split out IDL compilation into separate MPC project.

Sun Dec 24 15:38:15 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Smart_Proxies/Collocation/Makefile.am:

          Regenerated.

        * tests/Smart_Proxies/Collocation/SP_Collocation.mpc:

          Changed IDL project to inherit from smart_proxies.

          Changed *Test project to depend on *idl for build order.

Sun Dec 24 00:04:19 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/CollocationLockup/Makefile.am:
        * tests/DSI_Gateway/Makefile.am:
        * tests/Nested_Upcall_Crash/Makefile.am:

          Regenerated.

        * tests/CollocationLockup/CollocationLockup.mpc:
        * tests/DSI_Gateway/DSI_Gateway.mpc:
        * tests/Nested_Upcall_Crash/Nested_Upcall_Crash.mpc:

          Split out IDL compilation into separate MPC project.

Sat Dec 23 16:53:57 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Collocation/Makefile.am:
        * tests/Smart_Proxies/Collocation/Makefile.am:

          Regenerated.

        * tests/Collocation/Collocation.mpc:
        * tests/Smart_Proxies/Collocation/SP_Collocation.mpc:

          Split out IDL compilation into separate MPC project.

Sat Dec 23 15:48:43 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/TransportCurrent/IIOP/Makefile.am:

          Regenerated.

        * tests/TransportCurrent/IIOP/IIOP.mpc:

          Don't look for includes relative to $(srcdir), the ones we're
          looking for are generated from *.idl and thus relative to the
          build directory.

Sat Dec 23 15:05:23 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Portable_Interceptors/Dynamic/Makefile.am:
        * tests/Portable_Interceptors/Benchmark/Makefile.am:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Makefile.am:

          Regenerated.

        * tests/Portable_Interceptors/Dynamic/PI_Dynamic.mpc:
        * tests/Portable_Interceptors/Benchmark/PI_Benchmark.mpc:

          Don't suppress any/typecode generation.

        * tests/Portable_Interceptors/Request_Interceptor_Flow/PI_Request_Interceptor_Flow.mpc:

          Don't include server skeleton in client.

Sat Dec 23 14:35:09 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/POA/Persistent_ID/Makefile.am:
        * tests/POA/Persistent_ID/Persistent_ID.mpc:

          Fix case-mismatch problem introduced in last change.

Sat Dec 23 04:48:50 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_Loader.cpp:

          Fixing an pedantic complaint about an extra ';' at the end of
          the line, after ACE_STATIC_SVC_REQUIRE.

Sat Dec 23 03:53:08 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_ORBInitializer.cpp:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.h:

          Fixing compilation warnings.

Sat Dec 23 02:01:44 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/POA/EndpointPolicy/Makefile.am:
        * tests/POA/Persistent_ID/Makefile.am:
        * tests/Portable_Interceptors/AMI/Makefile.am:
        * tests/Portable_Interceptors/Benchmark/Makefile.am:
        * tests/Portable_Interceptors/Bug_1559/Makefile.am:
        * tests/Portable_Interceptors/Bug_2510_Regression/Makefile.am:
        * tests/Portable_Interceptors/Dynamic/Makefile.am:
        * tests/Portable_Interceptors/ForwardRequest/Makefile.am:
        * tests/Portable_Interceptors/IORInterceptor/Makefile.am:
        * tests/Portable_Interceptors/PICurrent/Makefile.am:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Makefile.am:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Makefile.am:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile.am:
        * tests/RTCORBA/Banded_Connections/Makefile.am:
        * tests/RTCORBA/Client_Protocol/Makefile.am:
        * tests/RTCORBA/Diffserv/Makefile.am:
        * tests/RTCORBA/Dynamic_Thread_Pool/Makefile.am:
        * tests/RTCORBA/Explicit_Binding/Makefile.am:
        * tests/RTCORBA/Linear_Priority/Makefile.am:
        * tests/RTCORBA/MT_Client_Protocol_Priority/Makefile.am:
        * tests/RTCORBA/Persistent_IOR/Makefile.am:
        * tests/RTCORBA/Policy_Combinations/Makefile.am:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Makefile.am:
        * tests/RTCORBA/Private_Connection/Makefile.am:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/Makefile.am:
        * tests/RTCORBA/Server_Declared/Makefile.am:
        * tests/RTCORBA/Server_Protocol/Makefile.am:
        * tests/RTCORBA/Thread_Pool/Makefile.am:
        * tests/RTScheduling/Scheduling_Interceptor/Makefile.am:

          Regenerated.

        * tests/POA/EndpointPolicy/EndpointPolicy.mpc:
        * tests/POA/Persistent_ID/Persistent_ID.mpc:
        * tests/Portable_Interceptors/AMI/PI_AMI.mpc:
        * tests/Portable_Interceptors/Benchmark/PI_Benchmark.mpc:
        * tests/Portable_Interceptors/Bug_1559/Bug_1559.mpc:
        * tests/Portable_Interceptors/Bug_2510_Regression/Bug_2510_Regression.mpc:
        * tests/Portable_Interceptors/Dynamic/PI_Dynamic.mpc:
        * tests/Portable_Interceptors/ForwardRequest/PI_ForwardRequest.mpc:
        * tests/Portable_Interceptors/IORInterceptor/PI_IORInterceptor.mpc:
        * tests/Portable_Interceptors/PICurrent/PI_PICurrent.mpc:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/PI_ProcMode_Remote.mpc:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/PI_Request_Interceptor_Flow.mpc:
        * tests/Portable_Interceptors/Service_Context_Manipulation/PI_Svc_Context_Manip.mpc:
        * tests/RTCORBA/Banded_Connections/RTCORBA_Banded_Conn.mpc:
        * tests/RTCORBA/Client_Protocol/RTCORBA_Client_Protocol.mpc:
        * tests/RTCORBA/Diffserv/RTCORBA_Diffserv.mpc:
        * tests/RTCORBA/Dynamic_Thread_Pool/RT_Dynamic_Thread_Pool.mpc:
        * tests/RTCORBA/Explicit_Binding/RTCORBA_Explicit_Binding.mpc:
        * tests/RTCORBA/Linear_Priority/RTCORBA_Linear_Priority.mpc:
        * tests/RTCORBA/MT_Client_Protocol_Priority/RTCORBA_MT_Client_Proto_Prio.mpc:
        * tests/RTCORBA/Persistent_IOR/RTCORBA_Persistent_IOR.mpc:
        * tests/RTCORBA/Policy_Combinations/RTCORBA_Policy_Combinations.mpc:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Priority_Inversion_With_Bands.mpc:
        * tests/RTCORBA/Private_Connection/RTCORBA_Private_Connection.mpc:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/PaE_Selection.mpc:
        * tests/RTCORBA/Server_Declared/RTCORBA_Server_Declared.mpc:
        * tests/RTCORBA/Server_Protocol/RTCORBA_Server_Protocol.mpc:
        * tests/RTCORBA/Thread_Pool/RTCORBA_Thread_Pool.mpc:
        * tests/RTScheduling/Scheduling_Interceptor/Scheduler_Interceptor.mpc:

          Split out IDL compilation into separate MPC project.

Sat Dec 23 00:23:25 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/BiDirectional/Makefile.am:
        * tests/BiDirectional_DelayedUpcall/Makefile.am:
        * tests/BiDirectional_NestedUpcall/Makefile.am:
        * tests/Bug_2417_Regression/Makefile.am:
        * tests/Bug_2560_Regression/Makefile.am:
        * tests/MT_BiDir/Makefile.am:
        * tests/NestedUpcall/Triangle_Test/Makefile.am:

          Regenerate to account for misc recent *.mpc changes.

        * tests/TransportCurrent/IIOP/Makefile.am:
        * tests/TransportCurrent/Framework/Makefile.am:

          Regenerated.

        * tests/TransportCurrent/IIOP/IIOP.mpc:
        * tests/TransportCurrent/Framework/Framework.mpc:

          Split out IDL compilation into separate MPC project.

Fri Dec 22 20:54:44 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * MPC/config/tc.mpb:
        * MPC/config/tc_iiop.mpb:

          Split the tc.mpb in two projects (adding the tc_iiop). Updated
          the dependencies in a bid to fix what seems to be a build order
          issue on some scoreboard builds.

        * tests/TransportCurrent/IIOP/IIOP.mpc:

          Updated to inherit from the new tc_iiop.

Fri Dec 22 18:55:29 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/Framework/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.cpp:

          Replaced obsolete ACE_reinterpret_cast macro.

Thu Dec 21 21:29:47 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_ORBInitializer_Base.cpp:
        * tests/TransportCurrent/Framework/Client_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/simple.cpp:

          Fixed FUZZ problems.

Thu Dec 21 17:49:24 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/TransportCurrent/IIOP/Current_Test_Impl.cpp:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.h:

          Updated the include files' path to resolve a compilation problem
          in an autoconf (FC4_autoconf) build.

Thu Dec 21 16:03:08 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/IIOP_Current_Impl.cpp:

          Added conditional compilation, based upon the presence of
          TAO_HAS_IIOP.  The IIOP-specific current will compile and the
          implementation shall throw CORBA::NO_IMPLEMENT at runtime.

Thu Dec 21 15:32:49 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_Impl.h:
        * tao/TransportCurrent/Current_Impl.cpp:
        * tao/TransportCurrent/Current_Loader.h:
        * tao/TransportCurrent/Current_ORBInitializer.h:
        * tao/TransportCurrent/Current_ORBInitializer_Base.h:
        * tao/TransportCurrent/IIOP_Current_Impl.h:

        * tests/TransportCurrent/Framework/Client_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/Framework/ORBInitializer_T.h:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.h:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.h:

          Removed a ';' after the closing curly brace of a namespace
          declaration which caused hiccups with gcc 4.0.2.

Thu Dec 21 14:46:46 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/TransportCurrent/TC.idl:
        * tao/TransportCurrent/TC_IIOP.idl:

          Change #include files to be relative to ${TAO_ROOT} like the
          other *.idl / *.pidl files.

Thu Dec 21 14:00:11 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated.

Wed Dec 20 21:14:11 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TransportCurrent/Current_Loader.h:

          Fixing an error in builds that use versioned namespaces due to
          incorrect placement of TAO_END_VERSIONED_NAMESPACE_DECL.

Wed Dec 20 20:59:39 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

          These are fixes correcting scoreboard issues pertaining to the
          checkin from Tue Dec 19 22:09:34 UTC 2006.

        * tao/TC.mpc:
        * tao/TC_IIOP.mpc:

          Updated the IDL compile options and include file path to reflect
          the new position of these files (since Wed Dec 20 17:34:07)

        * tao/TransportCurrent/Current_Loader.h:
        * tao/TransportCurrent/Current_Loader.cpp:

          Eliminated unnecessary code.

        * tao/TransportCurrent/Current_ORBInitializer_Base.cpp:

          Removed unnecessary #include "ace/post.h"

        * tao/TransportCurrent/IIOP_Current_Impl.cpp:

          Added an explicit cast to silence Windows builds complaining
          about implicit conversion between HANDLE and CORBA::Long.

Wed Dec 20 17:34:07 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefiles for new subdirectories.

        * orbsvcs/tests/Makefile.am:

          Regenerate to descend into TransportCurrent subdirectory.

        * tests/TransportCurrent/Makefile.am:
        * tests/TransportCurrent/IIOP/Makefile.am:
        * tests/TransportCurrent/Framework/Makefile.am:

          New Makefile.am's for TransportCurrent unit tests.

        * tao/Makefile.am:

          Regenerated.

        * tao/TC.mpc:
        * tao/TC_IIOP.mpc:

          ...to here, to match convention established by other core TAO
          library projects.  This also makes the generated Makefile.am
          for the autoconf build a little more sane.

        * tao/TransportCurrent/TC.mpc:
        * tao/TransportCurrent/TC_IIOP.mpc:

          Move TransportCurrent *.mpc projects from here...

Wed Dec 20 16:22:29 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

          These are fixes correcting scoreboard issues pertaining to the
          checkin from Tue Dec 19 22:09:34 UTC 2006.

        * MPC/config/tc.mpb:

          Moved from $ACE_ROOT/bin/MakeProjectCreator/config according to
          the new project configuration layout.

        * tao/TransportCurrent/Current_Loader.h:
        * tao/TransportCurrent/Current_Loader.cpp:
        * tao/TransportCurrent/IIOP_Current_Loader.h:
        * tao/TransportCurrent/IIOP_Current_Loader.cpp:

        * tao/Transport_Selection_Guard.cpp:

          Removed errand semicolons after definitions which were breaking
          some of the scoreboard builds.

        * tests/TransportCurrent/Framework/Current_Test.idl:

          Fixed a FUZZ warning about mismatched @file.

        * tests/TransportCurrent/Framework/Framework.mpc:

          Added the current directory to the include path.

        * tests/TransportCurrent/Framework/Tester.cpp:
        * tests/TransportCurrent/Framework/client.cpp:
        * tests/TransportCurrent/Framework/server.cpp:
        * tests/TransportCurrent/IIOP/IIOP_Tester.cpp:
        * tests/TransportCurrent/IIOP/Current_Test_Impl.cpp:
        * tests/TransportCurrent/IIOP/client_static.conf:

          Fixing a service initialization problem encountered in static
          builds that prevented the tests from runnig. Also fixed include
          file locations.

Wed Dec 20 15:28:24 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * MPC/config/tc.mpb:

        * tao/Transport_Selection_Guard.cpp:

        * tests/TransportCurrent/Framework/Current_Test.idl:

        * tests/TransportCurrent/Framework/Framework.mpc:

        * tests/TransportCurrent/Framework/server.cpp:

        * tests/TransportCurrent/IIOP/Current_Test_Impl.cpp:


Wed Dec 20 09:36:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/BiDirectional/BiDirectional.mpc:
        * tests/BiDirectional_DelayedUpcall/BiDir_DelayedUpcall.mpc:
        * tests/BiDirectional_NestedUpcall/BiDir_NestedUpcall.mpc:
        * tests/Bug_2417_Regression/Bug_2417_Regression.mpc:
        * tests/Bug_2560_Regression/Bug_2560_Regression.mpc:
        * tests/MT_BiDir/MT_BiDir.mpc:
        * tests/NestedUpcall/Triangle_Test/TT.mpc:
          Disabled some projects that can't compile when CORBA/e
          micro has been enabled. Also removed some after usage because
          there is now a separate idl project

Wed Dec 20 09:31:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Callback_Quoter/Callback_Quoter.mpc:
        * orbsvcs/examples/ImR/Combined_Service/ImR_Combined_Service.mpc:
        * orbsvcs/tests/HTIOP/BiDirectional/HTIOP_BiDirectional.mpc:
        * orbsvcs/tests/Security/BiDirectional/Secure_BiDir.mpc:
        * performance-tests/CSD_Strategy/TestServant/csd_pt_testservant.mpc:
          Disabled some projects that can't compile when CORBA/e
          micro has been enabled

Tue Dec 19 22:51:09 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * NEWS:

          Updating the file with information about Transport::Current.

Tue Dec 19 22:09:34 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

          Introducing the Transport::Current - an optional feature with an
          IDL interface, which enables users to obtain information about
          the Transports used to send or receive a message.

          The implementation uses a TSS based stack of pointers to
          Transport class instances, which an ORB selects on the critical
          path.  The structure is used to update message and endpoint
          related statistical information for the correct Transport. An
          IDL interface available through ORB::resolve_initial_references,
          provides access to the accumulated data inside servant up-calls
          and interceptor invocations.

        * docs/transport_current:

          A new directory for the Transport Current documentation to
          inhabit.

        * docs/transport_current/index.html:
        * docs/transport_current/transport_current.css:

          Added reference and user-guide documentation for the Transport
          Current.

        * tao/orbconf.h:

          Enabled the Transport::Current feature by default, by defining
          TAO_HAS_TRANSPORT_CURRENT.  In recognition that this is very
          likely an overkill for everybody but the few interested in the
          feature, the plan is to reverse this default before the next
          beta release.

        * tao/ORB_Core.h:
        * tao/Profile_Transport_Resolver.h:
        * tao/Profile_Transport_Resolver.inl:
        * tao/Profile_Transport_Resolver.cpp:

          Replaced the "naked" Transport pointer with a smart-pointer-like
          TAO::Transport_Selection_Guard, which has ctor and dtor that
          help keep a TSS-based stack of Transport instances when
          TAO_HAS_TRANSPORT_CURRENT is defined as 1. If the latter is
          disabled, the TSS access overhead goes away.

        * tao/TAO_Server_Request.h:
        * tao/TAO_Server_Request.inl:
        * tao/TAO_Server_Request.cpp:

          Similar to the client-side code in Profile_Transport_Resolver,
          this is where the server-side pieces of Transport Current
          functionality plugs in. A Server_Request encapsulates knowledge
          about the specific Transport on which an invocation
          arrived. Adding a Transport_Selection_Guard instance member
          (transport_selection_guard_) to keep track of the current
          Transport, using TSS. This overhead is only present when
          TAO_HAS_TRANSPORT_CURRENT is defined as 1.

        * tao/TSS_Resources.h:
        * tao/TSS_Resources.cpp:

          Adding a Transport_Selection_Guard member pointer tsg_, which
          when Transport Current feature is enabled, always points to the
          most-recently selected (incoming or outgoing) Transport in the
          current thread. This overhead is only present when
          TAO_HAS_TRANSPORT_CURRENT is defined as 1.

        * tao/Transport.h:
        * tao/Transport.inl:
        * tao/Transport.cpp (send_message_shared_i):

          Introduced a new class TAO::Transport::Stats and added a member
          pointer of that base type to the declaration of Transport. It
          can only be non-null when Transport Current is enabled, whereby
          it points to a TAO::Transport::Stats.  The send_message_shared_i
          has been modified to update the statistics.  Also added the
          requisite mutators and successor's.

        * tao/Transport_Selection_Guard.h:
        * tao/Transport_Selection_Guard.cpp:

          The implementation of the TSS-pointed, stack-like chain of
          Transport instances selected (potentially, in multiple nested up
          calls). The TSS overhead is only present when
          TAO_HAS_TRANSPORT_CURRENT is defined as 1, otherwise the methods
          are trivial.

        * tao/tao.mpc:

          Updated to include the new source files.

        * tao/TransportCurrent:

          A new directory for the Transport Current implementation to
          inhabit.  Currently, there are two implementations: a generic
          one and an IIOP-specific one. The reason these two share this
          location is that the generic Current is too generic to be useful
          on its own, while providing almost all the required
          infrastructure for the IIOP-specific one.

        * tao/TransportCurrent/Current_Impl.h:
        * tao/TransportCurrent/Current_Impl.cpp:

          The generic Current implementation.

        * tao/TransportCurrent/Current_Loader.h:
        * tao/TransportCurrent/Current_Loader.cpp:

          A loader, to handle registration with the Service repository.

        * tao/TransportCurrent/Current_ORBInitializer.h:
        * tao/TransportCurrent/Current_ORBInitializer.cpp:
        * tao/TransportCurrent/Current_ORBInitializer_Base.h:
        * tao/TransportCurrent/Current_ORBInitializer_Base.cpp:

          An ORB initializer, to handle the registration of the name for
          which resolve_initial_references() will return you a Current
          pointer.

        * tao/TransportCurrent/IIOP_Current_Impl.h:
        * tao/TransportCurrent/IIOP_Current_Impl.cpp:

          The IIOP-specific Current implementation, complete with its own
          derivative of TAO::Transport::Stats.

        * tao/TransportCurrent/IIOP_Current_Loader.h:
        * tao/TransportCurrent/IIOP_Current_Loader.cpp:

          A loader, to handle registration with the Service repository.

        * tao/TransportCurrent/IIOP_Transport_Current.h:

          A client-side interface for the IIOP-specific Transport Current.

        * tao/TransportCurrent/TC.idl:

          A client-side interface for the generic Transport Current.

        * tao/TransportCurrent/TC.mpc:

          We need this to actually build the generic TC into a
          self-contained service object library (DLL).

        * tao/TransportCurrent/TC_IIOP.idl:

          A client-side interface for the IIOP-specific Transport Current.

        * tao/TransportCurrent/TC_IIOP.mpc:

          We need this to actually build the IIOP-specific TC into a
          self-contained service object library (DLL).

        * tao/TransportCurrent/Transport_Current.h:

          Basic declarations.

        * tao/TransportCurrent/Transport_Current_Export.h:

          Library export helpers.

        * tests/TransportCurrent:

          A new directory for the Transport Current tests to inhabit.

        * tests/TransportCurrent/Framework:

          A new directory for the test exercising the generic Transport Current.

        * tests/TransportCurrent/Framework/Client_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Client_Request_Interceptor.cpp:
        * tests/TransportCurrent/Framework/Current_Test.idl:
        * tests/TransportCurrent/Framework/Current_Test_Impl.h:
        * tests/TransportCurrent/Framework/Current_Test_Impl.cpp:
        * tests/TransportCurrent/Framework/Framework.mpc:
        * tests/TransportCurrent/Framework/ORBInitializer_T.h:
        * tests/TransportCurrent/Framework/README:
        * tests/TransportCurrent/Framework/Server_Main.cpp:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.h:
        * tests/TransportCurrent/Framework/Server_Request_Interceptor.cpp:
        * tests/TransportCurrent/Framework/Tester.cpp:
        * tests/TransportCurrent/Framework/client-static.conf:
        * tests/TransportCurrent/Framework/client.conf:
        * tests/TransportCurrent/Framework/client.cpp:
        * tests/TransportCurrent/Framework/run_test.pl:
        * tests/TransportCurrent/Framework/server-static.conf:
        * tests/TransportCurrent/Framework/server.conf:
        * tests/TransportCurrent/Framework/server.cpp:
        * tests/TransportCurrent/Framework/simple.cpp:

        * tests/TransportCurrent/IIOP:

          A new directory for the test exercising the IIOP-specific Transport Current.

        * tests/TransportCurrent/IIOP/Current_Test_Impl.cpp:
        * tests/TransportCurrent/IIOP/IIOP.mpc:
        * tests/TransportCurrent/IIOP/IIOP_Server_Main.cpp:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.h:
        * tests/TransportCurrent/IIOP/IIOP_Server_Request_Interceptor.cpp:
        * tests/TransportCurrent/IIOP/IIOP_Tester.cpp:
        * tests/TransportCurrent/IIOP/README:
        * tests/TransportCurrent/IIOP/client_dynamic.conf:
        * tests/TransportCurrent/IIOP/client_static.conf:
        * tests/TransportCurrent/IIOP/run_test.pl:
        * tests/TransportCurrent/IIOP/server_dynamic.conf:
        * tests/TransportCurrent/IIOP/server_static.conf:

Tue Dec 19 18:44:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * */Makefile.am:

          Baseline regeneration to match recent MPC changes.

Tue Dec 19 15:29:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2345_Regression/Bug_2345_Regression.mpc:
        * tests/Collocation_Opportunities/Collocation_Opportunities.mpc:
        * tests/CSD_Strategy_Tests/TP_Common/CSD_TP_Test_Lib.mpc:
        * tests/GIOP_Fragments/PMB_With_Fragments/PMB_With_Fragments.mpc:
        * tests/InterOp-Naming/InterOp-Naming.mpc:
        * tests/MT_BiDir/MT_BiDir.mpc:
        * tests/Multiple_Inheritance/Multiple_Inheritance.mpc:
        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.mpc:
        * tests/NestedUpcall/Triangle_Test/TT.mpc:
        * tests/POA/Excessive_Object_Deactivations/Excessive_Object_Deactivations.mpc:
        * tests/POA/Identity/Identity.mpc:
        * tests/POA/Object_Reactivation/Object_Reactivation.mpc:
        * tests/POA/Persistent_ID/Persistent_ID.mpc:
          Disabled some projects that can't compile when CORBA/e
          micro has been enabled

Tue Dec 19 12:32:41 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/CosTrading.mpc:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:

          gcc gets confused when a static function is forward declared.  It
          complains that the function is declared but never defined.  The
          sed portion of the yacc regeneration rule just removes the forward
          declaration (which was unnecessary anyway).

Tue Dec 19 11:35:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/BiDirectional/BiDirectional.mpc:
        * tests/BiDirectional_DelayedUpcall/BiDir_DelayedUpcall.mpc:
        * tests/BiDirectional_MultipleORB/destroy.mpc:
        * tests/BiDirectional_NestedUpcall/BiDir_NestedUpcall.mpc:
          Disabled some projects that can't compile when CORBA/e
          micro has been enabled

Tue Dec 19 11:32:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/CSD_Strategy/TestInf/csd_pt_testinf.mpc:
        * performance-tests/Cubit/TAO/IDL_Cubit/IDL_Cubit.mpc:
        * performance-tests/Cubit/TAO/MT_Cubit/MT_Cubit.mpc:
        * performance-tests/Pluggable/Pluggable.mpc:
        * performance-tests/POA/Create_Reference/Create_Reference.mpc:
        * performance-tests/POA/Demux/Demux.mpc:
        * performance-tests/POA/Object_Creation_And_Registration/Object_Creation_And_Registration.mpc:
          Disabled some projects that can't compile when CORBA/e
          micro has been enabled

Tue Dec 19 11:27:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/ImR/Advanced/Advanced.mpc:
        * orbsvcs/examples/ImR/Combined_Service/ImR_Combined_Service.mpc:
        * orbsvcs/tests/BiDir_CORBALOC/BiDirCORBALOC.mpc:
        * orbsvcs/tests/Bug_1395_Regression/Bug_1395_Regression.mpc:
        * orbsvcs/tests/HTIOP/BiDirectional/HTIOP_BiDirectional.mpc:
        * orbsvcs/tests/ImplRepo/ImplRepo.mpc:
        * orbsvcs/tests/ImplRepo/scale/scaletest.mpc:
        * orbsvcs/tests/Property/Property.mpc:
        * orbsvcs/tests/Security/BiDirectional/Secure_BiDir.mpc:
        * orbsvcs/Time_Service/Time_Service.mpc:
          Disabled some projects that can't compile when CORBA/e
          micro has been enabled

Tue Dec 19 11:19:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/CSD_Strategy/ThreadPool5/CSD_Test_ThreadPool5.mpc:
        * examples/Event_Comm/Event_Comm.mpc:
        * examples/Logging/Logging.mpc:
        * examples/Persistent_Grid/Persistent_Grid.mpc:
        * examples/PluggableUDP/tests/Basic/Basic.mpc:
        * examples/PluggableUDP/tests/Performance/Performance.mpc:
        * examples/Quoter/Quoter.mpc:
        * examples/Simple/bank/bank.mpc:
        * examples/Simple/echo/echo.mpc:
        * examples/Simple/grid/grid.mpc:
        * examples/Simple/time/time.mpc:
          Disabled some projects that can't compile when CORBA/e
          micro has been enabled

Mon Dec 18 19:34:42 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Trader/Constraint_Nodes.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:

          Added missing typecodes for supporting CORBA::ULongLong and
          CORBA::LongLong.

Mon Dec 18 12:50:00 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Utils/ORB_Manager.{cpp,h}:
          Removed one init_child_poa method, using a default argument
          we don't need two seperate ones. Fixed compile errors with
          CORBA/e micro

Mon Dec 18 10:30:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * tests/Portable_Interceptors/PICurrent/client.cpp:
        * tests/Portable_Interceptors/PICurrent/server.cpp:
        * tests/Portable_Interceptors/PICurrent/run_test.pl:

          Bugfix Bugzilla 2510 & 2547 - multi-threading issues for PICurrent.
          Multi-Threaded servers take longer to shutdown. Increase the
          length of kill time to wait for the server shutdown. Also
          provide sleep(1) before orb->destroy() to allow comms to
          proceed at shutdown (precausion only).

Fri Dec 15 18:17:36 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

          Updating the test to make it behave appropriately for
          multi-threaded and for single-threaded (thread unsafe?)
          configurations.

        * tests/ORB_Local_Config/Bug_2612/Bug_2612.mpc:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.h:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.cpp:
        * tests/ORB_Local_Config/Bug_2612/Test.cpp:
        * tests/ORB_Local_Config/ORB_Local_Config.mwc:

Fri Dec 15 17:26:59 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/IDL_Test.mpc:

          Fixed previous change to this file in

          Wed Dec 13 18:16:28 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

          that was excluding the *A.cpp file from the build.

Fri Dec 15 16:32:35 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/ORT/Makefile.am:
        * tests/Objref_Sequence_Test/Makefile.am:
        * tests/Ondemand_Write/Makefile.am:
        * tests/Oneway_Buffering/Makefile.am:
        * tests/Oneways_Invoking_Twoways/Makefile.am:

          Regenerated.

        * tests/ORT/ORT.mpc:
        * tests/Objref_Sequence_Test/Objref_Sequence_Test.mpc:
        * tests/Ondemand_Write/Ondemand_Write.mpc:
        * tests/Oneway_Buffering/Oneway_Buffering.mpc:
        * tests/Oneways_Invoking_Twoways/Oneways_Invoking_Twoways.mpc:

          Split out IDL compilation into separate MPC project.

Thu Dec 14 16:58:18 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/MProfile/Makefile.am:

          Regenerated.

        * tests/MProfile/MProfile.mpc:

          Changed IDL project to inherit from iormanip.
          Changed Client project to not include testS.cpp.

Thu Dec 14 16:18:00 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Server_Connection_Purging/Server_Connection_Purging.mpc:

          Fix typo in IDL project name that broke build dependencies.

Thu Dec 14 16:10:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile.am:

          Regenerated.

Thu Dec 14 13:52:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * tao/PI/PICurrent.cpp:
        * tao/PI/PICurrent.h:
        * tests/Portable_Interceptors/PICurrent/run_test.pl:

          Bugfix Bugzilla 2510 & 2547 - multi-threading issues for PICurrent.
          Bugzilla 2552 - PICurrent_Impl, needs to be checked for
          multi-threaded lazy copying. (Still work to do.)

Thu Dec 14 13:21:46 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/CosTrading.mpc:

          Modified the rule to output the end version block at the end.

        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:
        * orbsvcs/orbsvcs/Trader/constraint.y:

          Removed the end version block in the .y file and regenerated.

Thu Dec 14 08:47:25 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.cpp
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.h:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.h:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.h:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.h:

          Align subtle differences (like using an explicit this-> (or not)
          for invoking methods and accessing member variables.  This makes
          diffs between between the wrapper classes highlight the real and
          substantial differences.  This too should make future maintenance
          easier.

          Removed #if 0'd out code that deactivated factory objects in the
          shutdown() method.  This was originally #if'd out because the
          factory objects aren't activated on the root POA (the factory
          creates a POA with PERSISTENT lifespan policy for the factory
          object activation, a POA that is not accessible from outside the
          factory object).  While we could refactor things to gain access
          to the factory POA, it really doesn't buy us much as the next
          thing is done is the ORB is shutdown(), which will delete the
          POAs, which will delete the objects, etc.

        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Server.cpp:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.h:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp:

          Overhaul the RTEvent_Logging_Service class to follow the idiom
          used by the other three Logging Service implementations.  It had
          lots of dead (commented out and/or #if 0'd) code for setting up
          a scheduler; yet was missing support for suppressing binding the
          log factory to the naming service and spinning up a thread pool
          for ORB threads.  Aligning this should make future maintenance
          easier.

          Split out main() into new file RTEvent_Logging_Server.cpp.

Thu Dec 14 08:27:45 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/OBV/Any/Makefile.am:
        * tests/OBV/Factory/Makefile.am:
        * tests/OBV/Forward/Makefile.am:
        * tests/OBV/TC_Alignment/Makefile.am:
        * tests/OBV/Truncatable/Makefile.am:
        * tests/OBV/ValueBox/Makefile.am:

          Regenerated.

        * tests/OBV/Any/OBV_Any.mpc:
        * tests/OBV/Factory/OBV_Factory.mpc:
        * tests/OBV/Forward/OBV_Forward.mpc:
        * tests/OBV/TC_Alignment/OBV_TC_Alignment.mpc:
        * tests/OBV/Truncatable/OBV_Truncatable.mpc:
        * tests/OBV/ValueBox/valuebox.mpc:

          Changed IDL projects to inherit from valuetype, to
          avoid suppressing typecodes and anys.

Thu Dec 14 07:01:51 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/MProfile/Makefile.am:
        * tests/MProfile_Connection_Timeout/Makefile.am:
        * tests/No_Server_MT_Connect_Test/Makefile.am:
        * tests/OBV/Any/Makefile.am:
        * tests/OBV/Factory/Makefile.am:
        * tests/OBV/Forward/Makefile.am:
        * tests/OBV/TC_Alignment/Makefile.am:
        * tests/OBV/Truncatable/Makefile.am:
        * tests/OBV/ValueBox/Makefile.am:

          Regenerated.

        * tests/MProfile/MProfile.mpc:
        * tests/MProfile_Connection_Timeout/MProfile_Connection_Timeout.mpc:
        * tests/No_Server_MT_Connect_Test/No_Server_Connect_Test.mpc:
        * tests/OBV/Any/OBV_Any.mpc:
        * tests/OBV/Factory/OBV_Factory.mpc:
        * tests/OBV/Forward/OBV_Forward.mpc:
        * tests/OBV/TC_Alignment/OBV_TC_Alignment.mpc:
        * tests/OBV/Truncatable/OBV_Truncatable.mpc:
        * tests/OBV/ValueBox/valuebox.mpc:

          Split out IDL compilation into separate MPC project.

        * tests/IDL_Test/Makefile.am:

          Regenerated.

Wed Dec 13 18:16:28 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/IDL_Test.mpc:

          Added -GT to all IDL compiler command lines, since generation
          of tie classes is no longer the default behavior, and we
          want this test to cover it. Also added a block for
          Template_Files, so the generated *S_T.cpp files will be
          displayed in a separate folder in Visual Studio.

Wed Dec 13 16:49:05 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/tie_sh.cpp:
        * TAO_IDL/be_include/be_codegen.h:

          Changed code generation for operation parameters in
          tie class declarations to omit the parameter name. If
          this name happened to be "T", some HP compilers would
          have trouble disambiguating it from the tie class
          template parameter typename. In the tie class operation
          body, where the parameter name must be used, there is
          already a code generation mechanism in place to avoid
          the name clash. Thanks to Simon Massey <Simon.Massey@prismtech.com>
          for reporting the problem.

Wed Dec 13 14:24:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_1630_Regression/test.mpc:
          Don't build with CORBA/e

Wed Dec 13 13:05:21 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.cpp:

          Added ACE_NOTREACHED around two returns that could not possibly be
          reached.

Wed Dec 13 12:43:04 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/CosTrading.mpc:

          Added search and replacement to both Constraint_l and Contraint_y
          rules to avoid build warnings about conversion from long to int.

        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:

          Regenerated.

        * orbsvcs/orbsvcs/Trader/Interpreter.cpp:

          Added a static_cast to avoid build warnings about conversion from
          long to int.

Wed Dec 13 07:19:26 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Server_Connection_Purging/Makefile.am:
        * tests/Server_Leaks/Makefile.am:
        * tests/Single_Read/Makefile.am:
        * tests/Smart_Proxies/Benchmark/Makefile.am:
        * tests/Smart_Proxies/Makefile.am:
        * tests/Smart_Proxies/On_Demand/Makefile.am:
        * tests/Smart_Proxies/Policy/Makefile.am:
        * tests/Smart_Proxies/dtor/Makefile.am:
        * tests/Stack_Recursion/Makefile.am:

          Regenerated.

        * tests/Server_Connection_Purging/Server_Connection_Purging.mpc:
        * tests/Server_Leaks/Server_Leaks.mpc:
        * tests/Single_Read/Single_Read.mpc:
        * tests/Smart_Proxies/Benchmark/SP_Benchmark.mpc:
        * tests/Smart_Proxies/On_Demand/SP_On_Demand.mpc:
        * tests/Smart_Proxies/Policy/SP_Policy.mpc:
        * tests/Smart_Proxies/Smart_Proxies.mpc:
        * tests/Smart_Proxies/dtor/dtor.mpc:
        * tests/Stack_Recursion/Stack_Recursion.mpc:

          Split out IDL compilation into separate MPC project.

Wed Dec 13 06:53:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/CSD_Strategy/ThreadPool5/CSD_Test_ThreadPool5.mpc:
        * docs/tutorials/Quoter/Simple/Persistent/Quoter_Simple_Persistent.mpc:
          Don't build with CORBA/e micro

Wed Dec 13 06:53:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IFR_Client_Adapter.h:
          Fixed compile problem with CORBA/e

Tue Dec 12 21:56:03 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/TAO_Internal.cpp (instance):

          This change eliminates unnecessary caching of the
          TAO_Ubergestalt_Ready_Condition, which used to cause problems
          with accessing stale memory. My thanks goes to Johnny Willemsen
          and Chad Elliott.

Tue Dec 12 17:34:25 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Explicit_Event_Loop/Makefile.am:
        * tests/Exposed_Policies/Makefile.am:
        * tests/Faults/Makefile.am:
        * tests/File_IO/Makefile.am:
        * tests/Forwarding/Makefile.am:
        * tests/Hello/Makefile.am:
        * tests/IPV6/Makefile.am:
        * tests/InterOp-Naming/Makefile.am:
        * tests/Leader_Followers/Makefile.am:
        * tests/LongUpcalls/Makefile.am:
        * tests/MProfile_Forwarding/Makefile.am:
        * tests/MT_BiDir/Makefile.am:
        * tests/MT_Client/Makefile.am:
        * tests/MT_Server/Makefile.am:
        * tests/MT_Timeout/Makefile.am:
        * tests/Multiple/Makefile.am:
        * tests/Multiple_Inheritance/Makefile.am:
        * tests/Muxed_GIOP_Versions/Makefile.am:
        * tests/Muxing/Makefile.am:
        * tests/Native_Exceptions/Makefile.am:
        * tests/NestedUpcall/MT_Client_Test/Makefile.am:
        * tests/NestedUpcall/Simple/Makefile.am:
        * tests/NestedUpcall/Triangle_Test/Makefile.am:
        * tests/Nested_Event_Loop/Makefile.am:

          Regenerated.

        * tests/Explicit_Event_Loop/Explicit_Event_Loop.mpc:
        * tests/Exposed_Policies/Exposed_Policies.mpc:
        * tests/Faults/Faults.mpc:
        * tests/File_IO/File_IO.mpc:
        * tests/Forwarding/Forwarding.mpc:
        * tests/Hello/Hello.mpc:
        * tests/IPV6/IPV6_Hello.mpc:
        * tests/InterOp-Naming/InterOp-Naming.mpc:
        * tests/Leader_Followers/Leader_Followers.mpc:
        * tests/LongUpcalls/LongUpcalls.mpc:
        * tests/MProfile_Forwarding/MProfile_Forwarding.mpc:
        * tests/MT_BiDir/MT_BiDir.mpc:
        * tests/MT_Client/MT_Client.mpc:
        * tests/MT_Server/MT_Server.mpc:
        * tests/MT_Timeout/MT_Timeout.mpc:
        * tests/Multiple/Multiple.mpc:
        * tests/Multiple_Inheritance/Multiple_Inheritance.mpc:
        * tests/Muxed_GIOP_Versions/Muxed_GIOP_Versions.mpc:
        * tests/Muxing/Muxing.mpc:
        * tests/Native_Exceptions/Native_Exceptions.mpc:
        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.mpc:
        * tests/NestedUpcall/Simple/Simple.mpc:
        * tests/NestedUpcall/Triangle_Test/TT.mpc:
        * tests/Nested_Event_Loop/Nested_Event_Loop.mpc:

          Split out IDL compilation into separate MPC project.

Tue Dec 12 17:28:14 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefiles for new subdirectories.

        * orbsvcs/tests/Makefile.am:

          Regenerate to descend into unit test subdirectory.

        * orbsvcs/tests/unit/Trading/Interpreter/Makefile.am:
        * orbsvcs/tests/unit/Trading/Makefile.am:
        * orbsvcs/tests/unit/Makefile.am:

          New Makefile.am's for trading service unit tests.

Tue Dec 12 17:24:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/CosConcurrency.mpc:

          Don't include concurrency_export.h and concurrency_skel_export.h
          in server library's MPC project.

Tue Dec 12 16:13:34 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:

          Use .in() to squelch conversion warning.

Tue Dec 12 15:05:04 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * NEWS:

          Provided an overview of the following changes.

        * orbsvcs/orbsvcs/CosTrading.mpc:

          Added a verbatim section to automate the regeneration of the lex
          file for the Trader Server library.  Which includes running the
          lex output through sed and then patching at the end.

        * orbsvcs/orbsvcs/Trader/Constraint_Nodes.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Nodes.cpp:

          Switched from using CORBA::Long/CORBA::ULong to
          CORBA::LongLong/CORBA::ULongLong to support 64-bit integers.  The
          union contains various integral types and to support both Long and
          LongLong would be redundant.

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:

          Added support dynamic sequences of CORBA::LongLong/
          CORBA::ULongLong.

        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp.diff:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/orbsvcs/Trader/constraint.l:

          Updated the {float} regular expression to allow negative values
          for floating point numbers.

          Added support for CORBA::LongLong and CORBA::ULongLong.  Since all
          integers are stored as 64-bit values instead of 32-bit values two
          conversion functions (trader_stroll and trader_stroull) are used
          to convert text into CORBA::LongLong and CORBA::ULongLong.  They
          are good candidates for moving into ACE as emulation for platforms
          that do not natively support strtoll and stroull.

          Also, fixed an issue where negative integers were being stored and
          compared as unsigned integers.

        * orbsvcs/orbsvcs/Trader/Constraint_Interpreter.cpp:
        * orbsvcs/orbsvcs/Trader/Interpreter.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Tokens.h:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:
        * orbsvcs/orbsvcs/Trader/constraint.y:

          Switched the order of the TAO_SIGNED and TAO_UNSIGNED tokens which
          are used by the TAO_Literal_Constraint to determine the widest
          integral type.

        * orbsvcs/tests/Trading/TT_Info.cpp:

          Added a query to use a negative floating point number and a query
          to use a number that would exceed the size of a CORBA::Long.

        * orbsvcs/tests/unit/Trading/Interpreter/Interpreter.cpp:
        * orbsvcs/tests/unit/Trading/Interpreter/Interpreter.mpc:
        * orbsvcs/tests/unit/Trading/Interpreter/run_test.pl:

          This unit test exercises the lexer for literal constraints as well
          as the comparison of various mixed literal constraints.

Tue Dec 12 14:21:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IFR_Client/IFR_Client_Adapter_Impl.h:
          Fixed link problems with CORBA/e

Tue Dec 12 12:31:45 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * tao/TAO_Server_Request.inl:
        * tao/TAO_Server_Request.cpp:

          Corrected a very bad merge on my part.  Thanks to Chris Reed <cr
          at progress dot com> for reporting this and providing a patch.

Tue Dec 12 10:08:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taoidl3toidl2defaults.mpb:
          Moved to CIAO

Mon Dec 11 21:38:29 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_2683_Regression/client.cpp:
        * tests/Bug_2683_Regression/run_test.pl:

          This test requires a host name to plug into the corbaloc string.
          For VxWorks testing, only the server side runs on the target,
          the client runs on the test-driver host. For this reason,
          "localhost" is unacceptable for use as a hostname.

Sun Dec 10 20:43:26 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Bug_2503_Regression/Makefile.am:
        * tests/Bug_2560_Regression/Makefile.am:
        * tests/Bug_2593_Regression/Makefile.am:
        * tests/Bug_2595_Regression/Makefile.am:
        * tests/Bug_2683_Regression/Makefile.am:
        * tests/Cache_Growth_Test/Makefile.am:
        * tests/CallbackTest/Makefile.am:
        * tests/Client_Leaks/Makefile.am:
        * tests/CodeSets/simple/Makefile.am:
        * tests/Connect_Strategy_Test/Makefile.am:
        * tests/Connection_Purging/Makefile.am:
        * tests/Crash_On_Write/Makefile.am:
        * tests/Crashed_Callback/Makefile.am:
        * tests/Strategies/Makefile.am:
        * tests/Timed_Buffered_Oneways/Makefile.am:
        * tests/Two_Objects/Makefile.am:
        * tests/Typedef_String_Array/Makefile.am:
        * tests/UNKNOWN_Exception/Makefile.am:

          Regenerated.

        * tests/Bug_2503_Regression/Bug_2503_Regression.mpc:
        * tests/Bug_2560_Regression/Bug_2560_Regression.mpc:
        * tests/Bug_2593_Regression/Bug_2593_Regression.mpc:
        * tests/Bug_2595_Regression/Bug_2595_Regression.mpc:
        * tests/Bug_2683_Regression/IORTable.mpc:
        * tests/Cache_Growth_Test/Cache_Growth_Test.mpc:
        * tests/CallbackTest/CallbackTest.mpc:
        * tests/Client_Leaks/Client_Leaks.mpc:
        * tests/CodeSets/simple/CodeSets_simple.mpc:
        * tests/Connect_Strategy_Test/Connect_Strategy_Test.mpc:
        * tests/Connection_Purging/Connection_Purging.mpc:
        * tests/Crash_On_Write/Crash_On_Write.mpc:
        * tests/Crashed_Callback/Crashed_Callback.mpc:
        * tests/Strategies/Strategies.mpc:
        * tests/Timed_Buffered_Oneways/Timed_Buffered_Oneways.mpc:
        * tests/Two_Objects/Two_Objects.mpc:
        * tests/Typedef_String_Array/typedef_string_array.mpc:
        * tests/UNKNOWN_Exception/UNKNOWN_Exception.mpc:

          Split out IDL compilation into separate MPC project.

        * tests/Bug_2186_Regression/Makefile.am:

          Regenerated.

        * tests/Bug_2186_Regression/Bug_2186_Regression.mpc:

          Add empty IDL_Files sections to Client and Server projects.

Sun Dec 10 01:36:17 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Bug_2234_Regression/Makefile.am:

          Regenerated.

        * tests/Bug_2234_Regression/Bug_2234_Regression.mpc

          Changed to inherit from anytypecode.

Sun Dec 10 00:33:57 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Bug_1670/Regression/Makefile.am:

          Regenerated.

        * tests/Bug_1670/Regression/Bug_1670_Regression.mpc:

          Add generated source files to MPC Source_Files section.

Sat Dec  9 23:18:53 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Bug_1495_Regression/Makefile.am:
        * tests/Bug_1551_Regression/Makefile.am:
        * tests/Bug_1568_Regression/Makefile.am:
        * tests/Bug_1627_Regression/Makefile.am:
        * tests/Bug_1670_Regression/Makefile.am:
        * tests/Bug_1676_Regression/Makefile.am:
        * tests/Bug_1869_Regression/Makefile.am:
        * tests/Bug_2174_Regression/Makefile.am:
        * tests/Bug_2183_Regression/Makefile.am:
        * tests/Bug_2186_Regression/Makefile.am:
        * tests/Bug_2188_Regression/Makefile.am:
        * tests/Bug_2234_Regression/Makefile.am:
        * tests/Bug_2289_Regression/Makefile.am:
        * tests/Bug_2328_Regression/Makefile.am:
        * tests/Bug_2349_Regression/Makefile.am:
        * tests/Bug_2429_Regression/Makefile.am:
        * tests/Bug_2494_Regression/Makefile.am:

          Regenerated.

        * tests/Bug_1495_Regression/Bug_1495.mpc:
        * tests/Bug_1551_Regression/Bug_1551_Regression.mpc:
        * tests/Bug_1568_Regression/Bug_1568_Regression.mpc:
        * tests/Bug_1627_Regression/Bug_1627_Regression.mpc:
        * tests/Bug_1670_Regression/Bug_1670_Regression.mpc:
        * tests/Bug_1676_Regression/Bug_1676_Regression.mpc:
        * tests/Bug_1869_Regression/Bug_1869_Regression.mpc:
        * tests/Bug_2174_Regression/Bug_2174_Regression.mpc:
        * tests/Bug_2183_Regression/Bug_2183_Regression.mpc:
        * tests/Bug_2186_Regression/Bug_2186_Regression.mpc:
        * tests/Bug_2188_Regression/broken.mpc:
        * tests/Bug_2234_Regression/Bug_2234_Regression.mpc:
        * tests/Bug_2289_Regression/Bug_2289_Regression.mpc:
        * tests/Bug_2328_Regression/Bug_2328_Regression.mpc:
        * tests/Bug_2349_Regression/Bug_2349_Regression.mpc:
        * tests/Bug_2429_Regression/Bug_2429_Regression.mpc:
        * tests/Bug_2494_Regression/Bug_2494_Regression.mpc:

          Split out IDL compilation into separate MPC project.

Fri Dec  8 22:30:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/included.idl:
        * tests/IDL_Test/valuetype.idl:

          Added IDL to the test to cover the bug fixed in

          Tue Dec  5 21:51:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

Fri Dec  8 05:21:38 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Changed code to extract version number from tao/Version.h to be
          more resilient to leading whitespace like was added by a bug in
          the release script in the last beta.  Thanks to Ray Lischner
          <rlischner at proteus-technologies dot com> for this patch.
          Also thanks to Paul Riley <paul at riley dot net> for reporting
          this problem.

Fri Dec  8 04:45:52 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Hash_Iterator_i.cpp:
        * orbsvcs/orbsvcs/Log/Hash_Iterator_i.h:
        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:
        * orbsvcs/orbsvcs/Log/Iterator_i.cpp:
        * orbsvcs/orbsvcs/Log/Iterator_i.h:

          The Iterator's destroy() method was using _default_POA() to
          obtain the POA to deactivate the object, but that didn't do
          anything because it was activated on a the iterator POA.
          Changed to pass the iterator POA so we can self-destruct
          properly.

        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:

          Create the iterator POA with the POAManager obtained from the
          log POA.  We were passing POAManager::_nil(), which created a
          new POAManager.  This resulted in all operations on iterators to
          fail, since the POAManager was never activated.

Thu Dec  7 19:00:28 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * MPC/config/typecodefactory.mpb:

          Added avoids_minimum_corba, avoids_corba_e_compact, and
          avoids_corba_e_micro to the base project list. Thanks to
          Johnny Willemsen <jwillemsen@remedy.nl> for his input
          that helped reach the decision that this is the right
          thing to do.

        * orbsvcs/orbsvcs/IFRService.mpc:

          - Removed base projects that are already pulled in by
            others, including the 3 added to typecodefactory's
            base project list, described above.

          - Removed the 'IFRService' tag and tagcheck line, this
            stuff was never used.

          - Revised Source_Files and Template_Files blocks, and
            added Header_Files block, so that template files will
            get displayed in the right place and all header files
            will get displayed, in Visual Studio projects.

        * tests/Any/Recursive/RecursiveHello.mpc:
        * examples/TypeCode_Creation/TypeCode_Creation.mpc:

          Removed avoids_minimum_corba, avoids_corba_e_compact, and
          avoids_corba_e_micro base projects, since they are now
          pulled in by typecodefactory.

Thu Dec  7 18:55:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.{h,cpp}:
          Fixed minimum defines

        * tao/IFR_Client/IFR_Client_Adapter_Impl.cpp:
          Exclude certain functionality for CORBA/e

Thu Dec  7 14:18:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/CSD_Strategy/ThreadPool2/CSD_Test_ThreadPool2.mpc:
        * examples/CSD_Strategy/ThreadPool3/CSD_Test_ThreadPool3.mpc:
        * examples/CSD_Strategy/ThreadPool5/CSD_Test_ThreadPool5.mpc:
        * examples/CSD_Strategy/ThreadPool/CSD_Test_ThreadPool.mpc:
          Build the clients after the idl project, not after server
          to resolve build order problems in the CORBA/e builds

Thu Dec  7 10:49:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB.{h,cpp}:
          Disable more of the ORB when building for CORBA/e, thanks to
          Jeff for pointing out that these methods weren't disabled

Thu Dec  7 09:56:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/rtscheduling.mpb:
        * tao/RTScheduler.mpc:
          Don't build with CORBA/e micro

Thu Dec  7 09:54:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/avoids_corba_e_compact.mpb:
        * MPC/config/avoids_corba_e_micro.mpb:
        * MPC/config/avoids_minimum_corba.mpb:
          Simplified these files, thanks to Jeff to pointing out that
          they contained to much

        * MPC/config/concurrency_serv.mpb:
          Don't build with CORBA/e micro

        * orbsvcs/orbsvcs/CosConcurrency.mpc:
          Don't build serv with CORBA/e micro

Thu Dec  7 08:02:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ImplicitActivationStrategyImplicit.cpp:
        * tao/PortableServer/ImplicitActivationStrategyImplicit.h:
        * tao/PortableServer/RequestProcessingPolicy.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServant.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServantFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivator.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocatorFI.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantManager.cpp:
        * tao/PortableServer/ServantRetentionPolicy.cpp:
        * tao/PortableServer/ThreadPolicy.cpp:
        * tao/PortableServer/ThreadStrategySingle.cpp:
        * tao/PortableServer/ThreadStrategySingle.h:
        * tao/PortableServer/ThreadStrategySingleFactoryImpl.cpp:
        * tao/PortableServer/ThreadStrategySingleFactoryImpl.h:
          Disable more strategies with CORBA/e but also reordered some includes.
          At the moment the strategy is fully disabled in a minimum build we
          include orbconf.h outside the internal ifdef check and all includes
          of classes are inside this ifdef. This way we don't pull in a static
          initializers which seem to take 112 bytes of footprint per file
          which is not needed.

Thu Dec  7 07:38:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/PortableServer.cpp:
          The wrong activation strategy was disabled when building for
          CORBA/e

Thu Dec  7 06:38:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/IMR_Client.cpp:
        * tao/RTPortableServer/RT_POA.inl:
          Some bool changes I missed in my previous commit

Thu Dec  7 00:25:44 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Big_AMI/Makefile.am:

          Regenerated.

Wed Dec  6 22:27:21 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Big_AMI/Big_AMI.mpc:

          Changed IDL project to inherit from ami.

Wed Dec  6 21:11:47 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/ORB_Local_Config/Bug_2612/DllOrb.cpp:
          Fixing a windows build warning about unused variable.

wed Dec  6 19:58:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/Policies/Policies.mpc:
          Don't build when CORBA/e micro has been enabled

Wed Dec  6 19:33:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/CSD_Strategy/ThreadPool2/CSD_Test_ThreadPool2.mpc:
        * examples/CSD_Strategy/ThreadPool3/CSD_Test_ThreadPool3.mpc:
        * examples/CSD_Strategy/ThreadPool4/CSD_Test_ThreadPool4.mpc:
        * examples/CSD_Strategy/ThreadPool/CSD_Test_ThreadPool.mpc:
          Don't build the server when CORBA/e micro has been enabled

Wed Dec  6 19:24:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Active_Object_Map.cpp:
        * tao/PortableServer/Active_Object_Map.h:
        * tao/PortableServer/Active_Object_Map.inl:
        * tao/PortableServer/Active_Object_Map_Entry.cpp:
        * tao/PortableServer/IdUniquenessStrategy.h:
        * tao/PortableServer/IdUniquenessStrategyMultiple.cpp:
        * tao/PortableServer/IdUniquenessStrategyMultiple.h:
        * tao/PortableServer/IdUniquenessStrategyUnique.cpp:
        * tao/PortableServer/IdUniquenessStrategyUnique.h:
        * tao/PortableServer/RequestProcessingStrategy.h:
        * tao/PortableServer/RequestProcessingStrategyAOMOnly.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnly.h:
        * tao/PortableServer/RequestProcessingStrategyDefaultServant.cpp:
        * tao/PortableServer/RequestProcessingStrategyDefaultServant.h:
        * tao/PortableServer/RequestProcessingStrategyServantActivator.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivator.h:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.h:
        * tao/PortableServer/Root_POA.cpp:
        * tao/PortableServer/Root_POA.h:
        * tao/PortableServer/Servant_Upcall.cpp:
        * tao/PortableServer/Servant_Upcall.h:
        * tao/PortableServer/ServantRetentionStrategy.h:
        * tao/PortableServer/ServantRetentionStrategyNonRetain.cpp:
        * tao/PortableServer/ServantRetentionStrategyNonRetain.h:
        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetain.h:
          Use bool instead of int for several flags, also then use true/false
          instead of 0/1

Wed Dec  6 16:15:58 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/ORB_Local_Config/Bug_2612/Bug_2612.mpc:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.h:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.cpp:
        * tests/ORB_Local_Config/Bug_2612/Test.cpp:

          Fixing fuzz (missing $id$) and compile errors on
          TAO_HAS_MINIMUM_CORBA builds, which define the POAManager
          interface without the deactivate() method.

Wed Dec  6 16:10:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_EVP_PKEY.h:
          Fixed doxygen warnings

Wed Dec  6 15:55:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Abstract_Servant_Base.h:
        * tao/AnyTypeCode/Fixed_TypeCode.h:
        * tao/AnyTypeCode/TypeCode.h:
        * tao/Codeset_Manager_Factory_Base.h:
        * tao/Pluggable_Messaging.h:
        * tao/Thread_Lane_Resources.h:
          Fixed doxygen warnings

Wed Dec  6 15:29:25 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Abstract_Interface/Makefile.am:
        * tests/Any/Recursive/Makefile.am:
        * tests/BiDirectional/Makefile.am:
        * tests/BiDirectional_DelayedUpcall/Makefile.am:
        * tests/BiDirectional_NestedUpcall/Makefile.am:
        * tests/Big_AMI/Makefile.am:
        * tests/Big_Oneways/Makefile.am:
        * tests/Big_Reply/Makefile.am:
        * tests/Big_Request_Muxing/Makefile.am:
        * tests/Big_Twoways/Makefile.am:
        * tests/Blocking_Sync_None/Makefile.am:
        * tests/Bug_1020_Basic_Regression/Makefile.am:
        * tests/Bug_1020_Regression/Makefile.am:
        * tests/Bug_1254_Regression/Makefile.am:
        * tests/Bug_1269_Regression/Makefile.am:
        * tests/Bug_1270_Regression/Makefile.am:
        * tests/Bug_1330_Regression/Makefile.am:
        * tests/Bug_1361_Regression/Makefile.am:
        * tests/Bug_1476_Regression/Makefile.am:
        * tests/Bug_1482_Regression/Makefile.am:

          Regenerated.

        * tests/Abstract_Interface/Abstract_Interface.mpc:
        * tests/Any/Recursive/RecursiveHello.mpc:
        * tests/BiDirectional/BiDirectional.mpc:
        * tests/BiDirectional_DelayedUpcall/BiDir_DelayedUpcall.mpc:
        * tests/BiDirectional_NestedUpcall/BiDir_NestedUpcall.mpc:
        * tests/Big_AMI/Big_AMI.mpc:
        * tests/Big_Oneways/Big_Oneways.mpc:
        * tests/Big_Reply/Big_Reply.mpc:
        * tests/Big_Request_Muxing/Big_Request_Muxing.mpc:
        * tests/Big_Twoways/Big_Twoways.mpc:
        * tests/Blocking_Sync_None/Blocking_Sync_None.mpc:
        * tests/Bug_1020_Basic_Regression/Bug_1020_Basic_Regression.mpc:
        * tests/Bug_1020_Regression/Bug_1020_Regression.mpc:
        * tests/Bug_1254_Regression/Bug_1254_Regression.mpc:
        * tests/Bug_1269_Regression/Bug_1269_Regression.mpc:
        * tests/Bug_1270_Regression/Bug_1270_Regression.mpc:
        * tests/Bug_1330_Regression/Bug_1330_Regression.mpc:
        * tests/Bug_1361_Regression/Bug_1361_Regression.mpc:
        * tests/Bug_1476_Regression/Bug_1476_Regression.mpc:
        * tests/Bug_1482_Regression/Bug_1482_Regression.mpc:

          Split out IDL compilation into separate MPC project.

Wed Dec  6 14:36:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/PortableServer.cpp:
          Reduced the number of process directives call for CORBA/e compact
          and micro

Wed Dec  6 14:28:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ServantRetentionStrategyNonRetain.{h,cpp}:
        * tao/PortableServer/ServantRetentionStrategyNonRetainFactoryImpl.{h,cpp}:
          Added checks for CORBA/e compact and micro, no need to compile these
          when these profiles are enabled.

        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
          Const improvement

Wed Dec  6 14:15:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/rtportableserver.mpb:
        * tao/RTPortableServer.mpc:
          Don't build RTPortableServer when CORBA/e micro has been enabled

Wed Dec  6 13:40:52 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/CSD_Strategy/ThreadPool6/Makefile.am:
        * examples/Simple/time-date/Makefile.am:
        * orbsvcs/examples/ORT/Makefile.am:
        * orbsvcs/tests/Bug_2709_Regression/Makefile.am:
        * tests/Bug_2654_Regression/Makefile.am:
        * tests/OctetSeq/Makefile.am:
        * tests/Oneway_Timeouts/Makefile.am:
        * tests/Param_Test/Makefile.am:
        * tests/Portable_Interceptors/ORB_Shutdown/Makefile.am:

          Regenerate.

        * configure.ac:
        * orbsvcs/tests/Makefile.am:
        * tests/Makefile.am:

          Changes for move of Bug_2709_Regression unit test.

Wed Dec  6 08:30:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * *.mpc:
          Added to all mpc files that have avoids_corba_e_compact also
          avoids_corba_e_micro because they also can't be build with
          CORBA/e micro

Tue Dec  5 21:51:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_argument/arglist.cpp (visit_sequence):

          Added code to create the sequence node's name, if a check
          determines that the node is from an included IDL file, and
          is an anonymous sequence (not created with a typedef declaration).
          This is the case in this particular visitor if a valuetype
          inherits an anonymous sequence member from a valuetype
          declared in another IDL file, and this visitor is generating
          the argument list for the OBV_* constructor with member
          values. The node's name has not yet been set, since it
          cannot be done in the node constructor - if the sequence
          is declared with a typedef, the typedef node is created
          after the sequence node, and it also sets the sequence
          node's 'anonymous' flag to false (set to true by default
          in the sequence node constructor). Thanks to Ossama
          Othman <ossama.othman@symantec.com> for reporting the
          bug.

Tue Dec  5 18:36:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DSI_Gateway/DSI_Gateway.mpc:
          Don't build with corba_e_compact

        * orbsvcs/orbsvcs/Log/LogActivator.{h,cpp}:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context_Activator.{h,cpp}:
          Changes to resolve compile errors with CORBA/e compact

Tue Dec  5 15:29:59 UTC 2006  Vadym Ridosh <vridosh@prismtech.com>

        * tests/Bug_2709_Regression/*:
        * orbsvcs/tests/Bug_2709_Regression/*:
          Regression test for bug#2709 was moved.

Tue Dec  5 15:02:37 UTC 2006 Vadym Ridosh <vridosh@prismtech.com>
        * tests/Bug_2709_Regression/Bug_2709_Regression.mpc:
          Added dependency to avoid problem with build on some OSes.

Tue Dec  5 11:35:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Added a check that -SSi is not a valid commandline argument, so
          then we give an error, it is -SS, no third character at all.
          This fixes bugzilla bug 2723.

Tue Dec  5 11:31:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/valuetype.mpb:
        * Valuetype.mpc:
          Valuetype is not available with corba/e micro

        * Valuetype/ValueBase.cpp:
          Use ACE_ERROR for an error message

Tue Dec  5 11:25:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2654_Regression/Bug_2654_Regression.mpc:
        * orbsvcs/examples/ORT/ORT.mpc:
          Don't build with corba/e compact

        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/Bug_2604.mpc:
          Don't build the server with corba/e compact

        * orbsvcs/orbsvcs/PortableGroup.mpc:
          Don't build with corba/e compact

        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
          Part can't be build with corba/e compact

Tue Dec  5 11:19:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MProfile_Forwarding/MProfile_Forwarding.mpc:
          Don't build the manager with corba/e compact

Tue Dec  5 11:17:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/CSD_Strategy/ThreadPool6/CSD_Test_ThreadPool6.mpc:
          Don't build server with corba/e compact

Tue Dec  5 08:28:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OctetSeq/OctetSeq.mpc:
          Changed build order to resolve build order problems in the ace_for_tao
          builds

Tue Dec  5 04:21:50 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefile for new unit test subdirectory.

        * tests/ORB_Local_Config/Makefile.am:

          Regenerate to descend into CSD_Strategy subdirectory.

        * tests/ORB_Local_Config/Bug_2612/Makefile.am:

          New file.

Tue Dec  5 04:10:47 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/AMH_Exceptions/Makefile.am:
        * tests/AMH_Oneway/Makefile.am:
        * tests/AMI/Makefile.am:
        * tests/AMI_Buffering/Makefile.am:
        * tests/AMI_Timeouts/Makefile.am:

          Regenerated.

        * tests/AMH_Exceptions/AMH_Exceptions.mpc:
        * tests/AMH_Oneway/AMH_Oneway.mpc:
        * tests/AMI/AMI.mpc:
        * tests/AMI_Buffering/AMI_Buffering.mpc:
        * tests/AMI_Timeouts/AMI_Timeouts.mpc:

          Split out IDL compilation into separate MPC project.

Mon Dec  4 18:01:55 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tests/ORB_Local_Config/Bug_2612:
        * tests/ORB_Local_Config/Bug_2612/Bug_2612.mpc:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.h:
        * tests/ORB_Local_Config/Bug_2612/DllOrb.cpp:
        * tests/ORB_Local_Config/Bug_2612/DllOrb_Export.h:
        * tests/ORB_Local_Config/Bug_2612/Test.cpp:
        * tests/ORB_Local_Config/Bug_2612/run_test.pl:

          Added new regression test for bug#2612. It should also cover the
          issue described in bug#2677.

        * tests/ORB_Local_Config/run_tests_all.pl:

          Added the new test to the list of tests for manual execution.

Mon Dec  4 17:30:30 UTC 2006  Iliyan Jeliazkov  <iliyan@ociweb.com>

        * tao/Invocation_Adapter.cpp (invoke_i):
        * tao/LocateRequest_Invocation_Adapter.cpp (invoke):

          Added a service config guard to ensure the invocation is
          processed, using the correct configuration repository.  The
          change ensures that the ORB's repository is going to be
          "current" for the duration of the invocation, which is needed if
          timeouts and other policies are applied as expected.  Thanks to
          Eider Oliveira <eider dot oliveira at gmail dot com> for
          submitting the defect (bug# 2734)

Mon Dec  4 16:17:07 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/util/utl_err.cpp (syntax_error):

          Replaced increment of error count with immediate bailout
          on any kind of syntax error. Keeping the state of the IDL
          compiler consistent in the face of any syntax error would
          require extensive hacking of bison-generated code, and we
          still wouldn't get any code generation if there are any
          errors going into the backend. This fix closes [BUGID:2688].

Mon Dec  4 15:42:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/*:
          The MPC base projects for TAO

Mon Dec  4 13:23:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Content_Server/AMI_Iterator/Content_Iterator_i.cpp:
        * examples/Content_Server/SMI_Iterator/Content_Iterator_i.cpp:
          Added static casts to get rid of warnings with vc

Mon Dec  4 12:36:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Oneway_Timeouts/*:
          Added missing id tags

        * Release:
          Added MPC

Mon Dec  4 12:24:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC
        * MPC/config
          New directory for the base projects specifically for TAO

Mon Dec  4 12:17:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2709_Regression/Client_Task.cpp:
          Fixed conversion warning in vxworks builds

Mon Dec  4 11:21:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PI_Server/PortableServer_ORBInitializer.cpp:
        * tao/PI_Server/PortableServer_PolicyFactory.cpp:
          Fixed compile errors with CORBA/e compact

        * tao/Bounded_Value_Sequence_T.h:
          Improved doxygen documentation

Mon Dec  4 08:03:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Param_Test/Param_Test.mpc:
          Build all projects after idl to get always the correct build
          order

Mon Dec  4 07:59:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicAny/DynCommon.{h,cpp}:
          Removed not needed const qualifiers on the return type, fixes
          icc warnings

        * tao/Unbounded_Basic_String_Sequence_T.h:
          Improved doxygen documentation

        * tao/Policy_Set.cpp:
          Const changes

Sun Dec  3 14:25:57 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/ORB_Local_Config/Bug_1459/Makefile.am:
        * tests/ORB_Local_Config/Bunch/Makefile.am:
        * tests/ORB_Local_Config/Separation/Makefile.am:
        * tests/ORB_Local_Config/Shared/Makefile.am:
        * tests/ORB_Local_Config/Two_DLL_ORB/Makefile.am:
        * tests/ORB_Local_Config/Simple/Makefile.am:
        * tests/ORB_Local_Config/Service_Dependency/Makefile.am:

          Add automake specific section so that includes is set relative
          to $(srcdir).

Sun Dec  3 07:39:43 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/BasicTypeTraits.cpp:
          Fixed compile problems with Borland C++

Sat Dec  2 23:11:45 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/Makefile.am:

          Skip RTScheduling subdirectory for now.

        * tests/Makefile.am:

          Skip Bug_2399_Regression and CSD_Strategy_Tests
          subdirectories for now.

Sat Dec  2 23:02:13 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Add tests subdirectory.

        * tests/ICMG_Any_Bug/Makefile.am:
        * tests/OBV/Simple/Makefile.am:

          Regenerated.

Fri Dec  1 20:18:47 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_declarator.cpp (compose):

          Removed a prefix match check that was overlooked in the
          #pragma prefix changes in

          Tue Nov 28 19:32:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

          but was caught only on Solaris platforms, since on all
          others, one of the compared strings always has an uninitialized
          value of 0, which short-circuited the check.

Fri Dec  1 15:39:03 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/OBV/Simple/OBV_Simple.mpc:

          Removed -St from IDL compiler command line options, since
          valuetypes now require typecode support.

Fri Dec  1 15:19:34 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/ICMG_Any_Bug/Hello.mpc:

          Removed -Sa and -St from the IDL compiler command line options
          (pulled in from taoidldefaults.mpb), since the client code
          uses DII.

Fri Dec  1 14:59:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/tests/Event/UDP/Makefile.am:
        * tests/Param_Test/Makefile.am:

          Regenerated.

Fri Dec  1 13:49:43 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Param_Test/Param_Test.mpc:
          Added explicit build order and removed -Sa and -St from the
          idlflags

Fri Dec  1 13:37:43 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Security/Download.html:
        * docs/tutorials/Quoter/index.html:
          Updated download location of ACE/TAO/CIAO

Fri Dec  1 13:35:43 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO-INSTALL.html:
          Updated download location of ACE/TAO/CIAO

Fri Dec  1 12:27:43 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Event/UDP/RtEC_UDP.mpc:
          Fixed invalid filenames in this test

Thu Nov 30 18:01:43 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/BasicTypeTraits.cpp:
        * tao/AnyTypeCode/BasicTypeTraits.h:

          Added one-line convert() method to each specialization,
          since returning the extraction type in
          DynAnyBasicTypeUtils<>::get_value() is not correct for
          chars, wchars, octets and booleans.

        * tao/DynamicAny/DynAnyUtils_T.h:

          Replaced an implicit temporary in
          DynAnyBasicTypeUtils<>::get_value() with an explicit
          constructor call, since the temporary was confused with a
          cast by some compilers.

        * tests/DynAny_Test/analyzer.cpp:

          Replace a call to length() on an aliased array typecode
          (which returned a BADKIND exception) to a call on the
          unaliased typecode.

Thu Nov 30 14:48:57 UTC 2006  Vadym Ridosh <vridosh@prismtech.com>
        * tao/PortableServer/Var_Size_SArgument_T.cpp
        * tao/Bounded_Sequence_CDR_T.h
        * tao/Unbounded_Sequence_CDR_T.h

          Fix for bugzilla 1676 (uninitialized "out" param for sequence<string>
          can cause server to core). Old attempt to fix this was also removed.

Thu Nov 30 14:17:22 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp (visit_union_pos):

          Change to use the new DynAnyFactory method similar to the
          change to Log_Constraint_Visitors.cpp in

          Tue Nov 28 19:32:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

Thu Nov 30 13:28:22 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/lex.yy.cpp.diff:

          Recreated the diff file (and reprocessed idl.ll).  patch had
          problems applying the diff that was in the repository (at least on
          Linux).

Thu Nov 30 13:06:46 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicAny/DynAny_i.cpp
        * tao/DynamicAny/DynArray_i.cpp (init_common):
        * tao/DynamicAny/DynEnum_i.cpp (init_common):
        * tao/DynamicAny/DynSequence_i.cpp (init_common):
        * tao/DynamicAny/DynStruct_i.cpp (init_common):
        * tao/DynamicAny/DynUnion_i.cpp (init_common):
          Use true/false for a bool

Thu Nov 30 12:52:46 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicAny/DynCommon.cpp:
          Fixed conversion warnings and const changes

        * tao/DynamicAny/DynAnyUtils_T.h:
          Made the code compiling with BCB6 and VC8 but with GCC there
          are some more issues to be resolved

Thu Nov 30 09:58:02 UTC 2006  Vadym Ridosh <vridosh@prismtech.com>

        * tao/Stub.cpp
        * tao/Stub.inl
        * tao/Service_Callbacks.cpp
        * tao/Service_Callbacks.h
        * tao/ORB_Core.cpp
        * tao/ORB_Core.inl
        * tao/ORB_Core.h
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp

          Fix for bugzilla 2709.

Thu Nov 30 05:52:05 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Bug_2417_Regression/Makefile.am:
        * tests/Bug_2654_Regression/Makefile.am:
        * tests/Bug_2709_Regression/Makefile.am:
        * tests/Hang_Shutdown/Makefile.am:
        * tests/ICMG_Any_Bug/Makefile.am:
        * tests/OctetSeq/Makefile.am:
        * tests/Param_Test/Makefile.am:
        * tests/Portable_Interceptors/ORB_Shutdown/Makefile.am:
        * tests/RTCORBA/Client_Propagated/Makefile.am:
        * tests/Timeout/Makefile.am:

          Regenerated.

        * tests/Bug_2417_Regression/Bug_2417_Regression.mpc:
        * tests/Bug_2654_Regression/Bug_2654_Regression.mpc:
        * tests/Bug_2709_Regression/Bug_2709_Regression.mpc:
        * tests/Hang_Shutdown/Hang.mpc:
        * tests/ICMG_Any_Bug/Hello.mpc:
        * tests/OctetSeq/OctetSeq.mpc:
        * tests/Param_Test/Param_Test.mpc:
        * tests/Portable_Interceptors/ORB_Shutdown/PI_ORB_Shutdown.mpc:
        * tests/RTCORBA/Client_Propagated/RTCORBA_Client_Propagated.mpc:
        * tests/Timeout/Timeout.mpc:

          Split out IDL compilation into separate MPC project.

Thu Nov 30 05:48:30 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added AM_CONDITIONAL for BUILD_JAVA, so we can handle
          Makefile.am's with these options.  Default to false, until we
          can write feature tests for this option.

Thu Nov 30 05:44:13 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/OBV/Typed_Events/Makefile.am:

          Regenerated.

Wed Nov 29 17:43:45 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/OBV/Typed_Events/Typed_Events.mpc:

          Removed the IDL flag -St, which suppressed typecode generation,
          so the _tao_type() method (which returns a typecode) can be
          generated for the valuetypes in the IDL - necessary since
          this method is pure virtual in ValueBase. This is a temporary
          fix, some discussions are necessary to decide on an approach
          to integrating _tao_type() with subsetted libraries, IDL
          compiler command line options, and MPC settings.

Wed Nov 29 17:13:33 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynAnyUtils_T.h:

          Put back some of the 'typename' qualifiers removed in

          Wed Nov 29 000:11:49 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

          since the lack is definitely causing problems with FC4
          on the scoreboard. I had removed them because I thought
          they were the cause of problems reported by Phil
          Mesnier <mesnier_p@ociweb.com>, but perhaps those errors
          stemmed from something else.

Wed Nov 29 16:31:26 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/BasicTypeTraits.cpp:
        * tao/AnyTypeCode/BasicTypeTraits.h:

          Added a guard around code for wchars similar to that in
          tao/Unbounded_Sequence_CDR_T.h, as a workaround for LynxOS,
          which has no native wchar type. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for the tip.

Wed Nov 29 13:45:23 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefiles for new unit test subdirectories.

        * tests/AMH_Exceptions/Makefile.am:
        * tests/AMH_Oneway/Makefile.am:
        * tests/AMI/Makefile.am:
        * tests/AMI_Buffering/Makefile.am:
        * tests/AMI_Timeouts/Makefile.am:
        * tests/Abstract_Interface/Makefile.am:
        * tests/Any/Makefile.am:
        * tests/Any/Recursive/Makefile.am:
        * tests/BiDirectional/Makefile.am:
        * tests/BiDirectional_DelayedUpcall/Makefile.am:
        * tests/BiDirectional_MultipleORB/Makefile.am:
        * tests/BiDirectional_NestedUpcall/Makefile.am:
        * tests/Big_AMI/Makefile.am:
        * tests/Big_Oneways/Makefile.am:
        * tests/Big_Reply/Makefile.am:
        * tests/Big_Request_Muxing/Makefile.am:
        * tests/Big_Twoways/Makefile.am:
        * tests/Blocking_Sync_None/Makefile.am:
        * tests/Bug_1020_Basic_Regression/Makefile.am:
        * tests/Bug_1020_Regression/Makefile.am:
        * tests/Bug_1254_Regression/Makefile.am:
        * tests/Bug_1269_Regression/Makefile.am:
        * tests/Bug_1270_Regression/Makefile.am:
        * tests/Bug_1330_Regression/Makefile.am:
        * tests/Bug_1361_Regression/Makefile.am:
        * tests/Bug_1476_Regression/Makefile.am:
        * tests/Bug_1476_Test/Makefile.am:
        * tests/Bug_1482_Regression/Makefile.am:
        * tests/Bug_1495_Regression/Makefile.am:
        * tests/Bug_1535_Regression/Makefile.am:
        * tests/Bug_1551_Regression/Makefile.am:
        * tests/Bug_1568_Regression/Makefile.am:
        * tests/Bug_1627_Regression/Makefile.am:
        * tests/Bug_1635_Regression/Makefile.am:
        * tests/Bug_1636_Regression/Makefile.am:
        * tests/Bug_1639_Regression/Makefile.am:
        * tests/Bug_1670_Regression/Makefile.am:
        * tests/Bug_1676_Regression/Makefile.am:
        * tests/Bug_1693_Test/Makefile.am:
        * tests/Bug_1812_Regression/Makefile.am:
        * tests/Bug_1813_Regression/Makefile.am:
        * tests/Bug_1869_Regression/Makefile.am:
        * tests/Bug_1904_Regression/Makefile.am:
        * tests/Bug_2084_Regression/Makefile.am:
        * tests/Bug_2119_Regression/Makefile.am:
        * tests/Bug_2122_Regression/Makefile.am:
        * tests/Bug_2124_Regression/Makefile.am:
        * tests/Bug_2126_Regression/Makefile.am:
        * tests/Bug_2134_Regression/Makefile.am:
        * tests/Bug_2144_Regression/Makefile.am:
        * tests/Bug_2174_Regression/Makefile.am:
        * tests/Bug_2183_Regression/Makefile.am:
        * tests/Bug_2186_Regression/Makefile.am:
        * tests/Bug_2188_Regression/Makefile.am:
        * tests/Bug_2201_Regression/Makefile.am:
        * tests/Bug_2222_Regression/Makefile.am:
        * tests/Bug_2234_Regression/Makefile.am:
        * tests/Bug_2289_Regression/Makefile.am:
        * tests/Bug_2319_Regression/Makefile.am:
        * tests/Bug_2328_Regression/Makefile.am:
        * tests/Bug_2345_Regression/Makefile.am:
        * tests/Bug_2349_Regression/Makefile.am:
        * tests/Bug_2375_Regression/Makefile.am:
        * tests/Bug_2399_Regression/Makefile.am:
        * tests/Bug_2417_Regression/Makefile.am:
        * tests/Bug_2419_Regression/Makefile.am:
        * tests/Bug_2424_Regression/Makefile.am:
        * tests/Bug_2429_Regression/Makefile.am:
        * tests/Bug_2494_Regression/Makefile.am:
        * tests/Bug_2503_Regression/Makefile.am:
        * tests/Bug_2542_Regression/Makefile.am:
        * tests/Bug_2543_Regression/Makefile.am:
        * tests/Bug_2549_Regression/Makefile.am:
        * tests/Bug_2560_Regression/Makefile.am:
        * tests/Bug_2593_Regression/Makefile.am:
        * tests/Bug_2595_Regression/Makefile.am:
        * tests/Bug_2654_Regression/Makefile.am:
        * tests/Bug_2669_Regression/Makefile.am:
        * tests/Bug_2683_Regression/Makefile.am:
        * tests/Bug_2709_Regression/Makefile.am:
        * tests/CDR/Makefile.am:
        * tests/COIOP/Makefile.am:
        * tests/CSD_Strategy_Tests/Broken/Makefile.am:
        * tests/CSD_Strategy_Tests/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Common/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Foo_A/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Foo_C/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_1/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_2/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_3/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_4/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/Makefile.am:
        * tests/CSD_Strategy_Tests/TP_Test_Static/Makefile.am:
        * tests/Cache_Growth_Test/Makefile.am:
        * tests/CallbackTest/Makefile.am:
        * tests/Client_Leaks/Makefile.am:
        * tests/CodeSets/Makefile.am:
        * tests/CodeSets/libs/IBM1047_ISO8859/Makefile.am:
        * tests/CodeSets/libs/Makefile.am:
        * tests/CodeSets/libs/UCS4_UTF16/Makefile.am:
        * tests/CodeSets/simple/Makefile.am:
        * tests/Codec/Makefile.am:
        * tests/Collocation/Makefile.am:
        * tests/CollocationLockup/Makefile.am:
        * tests/Collocation_Exception_Test/Makefile.am:
        * tests/Collocation_Oneway_Tests/Makefile.am:
        * tests/Collocation_Opportunities/Makefile.am:
        * tests/Collocation_Tests/Makefile.am:
        * tests/Connect_Strategy_Test/Makefile.am:
        * tests/Connection_Failure/Makefile.am:
        * tests/Connection_Purging/Makefile.am:
        * tests/Connection_Timeout/Makefile.am:
        * tests/Crash_On_Write/Makefile.am:
        * tests/Crashed_Callback/Makefile.am:
        * tests/DII_Collocation_Tests/Makefile.am:
        * tests/DII_Collocation_Tests/oneway/Makefile.am:
        * tests/DII_Collocation_Tests/twoway/Makefile.am:
        * tests/DLL_ORB/Makefile.am:
        * tests/DSI_Gateway/Makefile.am:
        * tests/DynAny_Test/Makefile.am:
        * tests/Explicit_Event_Loop/Makefile.am:
        * tests/Exposed_Policies/Makefile.am:
        * tests/FL_Cube/Makefile.am:
        * tests/Faults/Makefile.am:
        * tests/File_IO/Makefile.am:
        * tests/Forwarding/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Reply/Makefile.am:
        * tests/GIOP_Fragments/Java_Big_Request/Makefile.am:
        * tests/GIOP_Fragments/Makefile.am:
        * tests/GIOP_Fragments/PMB_With_Fragments/Makefile.am:
        * tests/Hang_Shutdown/Makefile.am:
        * tests/Hello/Makefile.am:
        * tests/ICMG_Any_Bug/Makefile.am:
        * tests/IDL_Test/Makefile.am:
        * tests/IORManipulation/Makefile.am:
        * tests/IOR_Endpoint_Hostnames/Makefile.am:
        * tests/IPV6/Makefile.am:
        * tests/InterOp-Naming/Makefile.am:
        * tests/Leader_Followers/Makefile.am:
        * tests/LongUpcalls/Makefile.am:
        * tests/MProfile/Makefile.am:
        * tests/MProfile_Connection_Timeout/Makefile.am:
        * tests/MProfile_Forwarding/Makefile.am:
        * tests/MT_BiDir/Makefile.am:
        * tests/MT_Client/Makefile.am:
        * tests/MT_Server/Makefile.am:
        * tests/MT_Timeout/Makefile.am:
        * tests/Makefile.am:
        * tests/Multiple/Makefile.am:
        * tests/Multiple_Inheritance/Makefile.am:
        * tests/Muxed_GIOP_Versions/Makefile.am:
        * tests/Muxing/Makefile.am:
        * tests/Native_Exceptions/Makefile.am:
        * tests/NestedUpcall/MT_Client_Test/Makefile.am:
        * tests/NestedUpcall/Makefile.am:
        * tests/NestedUpcall/Simple/Makefile.am:
        * tests/NestedUpcall/Triangle_Test/Makefile.am:
        * tests/Nested_Event_Loop/Makefile.am:
        * tests/Nested_Upcall_Crash/Makefile.am:
        * tests/No_Server_MT_Connect_Test/Makefile.am:
        * tests/OBV/Any/Makefile.am:
        * tests/OBV/Collocated/Forward/Makefile.am:
        * tests/OBV/Collocated/Makefile.am:
        * tests/OBV/Factory/Makefile.am:
        * tests/OBV/Forward/Makefile.am:
        * tests/OBV/Makefile.am:
        * tests/OBV/Simple/Makefile.am:
        * tests/OBV/TC_Alignment/Makefile.am:
        * tests/OBV/Truncatable/Makefile.am:
        * tests/OBV/ValueBox/Makefile.am:
        * tests/ORB_Local_Config/Bug_1459/Makefile.am:
        * tests/ORB_Local_Config/Bunch/Makefile.am:
        * tests/ORB_Local_Config/Makefile.am:
        * tests/ORB_Local_Config/Separation/Makefile.am:
        * tests/ORB_Local_Config/Service_Dependency/Makefile.am:
        * tests/ORB_Local_Config/Shared/Makefile.am:
        * tests/ORB_Local_Config/Simple/Makefile.am:
        * tests/ORB_Local_Config/Two_DLL_ORB/Makefile.am:
        * tests/ORB_destroy/Makefile.am:
        * tests/ORB_init/Makefile.am:
        * tests/ORB_init/Portspan/Makefile.am:
        * tests/ORB_shutdown/Makefile.am:
        * tests/ORT/Makefile.am:
        * tests/Object_Loader/Makefile.am:
        * tests/Objref_Sequence_Test/Makefile.am:
        * tests/OctetSeq/Makefile.am:
        * tests/Ondemand_Write/Makefile.am:
        * tests/Oneway_Buffering/Makefile.am:
        * tests/Oneway_Timeouts/Makefile.am:
        * tests/Oneways_Invoking_Twoways/Makefile.am:
        * tests/Optimized_Connection/Makefile.am:
        * tests/POA/Bug_2511_Regression/Makefile.am:
        * tests/POA/Current/Makefile.am:
        * tests/POA/Deactivate_Object/Makefile.am:
        * tests/POA/Default_Servant/Makefile.am:
        * tests/POA/EndpointPolicy/Makefile.am:
        * tests/POA/Etherealization/Makefile.am:
        * tests/POA/Excessive_Object_Deactivations/Makefile.am:
        * tests/POA/Identity/Makefile.am:
        * tests/POA/MT_Servant_Locator/Makefile.am:
        * tests/POA/Makefile.am:
        * tests/POA/Nested_Non_Servant_Upcalls/Makefile.am:
        * tests/POA/Non_Servant_Upcalls/Makefile.am:
        * tests/POA/Object_Reactivation/Makefile.am:
        * tests/POA/POAManagerFactory/Makefile.am:
        * tests/POA/POA_Destruction/Makefile.am:
        * tests/POA/Persistent_ID/Makefile.am:
        * tests/POA/Policies/Makefile.am:
        * tests/POA/Reference_Counting/Makefile.am:
        * tests/POA/Single_Threaded_POA/Makefile.am:
        * tests/POA/wait_for_completion/Makefile.am:
        * tests/Parallel_Connect_Strategy/Makefile.am:
        * tests/Param_Test/Makefile.am:
        * tests/Permanent_Forward/Makefile.am:
        * tests/Policies/Makefile.am:
        * tests/Portable_Interceptors/AMI/Makefile.am:
        * tests/Portable_Interceptors/AdvSlot/Makefile.am:
        * tests/Portable_Interceptors/AdvSlotDblCpy/Makefile.am:
        * tests/Portable_Interceptors/AdvSlotExt/Makefile.am:
        * tests/Portable_Interceptors/Benchmark/Makefile.am:
        * tests/Portable_Interceptors/Bug_1559/Makefile.am:
        * tests/Portable_Interceptors/Bug_2088/Makefile.am:
        * tests/Portable_Interceptors/Bug_2510_Regression/Makefile.am:
        * tests/Portable_Interceptors/Collocated/Dynamic/Makefile.am:
        * tests/Portable_Interceptors/Collocated/Makefile.am:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Makefile.am:
        * tests/Portable_Interceptors/Dynamic/Makefile.am:
        * tests/Portable_Interceptors/ForwardRequest/Makefile.am:
        * tests/Portable_Interceptors/IORInterceptor/Makefile.am:
        * tests/Portable_Interceptors/Makefile.am:
        * tests/Portable_Interceptors/ORB_Shutdown/Makefile.am:
        * tests/Portable_Interceptors/PICurrent/Makefile.am:
        * tests/Portable_Interceptors/PolicyFactory/Makefile.am:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/Makefile.am:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Makefile.am:
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/Makefile.am:
        * tests/Portable_Interceptors/Recursive_ORBInitializer/Makefile.am:
        * tests/Portable_Interceptors/Register_Initial_References/Makefile.am:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Makefile.am:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile.am:
        * tests/Portable_Interceptors/Slot/Makefile.am:
        * tests/QtTests/Makefile.am:
        * tests/Queued_Message_Test/Makefile.am:
        * tests/RTCORBA/Activate_Object_Multiple_ORBs/Makefile.am:
        * tests/RTCORBA/Banded_Connections/Makefile.am:
        * tests/RTCORBA/Client_Propagated/Makefile.am:
        * tests/RTCORBA/Client_Protocol/Makefile.am:
        * tests/RTCORBA/Collocation/Makefile.am:
        * tests/RTCORBA/Destroy_Thread_Pool/Makefile.am:
        * tests/RTCORBA/Diffserv/Makefile.am:
        * tests/RTCORBA/Dynamic_Thread_Pool/Makefile.am:
        * tests/RTCORBA/Explicit_Binding/Makefile.am:
        * tests/RTCORBA/Linear_Priority/Makefile.am:
        * tests/RTCORBA/MT_Client_Protocol_Priority/Makefile.am:
        * tests/RTCORBA/Makefile.am:
        * tests/RTCORBA/ORB_init/Makefile.am:
        * tests/RTCORBA/Persistent_IOR/Makefile.am:
        * tests/RTCORBA/Policies/Makefile.am:
        * tests/RTCORBA/Policy_Combinations/Makefile.am:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Makefile.am:
        * tests/RTCORBA/Private_Connection/Makefile.am:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/Makefile.am:
        * tests/RTCORBA/RTMutex/Makefile.am:
        * tests/RTCORBA/Server_Declared/Makefile.am:
        * tests/RTCORBA/Server_Protocol/Makefile.am:
        * tests/RTCORBA/Thread_Pool/Makefile.am:
        * tests/RTScheduling/Current/Makefile.am:
        * tests/RTScheduling/DT_Spawn/Makefile.am:
        * tests/RTScheduling/Makefile.am:
        * tests/RTScheduling/Scheduling_Interceptor/Makefile.am:
        * tests/RTScheduling/Thread_Cancel/Makefile.am:
        * tests/RTScheduling/VoidData/Makefile.am:
        * tests/Reliable_Oneways/Makefile.am:
        * tests/Sequence_Unit_Tests/Makefile.am:
        * tests/Servant_To_Reference_Test/Makefile.am:
        * tests/Server_Connection_Purging/Makefile.am:
        * tests/Server_Leaks/Makefile.am:
        * tests/Server_Port_Zero/Makefile.am:
        * tests/Single_Read/Makefile.am:
        * tests/Smart_Proxies/Benchmark/Makefile.am:
        * tests/Smart_Proxies/Collocation/Makefile.am:
        * tests/Smart_Proxies/Makefile.am:
        * tests/Smart_Proxies/On_Demand/Makefile.am:
        * tests/Smart_Proxies/Policy/Makefile.am:
        * tests/Smart_Proxies/dtor/Makefile.am:
        * tests/Stack_Recursion/Makefile.am:
        * tests/Strategies/Makefile.am:
        * tests/Timed_Buffered_Oneways/Makefile.am:
        * tests/Timeout/Makefile.am:
        * tests/Two_Objects/Makefile.am:
        * tests/Typedef_String_Array/Makefile.am:
        * tests/UNKNOWN_Exception/Makefile.am:
        * tests/Xt_Stopwatch/Makefile.am:

          New files, baseline Makefile.am's for TAO's tests subdirectory.

Wed Nov 29 13:25:46 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/On_Demand_Activation/Quoter_On_Demand_Activation.mpc:
        * docs/tutorials/Quoter/RT_Event_Service/Quoter_RT_Event_Service.mpc:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
        * examples/Load_Balancing_persistent/Load_Balancing_persistent.mpc:
        * examples/OBV/Typed_Events/Typed_Events.mpc:
        * examples/POA/Adapter_Activator/POA_Adapter_Activator.mpc:
        * examples/POA/Default_Servant/POA_Default_Servant.mpc:
        * examples/POA/DSI/POA_DSI.mpc:
        * examples/POA/Explicit_Activation/POA_Explicit_Activation.mpc:
        * examples/POA/FindPOA/POA_FindPOA.mpc:
        * examples/POA/Forwarding/POA_Forwarding.mpc:
        * examples/POA/Generic_Servant/POA_Generic_Servant.mpc:
        * examples/POA/Loader/POA_Loader.mpc:
        * examples/POA/NewPOA/POA_NewPOA.mpc:
        * examples/POA/On_Demand_Activation/POA_On_Demand_Activation.mpc:
        * examples/POA/On_Demand_Loading/POA_On_Demand_Loading.mpc:
        * examples/POA/POA_BiDir/POA_BiDir.mpc:
        * examples/POA/Reference_Counted_Servant/Reference_Counted_Servant.mpc:
        * examples/POA/TIE/POA_TIE.mpc:
        * examples/Quoter/Quoter.mpc:
        * examples/TypeCode_Creation/TypeCode_Creation.mpc:
        * orbsvcs/examples/Notify/Lanes/Notify_Lanes.mpc:
        * orbsvcs/examples/Notify/Subscribe/Notify_Subscribe.mpc:
        * orbsvcs/examples/Notify/ThreadPool/Notify_ThreadPool.mpc:
        * orbsvcs/examples/ORT/ORT.mpc:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.mpc:
        * orbsvcs/IFR_Service/IFR_Service.mpc:
        * orbsvcs/orbsvcs/IFRService.mpc:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/Colocated_Roundtrip.mpc:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/Federated_Roundtrip.mpc:
        * orbsvcs/performance-tests/RTEvent/lib/RTEC_Perf.mpc:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/Roundtrip.mpc:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/RTCORBA_Baseline.mpc:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/RTCORBA_Callback.mpc:
        * orbsvcs/performance-tests/RTEvent/TCP_Baseline/TCP_Baseline.mpc:
        * orbsvcs/tests/Bug_2074_Regression/Bug_2074_Regression.mpc:
        * orbsvcs/tests/Bug_2247_Regression/Bug_2247_Regression.mpc:
        * orbsvcs/tests/Bug_2248_Regression/Bug_2248_Regression.mpc:
        * orbsvcs/tests/FT_App/FT_App.mpc:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/Bug_2604.mpc:
        * orbsvcs/tests/ImplRepo/NameService/ImplRepo_NameService.mpc:
        * orbsvcs/tests/InterfaceRepo/Application_Test/IFR_Application_Test.mpc:
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/IFR_IDL3_Test.mpc:
        * orbsvcs/tests/InterfaceRepo/IFR_Test/IFR_IFR_Test.mpc:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/IFR_Persistence_Test.mpc:
        * orbsvcs/tests/Notify/performance-tests/Filter/Filter.mpc:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.mpc:
        * orbsvcs/tests/Notify/RT_lib/RT_Notify_lib.mpc:
        * orbsvcs/tests/tests_svc_loader/tests_svc_loader.mpc:
        * performance-tests/Cubit/TAO/DII_Cubit/DII_Cubit.mpc:
        * performance-tests/Latency/Deferred/Deferred.mpc:
        * performance-tests/Latency/DII/DII.mpc:
        * performance-tests/Latency/DSI/DSI.mpc:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/Common.mpc:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/ORB_Per_Priority.mpc:
        * performance-tests/RTCorba/Oneways/Reliable/Reliable.mpc:
        * performance-tests/RTCorba/Thread_Pool/Thread_Pool.mpc:
        * performance-tests/Sequence_Latency/Deferred/Deferred.mpc:
        * performance-tests/Sequence_Latency/DII/DII.mpc:
        * performance-tests/Sequence_Latency/DSI/DSI.mpc:
        * tao/EndpointPolicy.mpc:
        * tests/Bug_1535_Regression/Bug_1535_Regression.mpc:
        * tests/Bug_1636_Regression/test.mpc:
        * tests/Bug_2174_Regression/Bug_2174_Regression.mpc:
        * tests/Faults/Faults.mpc:
        * tests/File_IO/File_IO.mpc:
        * tests/ICMG_Any_Bug/Hello.mpc:
        * tests/MProfile_Forwarding/MProfile_Forwarding.mpc:
        * tests/Param_Test/Param_Test.mpc:
        * tests/POA/Bug_2511_Regression/Bug_2511_Regression.mpc:
        * tests/POA/Default_Servant/Default_Servant.mpc:
        * tests/POA/EndpointPolicy/EndpointPolicy.mpc:
        * tests/POA/Etherealization/Etherealization.mpc:
        * tests/POA/MT_Servant_Locator/MT_Servant_Locator.mpc:
        * tests/POA/Nested_Non_Servant_Upcalls/Nested_Non_Servant_Upcalls.mpc:
        * tests/POA/POAManagerFactory/POAManagerFactory.mpc:
        * tests/POA/Single_Threaded_POA/Single_Threaded_POA.mpc:
        * tests/RTCORBA/Diffserv/RTCORBA_Diffserv.mpc:
        * tests/RTCORBA/Dynamic_Thread_Pool/RT_Dynamic_Thread_Pool.mpc:
        * tests/RTCORBA/Explicit_Binding/RTCORBA_Explicit_Binding.mpc:
        * tests/RTCORBA/Linear_Priority/RTCORBA_Linear_Priority.mpc:
        * tests/RTCORBA/MT_Client_Protocol_Priority/RTCORBA_MT_Client_Proto_Prio.mpc:
        * tests/RTCORBA/Persistent_IOR/RTCORBA_Persistent_IOR.mpc:
        * tests/RTCORBA/Policies/Policies.mpc:
        * tests/RTCORBA/Policy_Combinations/RTCORBA_Policy_Combinations.mpc:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Priority_Inversion_With_Bands.mpc:
        * tests/RTCORBA/Private_Connection/RTCORBA_Private_Connection.mpc:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/PaE_Selection.mpc:
        * tests/RTCORBA/Server_Protocol/RTCORBA_Server_Protocol.mpc:
        * tests/RTCORBA/Thread_Pool/RTCORBA_Thread_Pool.mpc:
        * tests/Servant_To_Reference_Test/Servant_to_Reference.mpc:
          Added avoids_corba_e_compact as base project, these all
          have also avoids_minimum_corba, so it was just a search/
          replace.

Wed Nov 29 12:07:46 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          When generating the A.h file we don't need to generate an include
          of another A.h file when we include a .idl file

Wed Nov 29 02:51:19 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefiles for new unit test subdirectories.

        * examples/Makefile.am:

          Regenerate to descend into CSD_Strategy subdirectory.

        * examples/CSD_Strategy/ThreadPool/Makefile.am:
        * examples/CSD_Strategy/ThreadPool2/Makefile.am:
        * examples/CSD_Strategy/ThreadPool3/Makefile.am:
        * examples/CSD_Strategy/ThreadPool5/Makefile.am:
        * examples/CSD_Strategy/ThreadPool6/Makefile.am:

          Regenerate.

        * examples/CSD_Strategy/ThreadPool/CSD_Test_ThreadPool.mpc:
        * examples/CSD_Strategy/ThreadPool2/CSD_Test_ThreadPool2.mpc:
        * examples/CSD_Strategy/ThreadPool3/CSD_Test_ThreadPool3.mpc:
        * examples/CSD_Strategy/ThreadPool5/CSD_Test_ThreadPool5.mpc:
        * examples/CSD_Strategy/ThreadPool6/CSD_Test_ThreadPool6.mpc:

          Split out IDL compilation into separate MPC project.

        * tao/Makefile.am:

          Regenerate.

Wed Nov 29 000:11:49 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynAnyUtils_T.h:

          Removed some 'typename' qualifiers that Visual Studio seems
          fine with either way, but which may be causing problems
          with gcc.

Tue Nov 28 22:44:08 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynStruct_i.cpp:

          Fixed typo (case error) in #include directive.

        * tao/AnyTypeCode/BasicTypeTraits.h:

          Replace forward declaration of enum TCKind with #include of
          tao/Typecode_typesC.h to eliminate gcc complaints.

Tue Nov 28 22:17:08 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/BasicTypeTraits_T.h:

          Added missing newline at the end of the file. Thanks to
          Phil Mesnier <mesnier_p@ociweb.com> for reporting it.

Tue Nov 28 21:00:28 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/lex.yy.cpp.diff:

          Applied patch sent by Chad Elliott <elliott_c@ociweb.com>.

Tue Nov 28 20:03:21 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/ImplRepo/run_test.pl:
          Improvement to the script for running on platforms with many
          endpoints, such as those with IPv6. These improvements were
          motivated by the discovery that the use of environment variables
          by the ImplRepo Activator leads to trouble if the IMR IOR is
          particularly long, which can happen if multiple profiles are
          included in the IOR.

Tue Nov 28 19:32:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/BasicTypeTraits.cpp:
        * tao/AnyTypeCode/BasicTypeTraits.h:
        * tao/AnyTypeCode/BasicTypeTraits_T.h:

          New files, defining and specializing template
          utilities for using Anys and typecodes with
          IDL basic types.

        * tao/AnyTypeCode.mpc:

          Added new files described above.

        * tao/DynamicAny/DynAnyUtils_T.h:

          New file containing templatized code factored
          out from the insert_* and get_* methods, and
          using the AnyTypeCode utilities described above.
          Also contains code factored out from
          DynAnyFactory methods.

        * tao/DynamicAny/DynValue_i.cpp:
        * tao/DynamicAny/DynAnyFactory.h:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynCommon.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynCommon.h:
        * tao/DynamicAny/DynValueBox_i.cpp:
        * tao/DynamicAny/DynValueCommon_i.cpp:
        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:
        * tao/DynamicAny/DynUnion_i.h:
        * tao/DynamicAny/DynAnyFactory.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:

          - Added implementations of get_*_seq()
            and insert_*_seq(), spec-defined
            methods for each IDL basic type.

          - Added implementation of insert_abstract()
            and get_abstract().

          - Factored out code from existing insert_*
            and get_* methods to templatized
            utility code described above.

          - Factored out code from DynAnyFactory
            methods similarly.

          - Fixed bug in get_reference() and get_val()
            that (incorrectly) took ownership of the
            dynamic any's contents. Thanks to Phil
            Mesnier <mesnier_p@ociweb.com> for
            reporting the bug.

        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/AbstractBase.cpp:

          Added declaration and definition of typecode
          for AbstractBase.

        * tao/Valuetype/ValueBase.h:
        * tao/Valuetype/ValueBase.cpp:

          Added virtual _tao_type() method that returns
          the associated typecode polymorphically. This
          method is a TAO extension, and is for internal
          use only (currently used in Any insertion
          operators for valuetypes - see below). It
          does not make a copy.

        * docs/dynany/index.html:

          Updated documentation to include the changes
          described above.

        * tests/DynAny_Test/test_dynstruct.cpp:
        * tests/DynAny_Test/test_dynany.cpp:
        * tests/DynAny_Test/test_dynunion.cpp:
        * tests/DynAny_Test/data.cpp:
        * tests/DynAny_Test/data.h:
        * tests/DynAny_Test/test_dynenum.cpp:
        * tests/DynAny_Test/test_dynsequence.cpp:
        * tests/DynAny_Test/analyzer.cpp:
        * tests/DynAny_Test/test_dynarray.cpp:
        * tests/DynAny_Test/analyzer.h:
        * tests/DynAny_Test/driver.cpp:
        * tests/DynAny_Test/da_tests.idl:

          Updated tests to cover some of the new Dynamic Any
          methods described above.

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:

          Changed code that uses DynamicAnyFactory method,
          a consequence of the refactoring in Dynamic Any
          described above.

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_field/field_ch.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_interface_fwd.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/idl.ll:

          - Fixed bugs in code generation for eventtypes. Thanks
            to Ming Xiong <mxiong@dre.vanderbilt.edu> for
            reporting a problem with anonymous sequence eventtype
            members that led to the discovery of the other
            inconsistencies.

          - Added patches to the lex file and to the corresponding
            generated C++ file that (1) corrects inconsistencies
            between these two files and (2) fixes problems with
            the SunCC preprocessor. Also patched the corresponding
            lex.yy.cpp.diff file. Thanks to Chad Elliott
            <elliott_c@ociweb.com> for supplying the patches.

          - Added generation of virtual _tao_type() method for
            valuetypes (and eventtypes), as well as use of this
            method in the corresponding Any insertion operators.
            These changes make Any insertion completely polymorphic
            for valuetypes and eventtypes. These changes include
            boxed valuetypes.

          - Fixed a bug in the handling of #pragma prefix directives
            when they occur before included IDL files. Thanks to
            Viola Wang <vwang@eso.org> for reporting the problem.
            This change closes [BUGID:2714].

        * NEWS:

          Added items listing the new Dynamic Any methods.

Tue Nov 28 17:01:44 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/TAO_Internal.cpp:
          Fix to restore processing of the -ORBNegotiateCodesets 1
          option.

        * tests/Oneway_Timeouts/client.cpp:
          Reimplement the timeout evaluation to avoid the use of
          std::abs() as that function is not available on 64-bit windows
          builds using the intel c++ compiler with VC 7.1 IDE.

Tue Nov 28 16:54:36 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/utl_err.h (version_syntax_error):
        * TAO_IDL/fe/lex.yy.cpp (idl_store_pragma):
        * TAO_IDL/fe/idl.ll (idl_store_pragma):
        * TAO_IDL/util/utl_err.cpp (version_syntax_error):

          Qualified the char* parameter in the signature of the
          recently-added version_syntax_error() with 'const'. Also
          qualified the char* arg passed to it in idl_store_pragma()
          similarly, since the rhs of this arg initialization is
          a string literal, and thus causes a warning on some
          compilers.

Tue Nov 28 13:46:55 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Makefiles for new unit test subdirectories.

        * orbsvcs/tests/Event/Makefile.am:
        * orbsvcs/tests/ImplRepo/Makefile.am:

          Regenerate to descend into new test subdirectories.

        * orbsvcs/tests/Event/UDP/Makefile.am:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/Makefile.am:

          New files, Makefile.am's for newly supported unit tests.

        * orbsvcs/tests/Event/UDP/RtEC_UDP.mpc:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/Bug_2604.mpc:

          Split out IDL compilation into separate MPC project.

Tue Nov 28 09:32:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Bounded_Basic_String_Sequence_T.h:
          Fixed doxygen errors

        * tao/Unbounded_Basic_String_Sequence_T.h:
          Improved doxygen documentation

Mon Nov 27 21:03:53 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:

          - Cosmetic changes to source code, mostly addition of
            braces around single-line IF bodies.

          - Cosmetic changes to generated code, to keep line
            lengths less than 80 characters.

        * TAO_IDLbe/be_visitor_typecode/typecode_defn.cpp:

          Changed check to tell if interface or valuetype members
          are defined, and thus if they need a forward declared
          typecode generated. This need for this change is a
          consequence of recent changes in the way forward
          declared interfaces and valuetypes are handled.

        * TAO_IDLast/ast_interface_fwd.cpp:

          Removed an unnecessary line of source code.

Mon Nov 27 17:34:21 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/util/utl_err.cpp:

          Added error check in #pragma version parsing, and a new
          error message to output if an error is found with this
          check. Since the only related error that was checked
          for and reported before was an invalid version number,
          an additional case was needed for a more general syntax
          error. Thanks to Johnny Willemsen <jwillemsen@remedy.nl>
          for supplying the example IDL that caused a crash due
          to the lack of this error checking. This fix closes
          [BUGID:2728].

Mon Nov 27 14:46:18 UTC 2006  Vadym Ridosh <vridosh@prismtech.com>

        * tests/Bug_2709_Regression/Bug_2709_Regression.mpc
        * tests/Bug_2709_Regression/client.cpp
        * tests/Bug_2709_Regression/Client_Task.cpp
        * tests/Bug_2709_Regression/Client_Task.h
        * tests/Bug_2709_Regression/README
        * tests/Bug_2709_Regression/run_test.pl
        * tests/Bug_2709_Regression/server.cpp
        * tests/Bug_2709_Regression/Server_Task.cpp
        * tests/Bug_2709_Regression/Server_Task.h
        * tests/Bug_2709_Regression/Test.idl
        * tests/Bug_2709_Regression/TestImpl.cpp
        * tests/Bug_2709_Regression/TestImpl.h
          Added a regression for bug 2709.

Mon Nov 27 14:29:38 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/tao.mpc:
        * tao/AnyTypeCode.mpc:

          Move list generated typecode (*A.h) header files from tao.mpc
          to AnyTypeCode.mpc.  Even though the files are generated from
          rules in tao.mpc, they belong in AnyTypeCode.mpc (the sources
          are compiled there, etc.).  This also helps with a latent MPC
          bug that expressed itself in the borland builds, where the
          directory separator was not changed from '/' to '\'.

Mon Nov 27 12:50:48 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * tao/Object.h:
        * tao/Object.cpp:

          Provide hooks to enable custom Object to IOR conversion or
          allowing local objects (such as Smart Proxies) to be converted to
          an IOR string.

        * tao/ORB.cpp:

          Utilize the new hooks when performing the Object to IOR string
          conversion.

        * tests/Smart_Proxies/Smart_Proxy_Impl.h:
        * tests/Smart_Proxies/Smart_Proxy_Impl.cpp:
        * tests/Smart_Proxies/client.cpp:
        * tests/Smart_Proxies/run_test.pl:

          This test has been modified to implement both aforementioned
          hooks and perform comparisons to ensure that the right thing has
          been done.

Mon Nov 27 09:31:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/HTTP_Client.h:
        * tao/HTTP_Handler.h:
          Export these classes from the TAO lib. These can be reused then
          by several parts in CIAO and that way we don't have code
          duplication and smaller footprint

Mon Nov 27 08:17:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * *.mpc:
          Removed exceptions as base project because TAO already requires
          exceptions and renamed minimum_corba to avoids_minimum_corba

Mon Nov 27 08:04:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        Document the changes I have done last weekend to resolve link
        problems with vc8. With vc8 we now explicitly export the base
        templates for the basic sequences. This also requires that
        applications do import these base templates which in practice
        means that when you use any of the sequences of basic types
        you must include (in)directly the ones in the corba library.
        If you don't do that you get compile/link errors related
        to the basic sequences

        * tao/tao.mpc:
          Enabled -Gse for ULongLongSeq

        * orbsvcs/performance-tests/RTEvent/lib/Federated_Test.idl:
          Use the CORBA::ULongLongSeq predefined typedef

        * orbsvcs/orbsvcs/CosTrading.idl:
        * orbsvcs/orbsvcs/SecurityLevel3.idl:
          Include a pidl file from core to get the import of the
          base template

        * tests/Portable_Interceptors/PICurrent/client.cpp:
          Check also the length of the returned sequence

Sun Nov 26 02:41:57 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/tests/Event/Makefile.am:
        * orbsvcs/tests/ImplRepo/Makefile.am:

          Hand tweak to avoid subdirectories that aren't yet supported.

Sat Nov 25 13:56:43 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/ec_typed_events_idl.mpb:

          Add -GT to idlflags.  We generate tie classes for the untyped
          CosEvent interfaces, we should do the same for the typed ones
          for symmetry.

Fri Nov 24 14:04:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/Bounded_String.cpp:
          Updated because of string sequence changes earlier today

Fri Nov 24 13:45:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/PICurrent/client.cpp:
          Added a test for bugzilla 2656

        * tao/Stub.cpp (get_policy_overrides):
          When policies is zero, return an empty sequence instead of
          a nill pointer. This fixes bugzilla 2656. Thanks to
          Richard Ridgway <Richard_Ridgway at ml dot com> for
          delivering the test extension and the patch for this file.

Fri Nov 24 13:43:44 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure Bug_2615_Regression unit test.

        * orbsvcs/tests/Makefile.am:

          Regenerated to include Bug_2615_Regression subdirectory.

        * orbsvcs/tests/Bug_2615_Regression/Makefile.am:

          New file, Makefile.am for new-ish unit test.

Fri Nov 24 13:39:13 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure RTCORBA Quoter tutorial.

        * docs/tutorials/Quoter/Makefile.am

          Regenerated to include RTCORBA subdirectory.

        * docs/tutorials/Quoter/RTCORBA/Makefile.am

          New file, Makefile.am for new-ish tutorial.

Fri Nov 24 13:24:56 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * performance-tests/Cubit/TAO/DII_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/IDL_Cubit/Makefile.am:

          Regenerated.

Fri Nov 24 13:21:52 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added AM_CONDITIONAL for BUILD_STL and BUILD_BOOST, so we can
          generate Makefile.am's with these options.  Default to false,
          until we can write feature tests for these options.

Fri Nov 24 13:21:00 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/ec_typed_events_skel.mpb:

          Removed *S_T.inl files from the Inline_Files section.

Fri Nov 24 13:19:24 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated.

        * tao/Strategies.mpc:

          Clear PIDL_Files section as the Strategies *.pidl files are
          processed within the IDL_Files section, and this results in
          duplicate entries.

Fri Nov 24 09:32:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Bounded_Basic_String_Sequence_T.h:
        * tao/Unbounded_Basic_String_Sequence_T.h:
          Moved these templates from TAO::details to TAO namespace because
          we are going to move these templates directly

        * tao/Bounded_String_Sequence_T.h:
        * tao/Bounded_Wstring_Sequence_T.h:
        * tao/Unbounded_String_Sequence_T.h:
        * tao/Unbounded_Wstring_Sequence_T.h:
          Removed, not used anymore, the IDL compiler uses the basic string
          sequence directly.

        * TAO_IDL/be/be_visitor_template_export.cpp:
          Removed special handling for (w)string sequences

        * TAO_IDL/be/be_sequence.cpp:
          Changed generation to use basic string sequence template directly

        * tao/Sequence_T.h:
        * tao/tao.mpc:
          Removed the files that got removed

        * tao/Unbounded_Sequence_CDR_T.h:
        * tao/Bounded_Sequence_CDR_T.h:
          Updated because of the move of the basic string sequence files
          from TAO::details to TAO

Fri Nov 24 06:28:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
          Don't use -Gse for ULongLongSeq at this moment, vc8 seems to
          have a problem with this file

Thu Nov 23 14:51:05 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Makefile.am:

          Regenerated.

Thu Nov 23 14:20:33 UTC 2006  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/orbsvcs/IFRService/IFR_Service_Loader.cpp:

          (Hopefully) fix Borland warning.

Thu Nov 23 14:15:47 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/CosEvent.mpc:

          Removed *S_T.inl files from the Inline_Files section.

Thu Nov 23 13:08:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
          Readded -Gse again

        * TAO_IDL/be/be_codegen.cpp:
          Fixed wrong comment in A.h generation

        * TAO_IDL/be/be_interface.cpp:
          Const improvement

        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
          Removed some unneeded c-style casts

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
          Small code change to define the local variable and assign
          it on the same line.

        * TAO_IDL/be/be_visitor_template_export.cpp:
          Added special handling for octet/wstring and string sequences.
          Removed generation of long comment why we explicitly
          export the base templates, not usefull in generated code

        * TAO_IDL/util/utl_global.cpp:
          Removed spaces.

        * tao/PolicyC.cpp:
          Removed not needed Borland pragma option

Thu Nov 23 12:01:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
          Removed -Gse for the sequence files, causes some problems
          on the scoreboard.

Thu Nov 23 11:11:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Release:
          Changed TAO_ACE* to TAO_*mwc. That prevents that the TAO_ACE*.sln
          files are added twice to the tar archive. This fixes bug 2680

Thu Nov 23 10:57:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2669_Regression/Child.idl:
        * tests/Bug_2669_Regression/client.cpp:
          Added a regression for bug 2714 which hasn't been fixed yet.

Thu Nov 23 07:41:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
          Simplified the idlflags to put the common flags for all pidl files
          at the top of this file. Added regeneration of OctetSeq.pidl
          and UShortSeq.pidl, these can now be regenerated using the new
          -Gse option which is enabled for all sequence files

        * tao/OctetSeqC.{h,cpp}:
        * tao/UShortSeqC.{h,cpp}:
        * tao/OctetSeqS.h:
        * tao/UShortSeqS.h:
        * tao/AnyTypeCode/OctetSeqA.{h,cpp}:
        * tao/AnyTypeCode/UShortSeqA.{h,cpp}:
        * tao/diffs/OctetSeq.diff:
        * tao/diffs/UShortSeq.diff:
          Removed all these files, they are not regenerated as part of the
          build.

        * tao/OctetSeq.pidl:
        * tao/UShortSeq.pidl:
          Removed remark about applying a diff

Thu Nov 23 06:47:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/IDL_Cubit/IDL_Cubit.mpc:
          Also don't build the server when ace_for_tao is enabled

        * performance-tests/Cubit/TAO/DII_Cubit/DII_Cubit.mpc:
          Don't build in ace_for_tao

Thu Nov 23 03:20:04 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

        * orbsvcs/orbsvcs/CosTrading.mpc:
        * orbsvcs/orbsvcs/RTEventLogAdmin.mpc:
        * orbsvcs/orbsvcs/CosNotification.mpc:
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.mpc:
        * orbsvcs/orbsvcs/DsLogAdmin.mpc:
        * orbsvcs/orbsvcs/CosNaming_Skel.mpc:
        * orbsvcs/orbsvcs/DsEventLogAdmin.mpc:
        * orbsvcs/orbsvcs/CosProperty.mpc:

          Removed *S_T.* files from the Header_Files, Inline_Files, and
          Template_Files sections, corresponding to the recent change to
          orbsvcslib.mpb which removed -GT from the command line options
          passed to tao_idl.

Thu Nov 23 01:05:04 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
          Fix typo in ACE_Get_Opt option specification which made it
          impossible to specify the number of threads.

Wed Nov 22 22:20:12 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * TAO_IDL/Makefile.am:

          Regenerated.

Wed Nov 22 20:29:03 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:

          Regenerated.

Wed Nov 22 20:18:50 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_template_export.cpp:
        * TAO_IDL/be_include/be_visitor_template_export.h:

          New files, defining a new visitor that optionally
          generates an explicit export of the template base class
          of the C++ class generated for an IDL sequence. This
          visitor is triggered by the new command line option
          described below, and is intended as a workaround for a
          bug in Visual Studio. This fixes bugzilla 2703.

        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be_include/be_global.h:

          - Added new command line option -Gse that will trigger the
            generation of an explicit export described above.

          - Fixed call to lookup_by_name() when it is used to locate
            CCMObject in the AST and store it for future access in
            the backend global data class. An additional argument
            was recently added to lookup_by_name() and should have
            been used in this call but wasn't. Thanks to Johnny
            Willemsen <jwillemsen@remedy.nl> for reporting the
            resulting incorrect code generation in the copy
            constructor for components. This fixes bugzilla 2724.

        * TAO_IDL/be/be_interface.cpp:

          Cosmetic changes.

        * docs/releasenotes/index.html:
        * docs/compiler.html:

          Updated IDL compiler documentation with the new command line
          option.

Wed Nov 22 19:17:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosEvent.mpc:
        * orbsvcs/orbsvcs/RTEvent.mpc:
          Add -GT to the idlflags because we have some examples that use
          the TIE files from these services

Wed Nov 22 18:50:59 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Log_i.cpp:

          Now the infinite recursion problem has been resolved, we invoke
          TAO_LogMgr_i::create_log_reference() from TAO_Log_i::init() and
          stash it away in a member variable.  This allows us to remove
          the code that lazily obtained the object reference within the
          active data path of the server.

        * orbsvcs/orbsvcs/Log/LogMgr_i.cpp:

          Changed TAO_LogMgr_i::create_log_reference() to use
          _unchecked_narrow() while narrowing the object reference.  This
          avoids the infinite recursion which occurred with _narrow() when
          this was called by the servant activator's incarnate() method.


Wed Nov 22 18:48:02 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:

          Remove extraneous ACE_DEBUG's in destructor.

Wed Nov 22 18:42:53 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/examples/Log/Event/run_test.pl:
        * orbsvcs/examples/Log/RTEvent/run_test.pl:
        * orbsvcs/examples/Log/Notify/run_test.pl:

          Increase timeout so that test passes on slower systems.

Wed Nov 22 15:38:40 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * tao/Version.h:

          Remove extraneous whitespace from TAO_VERSION macro definition.

Wed Nov 22 15:14:51 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/lib/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/Makefile.am:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/Makefile.am:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/Makefile.am:
        * orbsvcs/tests/Event/Makefile.am:
        * orbsvcs/tests/Simple_Naming/Makefile.am:
        * orbsvcs/tests/ImplRepo/Makefile.am:
        * orbsvcs/tests/EC_Custom_Marshal/Makefile.am:
        * orbsvcs/tests/Trading/Makefile.am:
        * orbsvcs/tests/BiDir_CORBALOC/Makefile.am:
        * orbsvcs/tests/Bug_2377_Regression/Makefile.am:
        * orbsvcs/tests/Security/ssliop_corbaloc/Makefile.am:
        * orbsvcs/tests/Redundant_Naming/Makefile.am:
        * orbsvcs/tests/Interoperable_Naming/Makefile.am:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Makefile.am:
        * orbsvcs/tests/Notify/lib/Makefile.am:
        * orbsvcs/tests/FT_App/Makefile.am:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Makefile.am:
        * orbsvcs/ImplRepo_Service/Makefile.am:
        * orbsvcs/examples/CosEC/TypedSimple/Makefile.am:
        * orbsvcs/examples/CosEC/Factory/Makefile.am:
        * orbsvcs/examples/LoadBalancing/Makefile.am:
        * tao/Makefile.am:
        * docs/tutorials/Quoter/idl/Makefile.am:
        * performance-tests/Sequence_Latency/DSI/Makefile.am:
        * performance-tests/Sequence_Latency/Deferred/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Pool/Makefile.am:
        * performance-tests/Sequence_Latency/Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/DII/Makefile.am:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Sequence_Latency/AMI/Makefile.am:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Makefile.am:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/Makefile.am:
        * performance-tests/Callback/Makefile.am:
        * performance-tests/Latency/DSI/Makefile.am:
        * performance-tests/Latency/Deferred/Makefile.am:
        * performance-tests/Latency/Thread_Pool/Makefile.am:
        * performance-tests/Latency/Single_Threaded/Makefile.am:
        * performance-tests/Latency/DII/Makefile.am:
        * performance-tests/Latency/AMH_Single_Threaded/Makefile.am:
        * performance-tests/Latency/AMI/Makefile.am:
        * performance-tests/Latency/Thread_Per_Connection/Makefile.am:
        * performance-tests/Cubit/TAO/MT_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/DII_Cubit/Makefile.am:
        * performance-tests/Cubit/TAO/IDL_Cubit/Makefile.am:
        * performance-tests/Throughput/Makefile.am:
        * examples/POA/TIE/Makefile.am:
        * examples/Kokyu_dsrt_schedulers/Makefile.am:
        * examples/RTScheduling/Fixed_Priority_Scheduler/Makefile.am:
        * examples/RTScheduling/MIF_Scheduler/Makefile.am:
        * examples/CSD_Strategy/ThreadPool6/Makefile.am:
        * examples/RTCORBA/Activity/Makefile.am:
        * examples/AMH/Sink_Server/Makefile.am:
        * examples/mfc/Makefile.am:
        * examples/AMI/FL_Callback/Makefile.am:
        * examples/PluggableUDP/tests/Basic/Makefile.am:
        * examples/PluggableUDP/tests/Performance/Makefile.am:
        * examples/PluggableUDP/tests/SimplePerformance/Makefile.am:

          Regenerated.

Wed Nov 22 12:34:29 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.inl:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerService_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicyFactory.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientService_Activate.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicyFactory.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORBInitializer.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicy_i.inl:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerService_Activate.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicyFactory.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientService_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerORBInitializer.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicyFactory.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicy_i.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.h:
        * orbsvcs/tests/Bug_2137_Regression/README:
        * orbsvcs/tests/Bug_2137_Regression/client.cpp:
        * orbsvcs/tests/Bug_2137_Regression/Bug_2137_Regression.mpc:
        * orbsvcs/tests/Bug_2248_Regression/Server_Request_Interceptor.h:
        * orbsvcs/tests/Bug_2248_Regression/test.idl:
        * orbsvcs/tests/Bug_2248_Regression/server.cpp:
        * orbsvcs/tests/Bug_2248_Regression/Server_ORBInitializer.cpp:
        * orbsvcs/tests/Bug_2248_Regression/README:
        * orbsvcs/tests/Bug_2248_Regression/client.cpp:
        * orbsvcs/tests/Bug_2248_Regression/Server_ORBInitializer.h:
        * orbsvcs/tests/Bug_2248_Regression/client.h:
        * orbsvcs/tests/Bug_2248_Regression/test_i.cpp:
        * orbsvcs/tests/Bug_2248_Regression/tests.idl:
        * orbsvcs/tests/Bug_2248_Regression/Bug_2248_Regression.mpc:
        * orbsvcs/tests/Bug_2248_Regression/Client_i.h:
        * orbsvcs/tests/Bug_2248_Regression/test_i.h:
        * orbsvcs/tests/Bug_2248_Regression/Server_Request_Interceptor.cpp:
        * orbsvcs/tests/Bug_2247_Regression/Manager.h:
        * orbsvcs/tests/Bug_2247_Regression/test.idl:
        * orbsvcs/tests/Bug_2247_Regression/server.cpp:
        * orbsvcs/tests/Bug_2247_Regression/test_i.cpp:
        * orbsvcs/tests/Bug_2247_Regression/Bug_2247_Regression.mpc:
        * orbsvcs/tests/Bug_2247_Regression/Manager.cpp:
        * orbsvcs/tests/Bug_2247_Regression/Client_i.h:
        * orbsvcs/tests/Bug_2247_Regression/README:
        * orbsvcs/tests/Bug_2247_Regression/test_i.h:
        * orbsvcs/tests/FT_App/FT_ReplicationManagerController.cpp:
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.cpp:
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.h:
        * orbsvcs/Logging_Service/Event_Logging_Service/README:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/README:
        * orbsvcs/Logging_Service/Notify_Logging_Service/README:
        * tao/PortableServer/Servant_var.inl:
        * tao/PortableServer/Servant_var.cpp:
        * tao/PortableServer/Servant_var.h:
        * tao/Incoming_Message_Stack.inl:
        * tao/Incoming_Message_Stack.h:
        * tests/Bug_2222_Regression/test.cpp:
        * tests/Bug_2222_Regression/Bug_2222_Regression.mpc:
        * tests/Bug_2222_Regression/TestCase.idl:
        * tests/Bug_2222_Regression/TestType.idl:
        * tests/Bug_2144_Regression/test.cpp:
        * tests/Bug_2144_Regression/Bug_2144_Regression.mpc:
        * tests/Bug_2144_Regression/test.idl:
        * tests/Bug_2144_Regression/README:
        * tests/QtTests/client.cpp:
        * tests/QtTests/client.h:
        * tests/QtTests/test.idl:
        * tests/QtTests/server.cpp:
        * tests/QtTests/test_i.cpp:
        * tests/QtTests/test_i.h:
        * tests/Bug_2375_Regression/test.cpp:
        * tests/Bug_2375_Regression/test.idl:
        * tests/Bug_2375_Regression/Bug_2375_Regression.mpc:
        * tests/Bug_2375_Regression/README:
        * tests/Bug_1812_Regression/test.cpp:
        * tests/Bug_1812_Regression/Bug_1812_Regession.mpc:
        * tests/Bug_1812_Regression/Test.idl:
        * tests/MProfile_Forwarding/Servant_Locator.cpp:
        * tests/MProfile_Forwarding/test.idl:
        * tests/MProfile_Forwarding/server.cpp:
        * tests/MProfile_Forwarding/test_i.inl:
        * tests/MProfile_Forwarding/Servant_Locator.h:
        * tests/Permanent_Forward/Permanent_Forward.mpc:
        * tests/Permanent_Forward/README:
        * tests/Permanent_Forward/StubTest.cpp:
        * tests/ICMG_Any_Bug/client.cpp:
        * tests/ICMG_Any_Bug/HelloWorld.h:
        * tests/ICMG_Any_Bug/Hello.cpp:
        * tests/ICMG_Any_Bug/server.cpp:
        * tests/ICMG_Any_Bug/Hello.h:
        * tests/Bug_2183_Regression/client.cpp:
        * tests/Bug_2183_Regression/Hello.cpp:
        * tests/Bug_2183_Regression/Test.idl:
        * tests/Bug_2183_Regression/server.cpp:
        * tests/Bug_2183_Regression/Bug_2183_Regression.mpc:
        * tests/Bug_2183_Regression/Hello.h:
        * tests/Bug_2183_Regression/README:
        * tests/IDL_Test/array_only.idl:
        * tests/Bug_1813_Regression/test.cpp:
        * tests/Bug_1813_Regression/Bug_1813_Regession.mpc:
        * tests/Bug_1813_Regression/Test.idl:
        * examples/RTCORBA/Activity/Job.idl:
        * examples/RTCORBA/Activity/README:
        * examples/Load_Balancing_persistent/Identity_i.cpp:
        * examples/Load_Balancing_persistent/Load_Balancing_Service.h:
        * examples/Load_Balancing_persistent/Identity_i.h:
        * examples/Load_Balancing_persistent/README:
        * examples/Load_Balancing_persistent/Load_Balancer_i.cpp:
        * examples/Load_Balancing_persistent/Identity.idl:
        * examples/Load_Balancing_persistent/Identity_Server.cpp:
        * examples/Load_Balancing_persistent/Load_Balancer_i.h:
        * examples/Load_Balancing_persistent/Identity_Server.h:
        * examples/Load_Balancing_persistent/Identity_Client.cpp:
        * examples/Load_Balancing_persistent/Identity_Client.h:
        * examples/Load_Balancing_persistent/Load_Balancer.idl:
        * examples/Load_Balancing_persistent/Load_Balancing_Service.cpp:

          Removed svn:executable property.

Wed Nov 22 11:51:49 UTC 2006  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/IFR_Service/IFR_Server.cpp:
        * orbsvcs/IFR_Service/IFR_Service.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Loader.cpp:
        * orbsvcs/orbsvcs/IFRService/Options.cpp:

          Make IFR exit when it receives an invalid startup option and improve
          usage message. Fixes bugzilla #2720.

Wed Nov 22 11:39:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/FlResource/FlResource_Factory.cpp:
        * tao/FlResource/FlResource_Factory.h:
        * tao/QtResource/QtResource_Factory.cpp:
        * tao/QtResource/QtResource_Factory.h:
        * tao/TkResource/TkResource_Factory.cpp:
        * tao/TkResource/TkResource_Factory.h:
        * tao/XtResource/XtResource_Factory.cpp:
        * tao/XtResource/XtResource_Factory.h:
          Updated these files because the reactors they use are moved
          to their own directories in ACE.

Wed Nov 22 10:54:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies.mpc:
          Now build with ace_for_tao but derive from core_strategies

        * tao/tao.mpc:
          Added new HTTP files and moved all sequence.pidl files to one
          group because soon they all will get a special tao_idl argument
          to be used.

        * tao/TAO_Internal.cpp:
        * tao/default_resource.cpp:
          Added HTTP

        * tao/GUIResource_Factory.{h,cpp}:
          Changed dynamically_allocated_reactor to bool

        * tao/ORB_Core.{h,cpp,inl}:
          Changed has_shutdown to a real bool

        * tao/Valuetype/ValueBase.h:
          Doxygen improvement

Wed Nov 22 10:23:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Callback/Callback.mpc:
        * performance-tests/Cubit/TAO/IDL_Cubit/IDL_Cubit.mpc:
        * performance-tests/Cubit/TAO/MT_Cubit/MT_Cubit.mpc:
        * performance-tests/Latency/AMH_Single_Threaded/Single_Threaded.mpc:
        * performance-tests/Latency/Collocation/Collocation.mpc:
        * performance-tests/Latency/Deferred/Deferred.mpc:
        * performance-tests/Latency/DII/DII.mpc:
        * performance-tests/Latency/DSI/DSI.mpc:
        * performance-tests/Latency/Single_Threaded/Single_Threaded.mpc:
        * performance-tests/Sequence_Latency/AMH_Single_Threaded/Single_Threaded.mpc:
        * performance-tests/Sequence_Latency/Deferred/Deferred.mpc:
        * performance-tests/Sequence_Latency/DII/DII.mpc:
        * performance-tests/Sequence_Latency/DSI/DSI.mpc:
        * performance-tests/Sequence_Latency/Single_Threaded/Single_Threaded.mpc:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/LoadBalancing.mpc:
          Explicitly add avoids += ace_for_tao to these projects. At this
          moment they are not build because the strategies library is not
          available with ace_for_tao, but this is something I will change
          but besides strategies these projects do use some ACE classes
          which are not available in the ace_for_tao configuration

        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.cpp:
          Const improvement

        * orbsvcs/tests/Event/UDP/Consumer.cpp:
        * orbsvcs/tests/Event/UDP/receiver.cpp:
        * orbsvcs/tests/Event/UDP/Supplier.cpp:
        * orbsvcs/tests/Event/UDP/Supplier.h:
        * orbsvcs/tests/Event/UDP/Test.idl:
          Extended this test and reproduced the bug we had in CIAO. This
          test now will fail until Jeff Parsons commits some related
          valuetype changes.

Wed Nov 22 10:17:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Release:
          Removed dsw files

        * docs/ORBEndpoint.html:
          Added reuse_addr to the list of options, request has been made
          to OCI to check and extend the documentation of this option
          which has been available starting TAO 1.4.8

        * TAO_IDL/be/be_codegen.cpp:
          Removed check for IFR_Client, we do have an empty A.h file for
          the IFR_Client files now

        * TAO_IDL/be/be_global.cpp:
          Updated help of -GA

        * tao/AnyTypeCode/NVList.cpp:
          Use true/false

        * tao/HTTP_Client.{h,cpp}:
        * tao/HTTP_Handler.{h,cpp}:
        * tao/HTTP_Parser.{h,cpp}:
          New files to support http:/ as IOR format. Fixes bugzilla bugs
          2670 and 372

        * tao/IIOP_Acceptor.cpp:
          Removed check for priority, that is gone already a long time and
          this takes footprint.

        * tao/Stub.cpp:
          Const changes and removed TAO_Synchronous_Cancellation_Required which
          doesn't seem used at all.

Mon Nov 20 08:16:34 2006  Simon McQueen  <sm@prismtech.com>

        * TAO version 1.5.4 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
